<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.lang.Math" %>
<%@ page import="javax.servlet.http.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%!
void WriteAuditLog ( HttpServletRequest request, String logInfo )
{
    try {
        AuditTrailLogger.getInstance().log (request, logInfo);
        System.out.println(logInfo);

    } catch (Exception e) {
        System.out.println("Write [" + logInfo + "] in Audit Log error: " + e.getMessage() );
    }   
}

CLIResult ExecuteCLICommand( String command, String token)
{
    CLIResult   result = null;

    try {
        result = CLICommandExecuter.exec( command, true, token);

    } catch ( CLIException e ) {
        result = null;
        System.out.println( "CLIException [" + command + "]" );
        //e.printStackTrace();
    }

    return result;
}

String GetCLIResult( CLIResult result, String KeyName, String DefaultValue )
{
    String value = DefaultValue;

    if ( result != null )
    {
        value = result.getKeyValue( KeyName );
        if ( value == null )
            value = DefaultValue;
    }

    return value;
}

String GetCLIResult( CLIResult result, String KeyName )
{
    return GetCLIResult(result, KeyName, "" );
}

int ConfigureSSH( HttpServletRequest request, HttpServletResponse response, String token) 
{
    int    errorCode = 0;
    String logInfo   = "";
    String SSHStatus = request.getParameter("SSHStatus");
    CLIResult result = null;

    String cmd_disable_ssh     = "configure service ssh disable";
    String cmd_enable_ssh      = "configure service ssh enable";
    String cmd_config_ssh_port = "configure service ssh port ";

    if ( SSHStatus != null && SSHStatus.compareToIgnoreCase( "disable" ) == 0 )
    {
        result = ExecuteCLICommand( cmd_disable_ssh, token);
        logInfo = "Disable ssh service [" + cmd_disable_ssh + "]";
        if ( result == null )
        {
            errorCode = 1;
        }
        WriteAuditLog( request, logInfo );
    }
    else if ( SSHStatus != null && SSHStatus.compareToIgnoreCase( "enable" ) == 0 )
    {
        String command   = "";
        String SSHPort = request.getParameter("SSHPort");

        command = cmd_config_ssh_port + SSHPort;
        result = ExecuteCLICommand( command, token);
        logInfo = "Configure ssh daemon port [" + command + "]";
        if ( result == null )
        {
            errorCode = 2;
        }
        WriteAuditLog( request, logInfo );

        // successfully configure the ssh port
        if ( errorCode == 0 )
        {
            result = ExecuteCLICommand( cmd_enable_ssh, token);
            logInfo = "Enable ssh daemon [" + cmd_enable_ssh + "]";
            if ( result == null )
            {
                errorCode = 3;
            }
            WriteAuditLog( request, logInfo );
        }
    }

    return errorCode;
}

%>

<%

    if ( Validation.CheckUser(request,response) != 1 )
    {
        response.sendRedirect("logon.jsp");
        return;
    }

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1004);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;    
    }

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");

    String token = UIHelperToken.getToken(request);
    
    Vector errors = new Vector();
    int errorCode = 0;

    if ( request.getParameter("needSSHConfigure") != null 
        && request.getParameter("needSSHConfigure").compareToIgnoreCase("yes") == 0 )
    {
        errorCode = ConfigureSSH(request, response, token);
    }

    CLIResult result = null;
    String    SSHStatus = "", SSHPort = "";

    result = ExecuteCLICommand("show service ssh", token);
    SSHStatus = GetCLIResult(result, "status", "no");
    SSHPort = GetCLIResult(result, "SSH Port", "22" );
    if ( SSHPort.compareToIgnoreCase("") == 0 )
    {
        SSHPort = "22";
    }
%>

<html>
<head><title>SSH Configuration</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/check.js"></SCRIPT>
<SCRIPT language="javascript" src="html/vlan_func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>

<SCRIPT language="javascript">
var enableClass = "data1";
var disableClass = "textgrey";

function Initial()
{
    var     status = "<%=SSHStatus%>";
    var     port   = "<%=SSHPort%>";
    var     errorCode = "<%=errorCode%>";

    if ( status == "enable" )
    {
        document.saveform.cbSSHStatus.checked = true;
        document.saveform.btSSHPort.value = port;
    }
    else
    {
        document.saveform.cbSSHStatus.checked = false;
        document.saveform.btSSHPort.value = "";
        document.saveform.btSSHPort.disabled = true;
        document.getElementById("PortTitle").className = disableClass;
    }

    if ( errorCode != 0 )
    {
        innerHTML = '<img src="images/icon_warning_cui.gif" border="0" align="absmiddle"/>';
        if ( errorCode == 1 )
		    innerHTML += i18n_disable_ssh_error + '<br>';
        else if ( errorCode == 2 )
		    innerHTML += i18n_config_ssh_port_error + '<br>';
        else if ( errorCode == 3 )
		    innerHTML += i18n_enable_ssh_general_error + '<br>';
        document.getElementById ('lErrorMsg').innerHTML = innerHTML;

        document.getElementById ('trError').style.display = '';
        document.getElementById('tr1spaceError').style.display = '';
    }
}

function SSHCheckboxClicked()
{
    var     port   = "<%=SSHPort%>";

    if ( document.saveform.cbSSHStatus.checked == true )
    {
        document.saveform.btSSHPort.disabled = false;
        document.saveform.btSSHPort.value = port;
        document.getElementById("PortTitle").className = enableClass;
    }
    else
    {
        document.saveform.btSSHPort.value = "";
        document.saveform.btSSHPort.disabled = true;
        document.getElementById("PortTitle").className = disableClass;
    }

    EnableSaveButton();
}

function DoSave()
{
    var oldSSHStatus = "<%=SSHStatus%>";
    var oldSSHPort   = "<%=SSHPort%>";

    // get the configured parameter
    if ( document.saveform.cbSSHStatus.checked == true )
    {
        document.saveform.SSHStatus.value = "enable";

        document.saveform.btSSHPort.value = Trim( document.saveform.btSSHPort.value );
        if ( ValidatePort(document.saveform.btSSHPort.value) == false )
        {
            alert(i18n_valid_port);
            document.saveform.btSSHPort.focus();
            return;    
        }

        document.saveform.SSHPort.value = document.saveform.btSSHPort.value;
    }
    else
    {
        document.saveform.SSHStatus.value = "disable";
    }

    // check the cofnigure is changed.
    if ( oldSSHStatus == "disable" && oldSSHStatus == document.saveform.SSHStatus.value )
        document.saveform.needSSHConfigure.value = "no";
    else if ( oldSSHStatus == "enable" && oldSSHStatus == document.saveform.SSHStatus.value 
            && oldSSHPort == document.saveform.btSSHPort.value )
        document.saveform.needSSHConfigure.value = "no";
    else
        document.saveform.needSSHConfigure.value = "yes";
        
    document.saveform.submit();
}
</SCRIPT>

</head>
<body  onLoad="Initial();">

<form name="saveform" method="post" action="">
<input type=hidden name="needSSHConfigure" value="no">
<input type=hidden name="SSHStatus" value="">
<input type=hidden name="SSHPort" value="22">
<input type=hidden name="op" value="save">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr> 
    <td class="content-title" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.cli.remote_cli" /></td>
    <td width="19" align="right" valign="bottom">
    <div align="right">
    <A href="javascript:openhelpwin('remote_cli.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a>
    </div>
    </td>
  </tr>

  <tr> 
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>

  <tr> 
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr id="trError" style="display:none" valign="top">
    <td class="textbold" align="left"><div id="lErrorMsg"></div></td>
  </tr>

  <tr id="tr1spaceError" style="display:none">
    <td><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>     
</table>

 <table width="540" border="0" cellspacing="0" cellpadding="0" class="border">
   <tr> 
       <td colspan="2" nowrap class="tableheadergrey">
                <i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.cli.remote_cli_settings" />
       </td>
   </tr>
    <tr> 
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td colspan="2" >
    <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                    <td class="data1"> 
    	            <input type="checkbox" name="cbSSHStatus" value="enable" onClick="SSHCheckboxClicked()"> <i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.cli.command_line_access" />
                    </td>
                </tr>

                <tr> 
                    <td class="subtitle" ><img src="images/1space_cui.gif" width="1" height="5" ></td>
                </tr>

         
                 <tr>
                            <td class="data1">
                            <table border="0" cellspacing="0" cellpadding="0">
                               <tr>
                                    <td colspan="3" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                               </tr>
                               <tr> 
                                 <td width="103" class="data1" id="PortTitle"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.cli.port_number" /></td>
                                 <td class="data1" >
                                 <input type="text" name="btSSHPort" class="button" size="5" value="" maxlength="5"  onKeyDown="EnableSaveButton()">
                                 </td>
                               </tr>
                            </table>
                            </td>
                   </tr>
                   </table>

                </td>
            </tr>
        </table>

<%if (access == 3) { %>
    <table width="98%" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td height="28" valign="bottom">
            <input type="button" class="button" name="save" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" onClick="javascript:DoSave();" disabled>
	        <input type="button" class="button" name="cancel" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" 
                    onClick="javascript:self.location.replace('SSHConfig.jsp')">
            </td>
        </tr>
    </table>
<%}%>

</form> 
</body>
<html>
