<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: Charles Yao                                -->
<!--Date: 01/22/2008                                        -->
<!--Description: Access Control Settings                    -->
<!--File:access_control_settings.jsp                        -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.lang.Math" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%

  if(Validation.CheckUser(request,response)!=1){
	response.sendRedirect("logon.jsp");
	return;
  }

	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(1005);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}


  response.setHeader("Pragma","no-cache");
  response.setHeader("Cache-Control","no-cache");
%>
<%
	Vector warnings = new Vector();

	//define server-side error messgaes
	int MSG_FAILED_TO_UPDATE_FIREWALL_RULE = 1;
	int MSG_FAILED_TO_WRITE_ADMIN_ACL_FILE = 2;
	String errorCode = "";

	String location_file_ini = "";
	String work_path = IWSSInfo.GetWorkPath();
	location_file_ini = work_path + "network.ini";
	System.out.println("iniPath is:" + location_file_ini);
	IWSSINI network_ini = new IWSSINI(location_file_ini);
	String networkSect = "network";
	String logEntry = "";

	SecurityConfig sconfig = new SecurityConfig(network_ini.GetKeyValue(networkSect,"admin_acl_file"), 2);
	System.out.println("sconfig's filename is: " + network_ini.GetKeyValue(networkSect,"admin_acl_file"));

	if(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0)
	{
		if(!sconfig.WriteConfig(request)) {
			errorCode += MSG_FAILED_TO_WRITE_ADMIN_ACL_FILE + ",";
		}

		if(request.getParameter("h_acl_enable")!=null && request.getParameter("h_acl_enable").compareToIgnoreCase("yes")==0)
		{
			network_ini.SetKeyValue(networkSect, "enable_admin_acl", "yes");
			logEntry = "Enable Administrative Access";
			try {
			  AuditTrailLogger.getInstance().log(request, logEntry );
			  System.out.println(logEntry);
			}
			catch (Exception e){
			System.out.println("AccessControlSetting Error in Audit Log: " + e.getMessage());
			}
		} else {
			network_ini.SetKeyValue(networkSect, "enable_admin_acl", "no");
			logEntry = "Disable Administrative Access";
			try {
			  AuditTrailLogger.getInstance().log(request, logEntry );
			  System.out.println(logEntry);
			}
			catch (Exception e){
			System.out.println("AccessControlSetting Error in Audit Log: " + e.getMessage());
			}
		}
		network_ini.WriteConfig(location_file_ini);

                String token = UIHelperToken.getToken(request);
		if(IWSSUtil.updateFirewallRule(token) != 0) {
			errorCode += MSG_FAILED_TO_UPDATE_FIREWALL_RULE + ",";
		}
	}
	if(errorCode != null && !errorCode.equals("")){
	warnings.addAll(Arrays.asList(errorCode.split(",")));
	}

	IWSSXML configxml = sconfig.GetConfigXML();
%>
<html>
<head>
<title>HTTP Configuration</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" type="text/javascript" src="html/func.js"></script>
<script language="JavaScript" type="text/javascript" src="html/validate.js"></script>
<script language="JavaScript" type="text/javascript" src="html/check.js"></script>
<script language="JavaScript" type="text/javascript" src="html/util.js"></script>
<script language="JavaScript" type="text/javascript" src="html/i18n_warnmsg.js"></script>
<script language="JavaScript" src="html/localization.js"></script>
<script language="JavaScript" src="html/tooltip.js"></script>
<script language="JavaScript" type="text/JavaScript">
function initPage()
{
  applyIPAddress();
<%
  if(warnings.size() > 0){
  for(int n=0; n<warnings.size(); n++){
%>
  document.getElementById ('lErrorMsg').innerHTML += '<img src="images/icon_warning_cui.gif"  border="0" align="absmiddle">'
		+ i18n_access_ctrl_errmsg<%=(String)warnings.elementAt(n)%> + '<br>';
<%
	}
%>
  document.getElementById('trError').style.display = '';
  document.getElementById('tr1spaceError').style.display = '';
<%
  }
%>
}

function addToListByIPAddress()
{
  if(document.getElementById("ip_list").tBodies[0].rows.length > 20) {
	alert(i18n_admin_acl_no_reach_limit_msg);
	return;
  }

  if( !(ValidateIP(document.getElementById("textfield_ip").value) || ValidateIPv6(document.getElementById("textfield_ip").value))) {
	alert(i18n_valid_ip_hostname);
	document.getElementById("textfield_ip").focus();
	return;
  }

  ip_value = document.getElementById("textfield_ip").value;
  insRow(ip_value, ip_value);
}


function addToListByIPRange()
{
  if(document.getElementById("ip_list").tBodies[0].rows.length > 20) {
	alert(i18n_admin_acl_no_reach_limit_msg);
	return;
  }

  var ipv4_from = isIPAddress(document.getElementById("textfield_ip_from").value);
  var ipv4_to   = isIPAddress(document.getElementById("textfield_ip_to").value);
  var ipv6_from = ValidateIPv6(document.getElementById("textfield_ip_from").value);
  var ipv6_to   = ValidateIPv6(document.getElementById("textfield_ip_to").value);

  if (!(ipv4_from || ipv6_from))
  {
	alert(i18n_valid_ip);
	document.getElementById("textfield_ip_from").focus();
	return;
  }
  if (!(ipv4_to || ipv6_to))
  {
	alert(i18n_valid_ip);
	document.getElementById("textfield_ip_to").focus();
	return;
  }

  if ((ipv4_from && ipv6_to) || (ipv6_from && ipv4_to))
  {
	alert(i18n_valid_ip);
	document.getElementById("textfield_ip_from").focus();
	return;
  }

  if( ipv4_from && ipv4_to && !isIPRange2(document.getElementById("textfield_ip_from").value, document.getElementById("textfield_ip_to").value) ) {
	alert(i18n_fromip_largerthan_toip);
	return;
  }
  ip_from_value = document.getElementById("textfield_ip_from").value;
  ip_to_value = document.getElementById("textfield_ip_to").value;
  insRow(ip_from_value + "-" + ip_to_value, ip_from_value + " ~ " + ip_to_value);
}

function addToListByIPMask()
{
  if(document.getElementById("ip_list").tBodies[0].rows.length > 20) {
	alert(i18n_admin_acl_no_reach_limit_msg);
	return;
  }

  if( !(ValidateIP(document.getElementById("textfield_ip2").value) || ValidateIPv6(document.getElementById("textfield_ip2").value)) ) {
	alert(i18n_valid_ip);
	document.getElementById("textfield_ip2").focus();
	return;
  }

  if( !isNetmask(document.getElementById("textfield_mask").value) ) {//in mask form
	  var range = 32;
	  if(ValidateIPv6(document.getElementById("textfield_ip2").value)) range = 128;
	if( !isWithinRange(document.getElementById("textfield_mask").value, 0, range) ) {//in CIDR form
	  alert(i18n_valid_ip_mask);
	  document.getElementById("textfield_mask").focus();
	  return;
	}
  }

  ip_value = document.getElementById("textfield_ip2").value;
  mask_value = document.getElementById("textfield_mask").value;
  insRow(ip_value + "/" + mask_value, ip_value + "/" + mask_value);
}

function applyIPAddress()
{
  document.getElementById("input_items_ip").style.display = "inline";
  document.getElementById("input_items_ip_range").style.display = "none";
  document.getElementById("input_items_ip_mask").style.display = "none";
}

function applyIPRange()
{
  document.getElementById("input_items_ip").style.display = "none";
  document.getElementById("input_items_ip_range").style.display = "inline";
  document.getElementById("input_items_ip_mask").style.display = "none";
}

function applyIPMask()
{
  document.getElementById("input_items_ip").style.display = "none";
  document.getElementById("input_items_ip_range").style.display = "none";
  document.getElementById("input_items_ip_mask").style.display = "inline";
}

function insRow(ipvalue, showname)
{
  if( (ipvalue == undefined) || (ipvalue == "") || (showname == undefined) || (showname == "") ) {
	return;
  }

  var tbl = document.getElementById("ip_list");
  var tblSize = tbl.rows.length;

  for (var i=1; i<tblSize; i++) {
	if(document.getElementById("ip_list").rows[i].cells[0].value == ipvalue) {
	  alert(i18n_admin_acl_existing_entry_msg);
	  return;
	}
  }

  var newRow = document.getElementById("ip_list").tBodies[0].insertRow(-1);
  var cell_1 = newRow.insertCell(0);
  var cell_2 = newRow.insertCell(1);

  if(newRow.sectionRowIndex % 2 == 0) {
	rowBColour = "data2b";
	rowColour = "data2";
  } else {
	rowBColour = "data1b";
	rowColour = "data1";
  }

  cell_1.className = rowBColour;
  cell_1.innerHTML = "<div align=\"left\"><input type=hidden name=itemlist value=\"" + ipvalue + "\">" + showname;
  cell_1.value = ipvalue;

  cell_2.className = rowColour;
  cell_2.innerHTML = '<div align="center"><a href="javascript:void(0);" onClick="delRow(this.parentNode.parentNode.parentNode.rowIndex);"><img src="images/icon_delete.gif" border="0"/></a></div>';
  enableSaveButton();
}

function delRow(rowNum)
{
  document.getElementById("ip_list").deleteRow(rowNum);

  var tbl = document.getElementById("ip_list");
  var tblSize = tbl.rows.length;

  for (var i=1; i<tblSize; i++) {
	rowNum=document.getElementById("ip_list").rows[i];
	if (i % 2 == 0) {
	  rowBColour = "data2b";
	  rowColour = "data2";
	} else {
	  rowBColour = "data1b";
	  rowColour = "data1";
	}

	first_cell = rowNum.cells[0];
	first_cell.className = rowBColour;

	second_cell = rowNum.cells[1];
	second_cell.className = rowBColour;
  }

  if(tblSize == 1) {//title bar only
	document.getElementById("checkbox__access_control").checked = false;
  }

  enableSaveButton();
}

function doSubmit()
{
  var tbl = document.getElementById("ip_list");

  if( (tbl.rows.length == 1) && document.getElementById("checkbox__access_control").checked) {
	alert(i18n_admin_acl_conflict_prevention_msg);
	document.getElementById("checkbox__access_control").checked = false;
	document.getElementById("checkbox__access_control").focus();
	return;
  }

  if( document.getElementById("checkbox__access_control").checked ) {
	document.getElementById("h_acl_enable").value = "yes";
  } else {
	document.getElementById("h_acl_enable").value = "no";
  }

  setTimeout( "document.saveform.submit()", 100 );
}


function enableSaveButton()
{
  document.getElementById("button_save").disabled = false;
}
</script>
<style type="text/css">
.style1 {color: #FF0000}
</style>
</head>
<body onload="javascript:initPage();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<DIV id=tooltip style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
<form action="access_control_settings.jsp" method=POST name="saveform">
<input type="hidden" name="op" value="save">
<input type="hidden" name="h_acl_enable"  id="h_acl_enable"  value="no">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr>
	<td width="463" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.title" /></td>
	<td width="77" valign="bottom">
	  <div align="right"><a href="javascript:openhelpwin('mgmt_acl.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
	</td>
  </tr>
  <tr>
	<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
	<td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table cellspacing="0" cellpadding="0" width="98%" border="0">
  <tr id="trError" style="display:none" valign="top">
	<td class="textbold" align="left"><div id="lErrorMsg"></div></td>
  </tr>
  <tr id="tr1spaceError" style="display:none">
	<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
	<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table width="540" border="0" cellpadding="0" cellspacing="0">
  <tr>
	<td class="border">
	  <table width="538" border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td colspan="2" class="tableheader"><input id="checkbox__access_control" name="checkbox__access_control" type="checkbox" value="checkbox" onClick="javascript:enableSaveButton();" <%if( network_ini.GetKeyValue(networkSect,"enable_admin_acl").compareToIgnoreCase("yes")==0  ){%>checked<%}%>><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.enable_admin_access" />
			 <IMG src="images/info_mark_cui.gif" width="14" height="17" border=0 align=absMiddle  style="CURSOR: hand"
						 onmouseover="stm(tipMgmt_acl,tipStyle);return false;" onmouseout="htm();return false;">

		</td>
		</tr>
		<tr>
		  <td colspan="2" class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.allow_admin_access" /></td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td valign="middle" class="data1"><input name="radiobutton" type="radio" onClick="javascript:applyIPAddress();" value="radiobutton" checked><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip" /></td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td valign="middle" class="data1"><input name="radiobutton" type="radio" onClick="javascript:applyIPRange();" value="radiobutton"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip_range" /></td>
		</tr>
		<tr>
		  <td>&nbsp;</td>
		  <td valign="middle" class="data1"><input name="radiobutton" type="radio" onClick="javascript:applyIPMask();" value="radiobutton"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip_mask" /></td>
		</tr>
		<tr>
		  <td width="42">&nbsp;</td>
		  <td id="input_items" name="input_items" width="496" valign="middle" class="data1">
			<div name="input_items_ip" id="input_items_ip" style="display:none"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip" /> <input name="textfield_ip" id="textfield_ip" type="text" class="button" size="19" maxlength="40"/> <input name="add_by_ip" id="add_by_ip" type="button" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" class="button" onClick="javascript:addToListByIPAddress();" style="width:50px"/></div>
			<div name="input_items_ip_range" id="input_items_ip_range" style="display:none"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip_address_from" /> <input name="textfield_ip_from" id="textfield_ip_from" type="text" class="button" size="19" maxlength="40"/> <i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.to" /> <input name="textfield_ip_to" id="textfield_ip_to" type="text" class="button" size="19" maxlength="40"/> <input name="add_by_ip_range" id="add_by_ip_range" type="button" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" class="button" onClick="javascript:addToListByIPRange();" style="width:50px"/></div>
			<div name="input_items_ip_mask" id="input_items_ip_mask" style="display:none"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip_address" /> <input name="textfield_ip" id="textfield_ip2" type="text" class="button" size="19" maxlength="40"/> <i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.mask" /> <input name="textfield_mask" id="textfield_mask" type="text" class="button" size="19" maxlength="19"/> <input name="add_by_ip_mask" id="add_by_ip_mask" type="button" value="<i18n:message bundleRef='bundleCommon' key='button.add2' />" class="button" onClick="javascript:addToListByIPMask();" style="width:50px">
		  </td>
		</tr>
		<tr>
		  <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
		</tr>
		<tr>
		  <td colspan="2">
			<table id="ip_list" name="ip_list" width="538" border="0" cellpadding="0" cellspacing="0">
			  <tr>
				<td width="495" class="grey2" align="left"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.ip_address" /></td>
				<td width="43" class="grey2-end"><i18n:message bundleRef="bundleAdmin" key="admin.management_console.access_control.delete" /></td>
			  </tr>
			  <% for(int i=0;i<configxml.GetLength("itemlist");i++){%>
			  <tr>
				<td width="495" class="data<%=((i)%2+1)%>b" value="<%=configxml.GetValueByIndex("itemlist",i)%>">
				  <div align="left"><input type=hidden name=itemlist value="<%=configxml.GetValueByIndex("itemlist",i)%>"><%=IWSSUtil.MyReplace(configxml.GetValueByIndex("itemlist",i),"-"," ~ ")%></div>
				</td>
				<td width="43" class="data<%=((i)%2+1)%>">
				  <div align="center"><a href="javascript:void(0);" onClick="delRow(this.parentNode.parentNode.parentNode.rowIndex);"><img src="images/icon_delete.gif" border="0"/></a></div>
				</td>
			  </tr>
			  <%}%>
			</table>
		  </td>
		</tr>
	  </table>
	</td>
  </tr>
</table>
<%if (access == 3) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="28" valign="bottom">
	  <input name="button_save" id="button_save" type="button"  class="button"  value="<i18n:message bundleRef='bundleCommon' key='button.save' />" onClick="javascript:doSubmit();" disabled>
	  <input name="button_cancel" id="button_cancel" type="button"  class="button"  value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" onClick="javascript:self.location.replace('access_control_settings.jsp')">
	</td>
  </tr>
</table>
<%}%>
</form>
</body>
</html>

