<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.util.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="javax.servlet.http.*" %>
<%@ page import="java.text.DateFormat" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
%>

<html>
<head>
<title>HTTP Configuration</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
    function doUpload()
    {
        if(document.saveform.patchFileName != "") {
            document.saveform.encoding="multipart/form-data";
            setTimeout( "document.saveform.submit()", 100 );
        }
    }

    function enableUploadButton()
    {
        document.saveform.uploadBtn.disabled = false;
    }

    function init()
    {
        if (document.saveform.beErrMsg != null && document.saveform.beErrMsg.value.length > 0) {
            alert(document.saveform.beErrMsg.value);
        }
    }
</SCRIPT>
</head>

<%
	// get IWSVA info
	// get IWSVA info
	String      hostName   = "N/A";
    String      appVersion = "N/A";
    String      osVersion  = "N/A";
    String      lastUpdated = "N/A";
    CLIResult   result     = null;

    String token = UIHelperToken.getToken(request);

    try {
        result   = CLICommandExecuter.exec("show network hostname", true, token);
        hostName = result.getKeyValue("hostname");

    } catch (Exception e) {
        System.out.println("Exception [show network hostname]");
    }

    try {
        result     = CLICommandExecuter.exec("show system version", true, token);
        osVersion  = result.getKeyValue("Operating System");
        appVersion = result.getKeyValue("IWSVA");

        String element[] = appVersion.split(" ");
        appVersion = element[1];
        lastUpdated = element[3] + " " + element[4]; 

    } catch (Exception e) {
        System.out.println("CLIException [show system version]");
    }

	// get app patch list
    int line=0;
    SystemPatch patch;
    new SysPatchList().initList(token);
    // get list of all system patch objects
    Collection  patchList = SysPatchList.getList();
    Iterator itor = patchList.iterator();

    Collection  osPatchList = SysPatchList.getOSPatchList(); 
    Iterator    osPatchItor = osPatchList.iterator();

    // get the latest install patch time
    try {
        Object appPatchArray[] = patchList.toArray();
        Object osPatchArray[]  = osPatchList.toArray();

        if ( 0 == appPatchArray.length && 0 != osPatchArray.length ){

            SystemPatch  tempPatch = (SystemPatch)osPatchArray[0];
            lastUpdated = tempPatch.getInstallDateStr().toString();

        }else if( 0 != appPatchArray.length && 0 == osPatchArray.length ){

            SystemPatch  tempPatch = (SystemPatch)appPatchArray[0];
            lastUpdated = tempPatch.getInstallDateStr().toString();

        }else if( 0 != appPatchArray.length && 0 != osPatchArray.length ){

            SystemPatch   tempPatch = (SystemPatch)appPatchArray[0];
            String appInstallTime = tempPatch.getInstallDateStr().toString();
            lastUpdated = tempPatch.getInstallDateStr().toString();

            tempPatch = (SystemPatch)osPatchArray[0];
            String osInstallTime  = tempPatch.getInstallDateStr().toString();

            DateFormat dateFormat = new SimpleDateFormat("MM/dd/yy HH:mm:ss a");

            java.util.Date appDate = dateFormat.parse(appInstallTime);
            java.util.Date osDate  = dateFormat.parse(osInstallTime);


            if ( osDate.compareTo(appDate) > 0 ) {
                lastUpdated = tempPatch.getInstallDateStr().toString();
            }
        }
    } catch(Exception e) {

        System.out.println("Meet exception, when get the latest install date.");
    }
%>

<body onLoad="javascript:init();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.ManagePatches?action=upload">
<input type="hidden" name="op" value="save">
<table cellspacing=0 cellpadding=0 width="98%" border=0>
  <tr>
    <td width="463" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.system_updates" /></td>
    <td width="77" valign="bottom">
      <div align="right"><a href="javascript:openhelpwin('system_patch.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <!-- -->
  <%
    boolean showMsg = false;
    String displayMsgStr = "";
    String displayImg = "";
    String patchOK = request.getParameter("patchOK");
    String ptype = request.getParameter("type");
    HttpSession sess = request.getSession();
    PatchStatus pstatusObj = (PatchStatus) sess.getAttribute("patchStatusObj");

    if (patchOK != null) {
        if (patchOK.startsWith("y") || patchOK.startsWith("n")) {
            showMsg = true;
            if (ptype.equals("i"))
               displayMsgStr = pstatusObj.getInstallMsg();
            else
               displayMsgStr = pstatusObj.getRollbackMsg();
        }
        if (patchOK.startsWith("y")) {
            displayImg = "images/icon_valid.gif";
        }
        else {
            displayImg = "images/icon_warning_cui.gif";
        }
    }
    if (showMsg) {
  %>
  <tr>
    <td height="10" colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr >
          <td width="6%" ><img src="<%=displayImg%>" width="25" height="25"></td>
          <td width="94%" class="data1"><span class="textbold"><%=displayMsgStr%><a href="license.htm"></a> </span></td>
        </tr>
    </table></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <% } %>
  <!-- -->
</table>
<table width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="border"> <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="10" colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.select_a_pach_to_install" /></td>
        </tr>
        <tr>
          <td width="146" class="data1" ><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.file_location" />
          <%=AccessLevel.FILE(request, response, "patchFileName", "button", "45", "javascript:enableUploadButton();", "javascript:enableUploadButton();")%>
          <%=AccessLevel.BUTTON(request, response, "uploadBtn", "button", "javascript:doUpload();", MessageResourcesMgr.mrCommon.getMessage("button.upload"), "", "disabled")%>
          </td>
        </tr>
        <tr>
          <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td  colspan="2"><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td colspan="4" align="left" class="tableheader2"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.current_iwsva_information" /></td>
              </tr>
              <tr>
                <td width="25%"  class="grey" align="left"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.host_name" /></td>
                <td width="25%"  class="grey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.os_version" /></td>
                <td width="25%"  class="grey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.application_version" /> </td>
                <td width="25%"  class="grey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.last_updated" /> </td>
              </tr>
              <!-- -->
             <tr>
              	<td class="data1b"> <%=hostName %> </td>
              	<td class="data1b"> <%=osVersion %> </td>
              	<td class="data1b"> <%=appVersion %> </td>
              	<td class="data1b"> <%=lastUpdated %> </td>
              </tr>
              <!-- -->
               <tr>
                  <td colspan="4"><img src="images/1space_cui.gif" width="1" height="10"></td>
               </tr>
            </table>
            </td>
        </tr>
      </table></td>
  </tr>

<%
	String roleInCluster = (String)request.getSession().getAttribute("role_in_cluster");
	if (roleInCluster != null && "parent".equalsIgnoreCase(roleInCluster))
	{
%>
  <tr>
  	<td class="data1" >
  		<i18n:message bundleRef="bundleAdmin" key="admin.note_for_parent.not_for_sync.note" />
  	</td>
  </tr>

<%} %>

</table>
<br>
<br>
<br>
<br>
<br>
<table width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="border"> <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="10" colspan="2" class="tableheadergrey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.history" /></td>
        </tr>
        <tr>
          <td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
        </tr>
        <tr>
          <td colspan="2"  style="padding: 15px;"><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
              <!-- TABS -->
              <td colspan="2" background="images/tab-background.gif">
              	<table cellpadding="0" cellspacing="0" border="0">
                  <tr>
                    <td><img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
                    <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                      <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="admin_patch_mgmt.jsp" > <i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.history.app_patch" /></a></td>
                    <td><img src="images/tab-inactive-right.gif" width="23" height="23" alt="" border="0"></td>

					<td><img src="images/tab_active2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
					<td background="images/tab-active-background.gif" class="tabactive" valign="top" nowrap><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.history.os_patch" /></td>
                    <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>

                  </tr>
                </table>
                </td>
              <td background="images/tab-background.gif" align="right"><img src="images/tab-right-corner.gif" width="6" height="23" alt="" border="0"></td>
              <!-- /TABS -->
            </tr>

            <tr>
            	<td class="border" colspan="3">
            		<table width="100%" border="0" cellpadding="0" cellspacing="0">

              <!-- -->
              <tr>
                <td width="136"  class="grey" align="left"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.history.os_patch.patch_member" /></td>
                <td width="263"  class="grey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.history.os_patch.patch_information" /></td>
                <td width="139"  class="grey"><i18n:message bundleRef="bundleAdmin" key="admin.admin_patch_mgmt.history.os_patch.installed_on" /> <img width="7" height="9" src="images/arrow_down.gif"></td>

              </tr>
              <!-- -->
              <%
                boolean isLatestPatch = true;
                while( osPatchItor.hasNext() ){
                    patch = (SystemPatch)osPatchItor.next();
                    if (patch != null) {
                        line++;
              %>
              <tr>
                <td width="136"  class="data<%=((line+1)%2+1)%>" style="vertical-align:top">
                  <a href="admin_patch_details.jsp?patchId=<%=patch.getId()%>&PatchType=ospatch">
                  <%=patch.getName()%></a>
              <%
                if( patch.canUnInstall() && isLatestPatch == true )
                {
                    isLatestPatch = false;
              %>
                      | <a> <%=AccessLevel.URLLINK(request, response, "admin_patch_details_uninstall.jsp?patchId="+patch.getId())%><i18n:message bundleRef="bundleAdmin" key="admin.sys_patch.uninstall" /></a>
              <%
                }
              %>
                </td>
                <td  class="data<%=((line+1)%2+1)%>b"> <%=patch.getInfo()%></td>
                <td  class="data<%=((line+1)%2+1)%>b" style="vertical-align:top"><%=patch.getInstallDateStr().toString()%></td>
              </tr>
  <%}%> <!-- end if clause -->
<%}%>  <!-- end while loop -->
              <!-- -->
              </table>
              </td>
              </tr>
            </table>
            </td>
        </tr>
      </table></td>
  </tr>

</table>
<p>&nbsp;</p>
<p></p>
<br>
<br>
<br>
<br>
<br>
<br>
<br>
<br>





<%
    String beErrMsg = request.getParameter("errorMessage");
    if (beErrMsg != null && beErrMsg.length() > 0) {
        //beErrMsg = new String(request.getParameter("errorMessage").getBytes("ISO-8859-1"), "UTF-8");
%>
    <input type=hidden name="beErrMsg" value="<%=beErrMsg%>">
    <%}%>
</form>
</body>
</html>
