<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 05/30/2007                                        -->
<!--Description:                                            -->
<!--File:cluster_management.jsp                                      -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="org.apache.commons.fileupload.*"%>
<%@ page import="com.trend.iwss.deploywizard.*"%>
<%@ page import="com.trend.iwss.deploywizardImpl.DeployWizardCluster"%>
<%@ page import="com.trend.iwss.gui.*"%>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%

    if(Validation.CheckUser(request,response)!=1)
    {
        response.sendRedirect("logon.jsp");
        return;
    }

    String token = UIHelperToken.getToken(request);
    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1003);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;
	}

	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");

	// removeChildNode
	String childNodeGUID = request.getParameter("childNodeGUID");
	if (childNodeGUID != null && childNodeGUID != "") {
		String hostName = new DeployWizardCluster().getHostName(childNodeGUID, UIHelperToken.getToken(request));
		// To do the remove child stuff
		String cmdStr = "/usr/iwss/haagntcmd RemoveNode " + "GUID:"
				+ childNodeGUID;

		IWSSUtil.exeUihelperCmd("RemoveChildNode", cmdStr, token);
		/**
		 * Log delete child
		 */
		 DeployWizardUtil util = new DeployWizardUtil();
		 String auditLogStr = "Admin delete the child " + hostName + " from the cluster." ;
		 util.WriteAuditLog(request, auditLogStr);
	}

	// removeCluster
	String removeCluster = request.getParameter("removeCluster");
	if (removeCluster != null && removeCluster.equals("true")) {
		String nodeGUID = request.getParameter("NodeGUID");

		/**
		 * Log remove cluster
		 */
		 DeployWizardUtil util = new DeployWizardUtil();
		 String auditLogStr = "Admin dissolve the cluster." ;
		 util.WriteAuditLog(request, auditLogStr);

		String cmdStr = "/usr/iwss/haagntcmd RemoveNode " + "GUID:"
				+ nodeGUID;
		IWSSUtil.exeUihelperCmd("RemoveCluster", cmdStr, token);
		// redirect to delete-cluster  page.
		String redirectURL = "cluster_management_delete_cluster.jsp";
		response.sendRedirect(redirectURL);
        return;

	}

	//show cluster member
	List<ClusterNode> nodes = null;
	DeployWizardUtil util = new DeployWizardUtil();

	Cluster cluster = util.getClusterInfo(" ", token);

	String clustername = "";
	String HA_Mode = "";
	String deploy_mode = "";
	String clusterdesc = "";
	String clusterIP = "";
	String preemption = "";

	String[] syncGuid = null;
	String[] lastSyncTime = null;
	int[] syncStatus = null;

	String clusterIniPath = IWSSInfo.GetWorkPath()
			+ DeployWizardInfo.CLUSET_INI;
    IWSSINI clusterini = null;
	if(IWSSInfo.CheckInCluster())
		clusterini = new IWSSINI(clusterIniPath);

	String cluster_id = null;

	if (clusterini != null)
		cluster_id = clusterini.GetKeyValue("cluster", "cluster_id");
	if (cluster_id != null) {
		clustername = clusterini.GetKeyValue("cluster", "name");
		HA_Mode = DeployWizardInfo.CLUSTER_HAMODE;
		;
		deploy_mode = DeployWizardInfo.CLUSTER_MODE_BRIDGE;
		clusterdesc = clusterini.GetKeyValue("cluster", "desc");
		clusterIP = clusterini.GetKeyValue("cluster", "cluster_ip");
		preemption = clusterini.GetKeyValue("cluster", "preemption");
		if ("yes".equalsIgnoreCase(preemption))
		{
			preemption = "Enabled";
		}
		else
		{
			preemption = "Disabled";
		}
		nodes = cluster.getNodes();

		InputStream in = null;
		syncGuid = new String[nodes.size() - 1];
		lastSyncTime = new String[nodes.size() - 1];
		syncStatus = new int[nodes.size() - 1];//define the attr of the sync nodes;

		try {
			/**
			  * check local role, according the role to invoke the GetSyncInfo
			  */
			 String localRole = "";
			 if(nodes!=null)
			 {
				for(int i=0;i<nodes.size();i++)
				{
					ClusterNode tempnode=nodes.get(i);
					if (tempnode.isLocal())
					{
								localRole = tempnode.getRole();
								break;
					}//if(tempnode...
				}//for(int i...
			}//if (nodes...
			if (DeployWizardInfo.DEPLOYTYPE_CHILD.equalsIgnoreCase(localRole))
			{
				in = util.execSyncCmdWithReturnOnChild("GetSyncInfo", token);
			}
			else
			{
				in = util.execSyncCmdWithReturn("GetSyncInfo");
			}

			DeployWizardXML xml = new DeployWizardXML(in);
			ArrayList<HashMap<String, String>> list = xml
					.getNodeValue("node");
			for (int i = 0; i < list.size(); i++) {
				HashMap<String, String> map = list.get(i);//get the value of the sync nodes;
				syncGuid[i] = map.get("guid");
				lastSyncTime[i] = map.get("lastSyncTime");
				syncStatus[i] = Integer.parseInt(map.get("syncStatus"));

			}

		} catch (Exception e) {
			IWSSUtil
					.UI_out_println("[GetSyncStatus]get cluster sync information ERROR");

			e.printStackTrace();

		}

	}
	// get IWSS Management Port and protocal
	int managePort = -1;
	String manageProtocol = "http";
	try {
		String intscanPath = IWSSInfo.GetWorkPath()
				+ DeployWizardInfo.INTSCAN_PATH;
		IWSSINI intscanini = new IWSSINI(intscanPath);

		String iscan_web_server = intscanini.GetKeyValue("http",
				"iscan_web_server");
		managePort = Integer.parseInt(iscan_web_server);

		manageProtocol = intscanini.GetKeyValue("http", "iscan_web_protocol");

	} catch (Exception e) {
		e.printStackTrace();
	}
%>

<%
	// get the nodes' status
	int nodesSize = 0;
	int[] nodesStatus = null;
	if (nodes != null)
	{
		nodesSize = nodes.size();
		nodesStatus = new int[nodesSize];
		for (int i = 0; i < nodes.size(); i++)
		{
			ClusterNode tmpNode = nodes.get(i);
			int status = tmpNode.getStatus();
			nodesStatus[i] = status;
		}
	}
 %>

<%
	// get current node's role, if it is child node
	boolean isLocalChildNode = false;
	if (nodes != null) {
		for (int i = 0; i < nodes.size(); i++) {
			ClusterNode tempnode = nodes.get(i);

			if ( tempnode.isLocal() )
			{
				if ("child".equalsIgnoreCase( tempnode.getRole() ) )
				{
					isLocalChildNode = true;
				}
			}
		}
	}
%>

<%
	// check if this node is registered to ARM
	String arm_starus = "";
	String register_to_arm = "no";

    arm_starus = IWSSInfo.GetKeyValue("Database","ARM_DB");

    if("yes".compareToIgnoreCase(arm_starus)==0)
    {
        register_to_arm = "yes";
    }
%>

<html>
	<head>
		<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
		<title><i18n:message bundleRef="bundleAdmin"
						key="admin.cluster_management.head_title" /></title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

		<link href="html/trend-style.css" rel="stylesheet" type="text/css">
		<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
		<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
		<script language="JavaScript" src="html/mouseover_help.js"></script>
		<script language="JavaScript" src="html/tooltip.js"></script>
		<script language="JavaScript" src="html/localization.js"></script>
		<script language="javascript" src="html/commonurllist.js" type="text/javascript"></script>
		<script language="javascript" src="html/commonurllist.js" type="text/javascript"></script>
		<script language="javascript" src="html/i18n_warnmsg.js" type="text/javascript"></script>
		<script language="JavaScript" src="html/jquery1.3.2.js"></script>

		<script language="JavaScript" type="text/JavaScript">

	var descarray = new Array(<%=nodesSize%>);
	var showMsg = "";
	var service = "";
	var interfaces = "";
	<%
		int serviceDown = 0;
		int interfaceDown = 0;
	%>
	<% for (int i = 0; i < nodesSize; i ++) { %>
			descarray[<%=i%>] = i18n_cluster_management_status_ok;

			<% ClusterNode tempnode = nodes.get(i); %>
			//
			showMsg = "";
			service = "";
			interfaces = "";
			<%if ( nodesStatus[i] == 0 && !"unknown".equalsIgnoreCase(tempnode.getRole())){%>
				showMsg = i18n_cluster_management_status_ok;
			<%} else if ("unknown".equalsIgnoreCase(tempnode.getRole())) {%>
				showMsg = i18n_cluster_management_status_unknown;
			<%} else {%>
					// services
					showMsg = i18n_cluster_management_status_iwsva + " ";
					<% if ( (nodesStatus[i] & 1) != 0) {
						serviceDown ++;
					%>
						service = service + (service!="" ? "/" : "") + i18n_cluster_management_status_http;
					<%}%>
					<% if ( (nodesStatus[i] & 2) != 0) {
						serviceDown ++;
					%>
						service = service + (service=="" ? "/" : "") + i18n_cluster_management_status_ftp;
					<%}%>
					servie = service + (service=="" ? "" : i18n_cluster_management_status_service);
					// interfaces
					<% if ( (nodesStatus[i] & 4) != 0) {
						interfaceDown ++;
					%>
						interfaces = interfaces + (interfaces!="" ? "/" : "") + i18n_cluster_management_status_internal;
					<%}%>
					<% if ( (nodesStatus[i] & 8) != 0) {
						interfaceDown ++;
					%>
						interfaces = interfaces + (interfaces!="" ? "/" : "") + i18n_cluster_management_status_external;
	<%}%>
					interfaces = interfaces + (interfaces=="" ? "" : i18n_cluster_management_status_data_interface);

					<% if (serviceDown != 0 && interfaceDown != 0) {%>
						showMsg = showMsg + service + ", " + interfaces + " " +i18n_cluster_management_status_down;
					<%} else {%>
						showMsg = showMsg + service + interfaces + " " + i18n_cluster_management_status_down;
					<%}%>



			<%} %>
			descarray[<%=i%>] = showMsg;

	<%}%>

	//descarray[0] = tipNoScanURLs;
	//descarray[1] = tipURLexceptions;

    function confirmDeleteChildNode(childNodeGUID)
    {
        if(confirm(i18n_cluster_management_confirm_delete_cluster_menber))
        {
            //url=cluster_management.jsp?childNodeGUID=" + childNodeGUID;
            url="./go.jsp?url=removeNode" + childNodeGUID;
            window.location.href=url;
         }
        else
        {
             ;
        }
    }

    function confirmDeleteCluster(NodeGUID)
    {
    	// test if registed to ARM, if so alert & return
    	var register_arm = "<%=register_to_arm %>";
    	if (register_arm == "yes")
    	{
    		alert(i18n_cluster_management_iwsva_already_registered_to_arm_delete_warnmsg);
    		return;
    	}
    	//
        if(confirm(i18n_cluster_management_confirm_delete_cluster))
        {
            //url=url+"../go.jsp?cluster_management.jsp?removeCluster=true&NodeGUID=" + NodeGUID;
            url="./go.jsp?url=removeCluster" + NodeGUID;
            window.location.href=url;
        }
        else
        {
             ;
        }
    }

    function confirmSwitchRole()
    {

	if(confirm(i18n_cluster_management_confirm_switch_role))
	{
		$.ajax({
			type: "post",
			url: "./go.jsp?url=getSyncStatus",
			async: "false",

			beforeSend: function(XMLHttpRequest){
			},
			success: function(data){
				if(data != "")
				{
					syncStatus = data;
					if (syncStatus == "1")
					{
						alert(i18n_cluster_management_switch_role_alert_syncing);
					}
					else
					{
						url="./switchRole.jsp";
						window.location.href=url;
					}
    				}
				else
				{
					url="./switchRole.jsp";
					window.location.href=url;
				}
			},
			complete: function(XMLHttpRequest, textStatus){
			},
			error: function(){
			}
		});
	}

    }

    function confirmRedirect(nodeIP, nodePort, role)
    {
       /*open in a new window, so no need to confirm.

    	var roleName;
    	if (role == 'Parent')
    	{
    		roleName = i18n_cluster_management_confirm_redirect_parent;
    	}
    	else
    	{
    		roleName = i18n_cluster_management_confirm_redirect_child;
    	}
        if(confirm(i18n_cluster_management_confirm_redirect_are_you + nodeIP + i18n_cluster_management_confirm_redirect_server + role + i18n_cluster_management_confirm_redirect_question_mark))
        {
        */
        	document.forms['ssologonForm'].action="<%=manageProtocol%>" + "://" + nodeIP + ":" + nodePort + "/uilogonsubmit.jsp";
        	getPassword();
        /*
        }
        else
        {
             ;
        }
        */
    }

    function getPassword()
	{
		$.ajax({

					type: "post",
				   	url: "./go.jsp?url=getencode",
				   	async: "false",

					beforeSend: function(XMLHttpRequest){
					},
					success: function(data){
					    if(data != "")
					    {
					    	$("#passwd").val(data);
					    	$("#ssologonForm").submit();
					    }
					    else
					    {
					    } ;
					},
					complete: function(XMLHttpRequest, textStatus){
					},
					error: function(){
					}
			});
	}

	function getSyncStatus()
	{
		var syncStatus = "";
		$.ajax({

					type: "post",
				   	url: "./go.jsp?url=getSyncStatus",
				   	async: "false",

					beforeSend: function(XMLHttpRequest){
					},
					success: function(data){
					    if(data != "")
					    {
					    	syncStatus = data;
					    	return syncStatus;
					    }
					    else
					    {
					    } ;
					},
					complete: function(XMLHttpRequest, textStatus){
					},
					error: function(){
					}
			});
	}

</script>
	</head>
	<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0"
		marginheight="0">
		<DIV id=tooltip
			style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
		<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)">   pop up description layer </div>
		<table cellspacing=0 cellpadding=0 width=98% border=0>

			<tr>
				<td width="156" class="content-title">
					<i18n:message bundleRef="bundleAdmin"
						key="admin.cluster_management.title" />
				</td>
				<td valign="bottom">
					<div align="right">
						<a href="javascript:openhelpwin('cluster_mgmt.htm');"><img
								src="images/question_cui.gif" width="18" height="18" border="0"">
						</a>
					</div>
				</td>
			</tr>
			<tr>
				<td colspan="2" class="hor-dotted-line">
					<img src="images/1space_cui.gif" width="1" height="10">
				</td>
			</tr>
			<tr>
				<td height="10" colspan="2">
					<img src="images/1space_cui.gif" width="1" height="10">
				</td>
			</tr>
		</table>
		<table width="98%" border="0" cellpadding="0" cellspacing="0">

			<tr>
				<td class="border">
					<table width="100%" border="0" cellpadding="0" cellspacing="0">

								<tr>
				<td height="10" colspan="3" class="tableheadergrey"
					style="background-color: #dddcc5">
					<i18n:message bundleRef="bundleAdmin"
						key="admin.cluster_management.settings" />
				</td>
				<td align="right" height="10" colspan="1" class="tableheadergrey"
					style="background-color: #dddcc5">
					<% if ( !isLocalChildNode && access == 3) {%>
					<span class="linkAfterTitle"><a
						href="modify_cluster_management.jsp"><i18n:message
								bundleRef="bundleAdmin" key="admin.cluster_management.modify" />
					</a> </span>
					<%} else {%>
					&nbsp;
					<%} %>
				</td>

			</tr>

						<tr>
							<td height="10" width="150" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.cluster_name"></i18n:message>
								:
								<!-- <span style="width:1px; margin-left:150px;"></span> -->
							</td>
							<td height="10" colspan="3" class="data1">
								<%=clustername%>
							</td>

						</tr>

						<tr>
							<td height="10" width="90" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.HAMode"></i18n:message>
								:
							</td>
							<td height="10" width="204" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.HA_Mode"></i18n:message>
							</td>
							<td height="10" width="160" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.deployment_mode">
								</i18n:message>
								:
							</td>
							<td height="10" width="381" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.deploy_mode"></i18n:message>
							</td>
						</tr>
						<tr>
							<td height="10" nowrap="nowrap" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.ip"></i18n:message>
								<IMG src="images/info_mark_cui.gif" width="14" height="17"
									border=0 align=absMiddle style="CURSOR: hand"
									onmouseover="stm(tipFloatingip,tipStyle);return false;"
									onmouseout="htm();return false;">:
							</td>
							<td height="10" class="data1">
								<%=clusterIP%>
							</td>
							<td height="10" width="210" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.preemption">
								</i18n:message>	<IMG src="images/info_mark_cui.gif" width="14" height="17"
									border=0 align=absMiddle style="CURSOR: hand"
									onmouseover="stm(tipPreemption,tipStyle);return false;"
									onmouseout="htm();return false;">:
							</td>
							<td height="10" class="data1">
								<%
								if ("Enabled".equalsIgnoreCase(preemption))
								{
									%>
									<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.preemption_enable"></i18n:message>
									<%}
								else
								{
									%>
									<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.preemption_disable"></i18n:message>

									<%
								}
									%>
							</td>
						</tr>
						<tr>
							<td height="10" class="data1">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.description"></i18n:message>
								:
							</td>
							<td height="10" class="data1" colspan="3">
								<%=clusterdesc%>
							</td>
						</tr>

					</table>
				</td>
			</tr>
			<tr>
				<td class="border">
					<table width="100%" cellpadding="0" cellspacing="0">
						<tr>
							<td height="10" colspan="<%=6 + (isLocalChildNode ? 0 : 1 ) %>" class="tableheadergrey"
								style="border-right: 0; background-color: #dddcc5;">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.cluster_member"></i18n:message>
							</td>
							<td align="right" class="tableheadergrey" style="border-left: 0;">
								<a href="cluster_management.jsp" style="text-decoration: none;"><img
										src="images/refresh.gif" style="border: 0;" width="15"
										height="13" align="absmiddle" /><span class="linkAfterTitle"><i18n:message
											bundleRef="bundleAdmin"
											key="admin.cluster_management.refresh" />
								</span>
								</a>
							</td>
						</tr>
					<% if (!isLocalChildNode && access == 3){ %>
						<tr STYLE="background: #ececdb">
							<td height="10" class="data1" colspan="8">
								<div class="cluster_manager_switch_role">
									<%if (!"Enabled".equalsIgnoreCase(preemption) && nodes.size() > 1) {%>
									<a href="javascript:void(0);" style="text-decoration: none;" onclick="confirmSwitchRole();"><img
											src="images/icon_role_switch.gif" width="14" height="17"
											align="absmiddle" style="border: 0;"> <i18n:message
											bundleRef="bundleAdmin"
											key="admin.cluster_management.switch_role"></i18n:message> </a>
									<%} else { %>
										<img
											src="images/icon_role_switch.gif" width="14" height="17"
											align="absmiddle" style="border: 0;">
											 <!-- <input type="button"
											  style="height: 20px; font-size: 10px; margin-top: 10px; margin-left: 10px;"
											   value="<%=MessageResourcesMgr.mrAdmin.getMessage("admin.cluster_management.switch_role")%>"
											   disabled />
											   -->
										<font color="#8E8E8E">
											 <i18n:message
											bundleRef="bundleAdmin"
											key="admin.cluster_management.switch_role"></i18n:message>
										</font>

									<%} %>
								</div>
							</td>
						</tr>
					<%} %>
						<tr>
							<td class="grey" width="28%">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.hostname"></i18n:message>
							</td>
							<td class="grey" width="13%">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.role"></i18n:message>
							</td>
							<td class="grey" width="13%">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.member_ip"></i18n:message>
							</td>
							<td class="grey" width="10%" valign="middle">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.weight"></i18n:message>
								<IMG src="images/info_mark_cui.gif" width="14" height="17"
									border=0 align=absMiddle style="CURSOR: hand"
									onmouseover="stm(tipWeight,tipStyle);return false;"
									onmouseout="htm();return false;">
							</td>
							<td class="grey" width="8%">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.status"></i18n:message>
							</td>
							<td class="grey" width="17%" nowrap>
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.last_synchronized"></i18n:message>
							</td>
							<td class="grey" width="12%" nowrap>
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.synchronized_status"></i18n:message>
							</td>
						<%if (!isLocalChildNode){ %>
							<td class="grey-end width="2%" >
								&nbsp;
							</td>
						<%} %>
						</tr>
						<%
							if (nodes != null) {
								for (int i = 0; i < nodes.size(); i++) {
									ClusterNode tempnode = nodes.get(i);
									String guid = tempnode.getGuid();
									String hostname = tempnode.getHostname();
									String weight = tempnode.getWeight();
									String heartbeatIP = tempnode.getHeartbeatIP();
									String hostIP = tempnode.getHostIP();
									boolean isLocal = tempnode.isLocal();
									String role = tempnode.getRole();
									String haport = tempnode.getHaport();
									int status = tempnode.getStatus();
									if (role.equals("parent")) {
						%>
						<tr>
							<td class="data2b">
								<%=hostname%>
								<%
									if (!isLocal && access == 3) {
								%>
								<a href="javascript:void(0);"
									onclick="confirmRedirect('<%=clusterIP%>', '<%=managePort%>', 'Parent')"
									target=_top> <input style="height: 20px; font-size: 10px; margin-top: 10px; margin-left: 10px;" type="button"
										value="<%=MessageResourcesMgr.mrAdmin
											.getMessage("admin.cluster_management.Login")%>"></input> </a>
								<%
									}
								%>
							</td>
							<td class="data2b">
					<%if ("unknown".equalsIgnoreCase(role)){ %>
								<i18n:message bundleRef="bundleAdmin"
						key="admin.cluster_management.role_unknown_parent_down" />
					<%} else {%>
								<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.role_parent" />
					<%} %>
							</td>
							<td class="data2b">
								<%=hostIP%>
							</td>
							<td class="data2b">
					<%if (!isLocalChildNode && access == 3){ %>
								<a
									href="./cluster_management_change_weight.jsp?cluster_node_to_change_GUID=<%=guid%>">
									<%=weight%> </a>
					<%} else{ %>
							   		<%=weight%>
					<%} %>
							</td>
							<td class="data2b">
								<span class="textbold">
								   <a onMouseOver="popLayer(<%=i %>,20,30)" onMouseOut="hideLayer()">
					<%if (status == 0 && !"unknown".equalsIgnoreCase(role)){ %>
									<img width="25" height="15"	alt="" src="images/enable_button.gif">
					<%} else { %>
								 	<img width="25" height="15"	alt="" src="images/disable_button.gif">
					<%} %>
									</a>
								</span>
							</td>
							<td class="data2b">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.n_a"></i18n:message>
							</td>
							<td class="data2b">
								<i18n:message bundleRef="bundleAdmin"
									key="admin.cluster_management.n_a"></i18n:message>
							</td>
						<%if (!isLocalChildNode && access == 3) { %>
							<td class="data2b">
								<%
									if (nodes.size() == 1) {
								%>
								<a href="javascript:void(0);"
									onclick="confirmDeleteCluster('<%=guid%>')"> <img
										src="images/icon_delete.gif" border="0"> </a>
								<%
									}
								%>
							</td>
						<%} %>
						</tr>
						<%
							} else {
						%>
						<%
							int pos = -1;//to flag whether the child is sycnchronized.
										for (int j = 0; j < syncGuid.length; j++) {
											if (guid.equals(syncGuid[j])) {
												pos = j;
												break;
											}
										}
						%>
						<tr>
							<td class="data1b">
								<%=hostname%>
								<%
									if (!isLocal && access == 3) {
								%>
								<a href="javascript:void(0);"
									onclick="confirmRedirect('<%=hostIP%>', '<%=managePort%>', 'Child')"
									target=_top> <input style="height: 20px; font-size: 10px; margin-top: 10px; margin-left: 10px;" type="button"
										value="<%=MessageResourcesMgr.mrAdmin
											.getMessage("admin.cluster_management.Login")%>"></input> </a>
								<%
									}
								%>
							</td>
							<td class="data1b">
					<%if ("unkonwn".equalsIgnoreCase(role)){ %>
								<i18n:message bundleRef="bundleAdmin"
						key="admin.cluster_management.role_unknown_child_down" />
					<%} else {%>
								<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.role_child" />
					<%} %>
							</td>
							<td class="data1b">
								<%=hostIP%>
							</td>
							<td class="data1b">
					<%if (!isLocalChildNode && access == 3){ %>
								<a
									href="./cluster_management_change_weight.jsp?cluster_node_to_change_GUID=<%=guid%>">
									<%=weight%> </a>
					<%} else{ %>
							   		<%=weight%>
					 <%} %>
							</td>
							<td class="data1b">
								<span class="textbold">
								 <a onMouseOver="popLayer(<%=i %>,20,30)" onMouseOut="hideLayer()">
					 <%if (status == 0  && !"unknown".equalsIgnoreCase(role)){ %>
									<img width="25" height="15"	alt="" src="images/enable_button.gif">
					 <%} else { %>
								 	<img width="25" height="15"	alt="" src="images/disable_button.gif">
					 <%} %>
									</a>
								</span>
							</td>
							<td class="data1b">
								<%
									if (pos != -1 && syncStatus[pos] != 1)
									{
								%>
										<%=lastSyncTime[pos]%>
								<%
									}
								%>
							</td>
							<td class="data1b">
									<%if(pos!=-1){%>
										<%if (syncStatus[pos] == 0 || syncStatus[pos] == 102 ){ %>
											<span class="textbold"><img width="25" height="15" alt="" src="images/enable_button.gif"></span>
										<%} else if (syncStatus[pos] == 1 || syncStatus[pos] == 105 || syncStatus[pos] == 103){ %>
												<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.synchronizing"></i18n:message>
										<%} else {
											String sycFailedReason = "admin.cluster_management.sycstatus_failed_reason_" + syncStatus[pos];
										%>
											<!-- <span class="textbold"><img width="14" height="14" alt="Fail reason and suggestion " src="images/disable_small.gif">
											<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.sycstatus_failed_reason"></i18n:message>&nbsp;<i18n:message bundleRef="bundleAdmin" key="<%=sycFailedReason %>"></i18n:message>
											</span>-->
											<span class="textbold"><img width="14" height="14" alt="" src="images/disable_small.gif">Failed <img width="15" height="15" title='<i18n:message bundleRef="bundleAdmin" key="admin.cluster_management.sycstatus_failed_reason"></i18n:message>&nbsp;<i18n:message bundleRef="bundleAdmin" key="<%=sycFailedReason %>"></i18n:message>' alt="" src="images/info_mark.gif"></span>
										<%} %>

									<%}else{
										// here means that the GetSyncInfo nodes is null. Just show nothing.
									%>
										<!--  <span class="textbold"><img width="14" height="14" alt="Fail reason and suggestion " src="images/disable_small.gif">Failed <img width="15" height="15" title="Failure reason and suggestion" alt="" src="images/info_mark.gif"></span> -->
									<%} %>

							</td>
							<%if (!isLocalChildNode && access == 3){ %>
								<td class="data1b">
									<a href="javascript:void(0);"
										onclick="confirmDeleteChildNode('<%=guid%>')"> <img
											src="images/icon_delete.gif" border="0" width="18"
											height="18"> </a>
								</td>
							<%} %>
						</tr>
						<%
							}
								}
							}
						%>

					</table>
				</td>
			</tr>
		</table>
		<form id="ssologonForm" name="ssologonForm"
			action="" method="post" target="_blank">
			<table id="ssologon">
				<tr> <td>
					<table>
						<tr>
							<td>
								<input type="hidden" id="uid" name="uid" value="<%=request.getSession().getAttribute("UserId") %>">
								<input type="hidden" id="passwd" name="passwd" value="">
							</td>
						</tr>
					</table>
					</td>
				</tr>

			</table>
		</form>
	</body>


</html>
