<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: Charles Yao                                -->
<!--Date: 12/03/2007                                        -->
<!--Description: Date and time configuration                -->
<!--File:config_date_time.jsp                               -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.lang.Math" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	if(Validation.CheckUser(request,response)!=1)
	{
		response.sendRedirect("logon.jsp");
		return;
	}
	AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if(accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(1003);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
    
    String token = UIHelperToken.getToken(request);
%>
<%!
// define all commonds used in later
String cmd_show_timezone   = "show system timezone";
String cmd_config_timezone = "configure system timezone ";
String cmd_config_date     = "configure system date ";
String cmd_restart_webui   = "restart service webui";
String cmd_restart_metric_mgmt = "restart service metric_mgmt";
String cmd_ntp_sync        = "configure module ntp sync ";
String cmd_show_ntp_sch    = "show module ntp schedule";
String cmd_config_ntp_sch  = "configure module ntp schedule ";
String cmd_disable_ntp_sch = "configure module ntp schedule disable";
String GetTimezone(String token) {
	try {
		CLIResult res = CLICommandExecuter.exec( cmd_show_timezone, true, token);
		return res.getKeyValue("timezone");
	} catch (CLIException e) {
		return "UnknownTimezone";
	}
}
boolean SetTimezone(String new_tz, String token) {
	try {
		String []tzinfo = new_tz.split("/");
		CLICommandExecuter.exec( cmd_config_timezone + tzinfo[0] + " " + tzinfo[1], true, token);
		TimeZone tz = TimeZone.getTimeZone( new_tz);
		TimeZone.setDefault( tz );
	} catch (CLIException e) {
		System.out.println( "Exception when configure time zone... ..." );
		return false;
	}
	return true;
}
boolean setDateTime(String date_value, String time_value, String token) {
	try {
		String []d = date_value.split("/");
		String ds = d[2] + "-" + d[0] + "-" + d[1]; // YYYY-MM-DD
		CLICommandExecuter.exec( cmd_config_date + ds + " " + time_value, true, token);
		return true;
	} catch (CLIException e) {
		return false;
	}
}
// After configuring the timezone, restart the webUI
boolean RestartWebUI(String token)
{
	try {
		CLICommandExecuter.exec( cmd_restart_webui, token);
	} catch ( CLIException e ) {
		System.out.println( "Exception when restart the webUI... ..." );
	}
	return true;
}
boolean RestartMetric(String token)
{
	try {
		CLICommandExecuter.exec( cmd_restart_metric_mgmt, token);
	} catch ( CLIException e ) {
		System.out.println( "Exception when restart the Metric... ..." );
	}
	return true;
}
boolean doNTPSyncDirect(String srv, String token) {
	try {
		CLICommandExecuter.exec( cmd_ntp_sync  + srv, true, token);
		return true;
	} catch (CLIException e) {
		return false;
	}
}
String GetNTPSchedule(Vector v, String token) {
	try {
		CLIResult res = CLICommandExecuter.exec( cmd_show_ntp_sch, true, token);
		//String enable = res.getKeyValue("NTP enable");
		String primary = res.getKeyValue("Primary NTP server");
		String secondary = res.getKeyValue("Secondary NTP server");
		String intval = res.getKeyValue("Synchronization interval");
		if (primary.length() > 0)
			v.addElement(primary);
		if (secondary.length() > 0)
			v.addElement(secondary);
		return intval;
	} catch (CLIException e) {
		return "UnknownInterval";
	}
}
String GetNTPScheduleStatus(String token) {
	try {
		CLIResult res = CLICommandExecuter.exec( cmd_show_ntp_sch, true, token);
		String enable = res.getKeyValue("NTP time synchronization");
		return enable;
	} catch (CLIException e) {
		return "UnknownStatus";
	}
}
String GetDateTime(String fmt, String token) {
	TimeZone.setDefault(TimeZone.getTimeZone(GetTimezone(token)));
	Date date = new Date();
	DateFormat df = new SimpleDateFormat(fmt);
	return df.format(date);
}
boolean setNTPSchedule(Vector servers, String interval, String token) {
	try {
		String s = "";
		for (int i = 0; i < servers.size(); i++)
			s += servers.get(i) + " ";
		CLICommandExecuter.exec( cmd_config_ntp_sch + interval + " " + s, true, token);
		return true;
	} catch (CLIException e) {
		return false;
	}
}
boolean deleteNTPSchedule(String token) {
	try {
		CLICommandExecuter.exec( cmd_disable_ntp_sch, true, token);
		return true;
	} catch (CLIException e) {
		return false;
	}
}
boolean SaveTimeZoneConfigure( HttpServletRequest request, String orginTimezone, String[] validTimezone, String token)
{
	if ( request.getParameter("op") != null && request.getParameter("op").compareToIgnoreCase("save") != 0 )
		return false;
	if ( request.getParameter("select_timezone_continent") != null && request.getParameter("select_timezone_continent").length() != 0
		&& request.getParameter("select_timezone_city") != null && request.getParameter("select_timezone_city").length() !=0 )
	{
		String newContinent = request.getParameter("select_timezone_continent");
		String newCity = request.getParameter("select_timezone_city");
		String newTimezone = newContinent + "/" + newCity;
		if ( orginTimezone.compareToIgnoreCase(newTimezone) == 0 )
			return false;
		for ( int i = 0; i < validTimezone.length; i++ )
		{
			if ( newTimezone.compareToIgnoreCase(validTimezone[i]) == 0 )
			{
				String logEntry = "Timezone is changed to: " + newTimezone;
				try {
					AuditTrailLogger.getInstance().log(request, logEntry );
					System.out.println(logEntry);
				} catch (Exception e) {
					System.out.println("Timezone change Error in Audit Log: " + e.getMessage());
				}
				return SetTimezone(newTimezone, token);
			}
		}
	}
	return false;
}
%>
<%
  String sync_interval = "2d";
  String sync_status = "yes";
  String tz_file = "";
  String primary_ntp = "";
  String secondary_ntp = "";
  String ntp_targets = "";
  String oldtimezone = "";
  //String work_path = "";
  //String location_file_ini = "";
  int save_btn_state = 0;
  int from_sync = 0;
  int config_type = 0;
  int hh_value = 0;
  int mm_value = 0;
  int ss_value = 0;
  int auto_sync = 0;
  int ntp_sync_result = 0;
  int ret = 0;
  String interval_opt[][] = {
	{"30m", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.30_min")},
	{"1h", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.1_hour")},
	{"2h", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.2_hours")},
	{"4h", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.4_hours")},
	{"6h", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.6_hours")},
	{"12h", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.12_hours")},
	{"1d", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.1_day")},
	{"2d", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.2_days")},//default value
	{"1w", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.1_week")},
	{"1M", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.1_month")}
  };
  String valid_tz_value[] = {
			 "Pacific/Auckland",
			 "Pacific/Apia",
			 "Pacific/Chatham",
			 "Pacific/Easter",
			 "Pacific/Efate",
			 "Pacific/Enderbury",
			 "Pacific/Fakaofo",
			 "Pacific/Fiji",
			 "Pacific/Funafuti",
			 "Pacific/Guam",
			 "Pacific/Galapagos",
			 "Pacific/Guadalcanal",
			 "Pacific/Gambier",
			 "Pacific/Honolulu",
			 "Pacific/Johnston",
			 "Pacific/Kwajalein",
			 "Pacific/Kiritimati",
			 "Pacific/Kosrae",
			 "Pacific/Majuro",
			 "Pacific/Midway",
			 "Pacific/Marquesas",
			 "Pacific/Noumea",
			 "Pacific/Niue",
			 "Pacific/Norfolk",
			 "Pacific/Nauru",
			 "Pacific/Pago_Pago",
			 "Pacific/Palau",
			 "Pacific/Ponape",
			 "Pacific/Pitcairn",
			 "Pacific/Port_Moresby",
			 "Pacific/Rarotonga",
			 "Pacific/Saipan",
			 "Pacific/Truk",
			 "Pacific/Tahiti",
			 "Pacific/Tongatapu",
			 "Pacific/Tarawa",
			 "Pacific/Wake",
			 "Pacific/Wallis",


			 "Antarctica/Casey",
			 "Antarctica/Davis",
			 "Antarctica/DumontDUrville",
			 "Antarctica/Mawson",
			 "Antarctica/McMurdo",
			 "Antarctica/Palmer",
			 "Antarctica/Rothera",
			 "Antarctica/South_Pole",
			 "Antarctica/Syowa",
			 "Antarctica/Vostok",




			 "America/Adak",
			 "America/Anguilla",
			 "America/Antigua",
			 "America/Araguaina",
			 "America/Aruba",
			 "America/Asuncion",
			 "America/Atikokan",
			 "America/Anchorage",
			 "America/Bahia",
			 "America/Barbados",
			 "America/Buenos_Aires",
			 "America/Belem",
			 "America/Belize",
			 "America/Blanc-Sablon",
			 "America/Boa_Vista",
			 "America/Bogota",
			 "America/Boise",
			 "America/Cambridge_Bay",
			 "America/Campo_Grande",
			 "America/Cancun",
			 "America/Caracas",
			 "America/Chicago",
			 "America/Catamarca",
			 "America/Cayenne",
			 "America/Cayman",
			 "America/Chihuahua",
			 "America/Cordoba",
			 "America/Costa_Rica",
			 "America/Cuiaba",
			 "America/Curacao",
			 "America/Danmarkshavn",
			 "America/Dawson",
			 "America/Dawson_Creek",
			 "America/Detroit",
			 "America/Dominica",
			 "America/Denver",
			 "America/Edmonton",
			 "America/Eirunepe",
			 "America/El_Salvador",
			 "America/Fortaleza",
			 "America/Glace_Bay",
			 "America/Goose_Bay",
			 "America/Grand_Turk",
			 "America/Grenada",
			 "America/Guadeloupe",
			 "America/Guatemala",
			 "America/Guayaquil",
			 "America/Guyana",
			 "America/Godthab",
			 "America/Halifax",
			 "America/Havana",
			 "America/Hermosillo",
			 "America/Indianapolis",
			 "America/Inuvik",
			 "America/Iqaluit",
			 "America/Jamaica",
			 "America/Jujuy",
			 "America/Juneau",
			 "America/Knox",
			 "America/Louisville",
			 "America/Los_Angeles",
			 "America/La_Rioja",
			 "America/La_Paz",
			 "America/Lima",
			 "America/Maceio",
			 "America/Managua",
			 "America/Marengo",
			 "America/Manaus",
			 "America/Marigot",
			 "America/Monticello",
			 "America/Martinique",
			 "America/Mendoza",
			 "America/Mazatlan",
			 "America/Menominee",
			 "America/Merida",
			 "America/Miquelon",
			 "America/Moncton",
			 "America/Monterrey",
			 "America/Montevideo",
			 "America/Montreal",
			 "America/Montserrat",
			 "America/Mexico_City",
			 "America/Nassau",
			 "America/Nipigon",
			 "America/New_York",
			 "America/Noronha",
			 "America/New_Salem",
			 "America/Nome",
			 "America/Panama",
			 "America/Pangnirtung",
			 "America/Paramaribo",
			 "America/Port-au-Prince",
			 "America/Phoenix",
			 "America/Port_of_Spain",
			 "America/Porto_Velho",
			 "America/Petersburg",
			 "America/Puerto_Rico",
			 "America/Rainy_River",
			 "America/Rankin_Inlet",
			 "America/Recife",
			 "America/Regina",
			 "America/Resolute",
			 "America/Rio_Branco",
			 "America/Rio_Gallegos",
			 "America/Santarem",
			 "America/Santiago",
			 "America/Santo_Domingo",
			 "America/Sao_Paulo",
			 "America/Scoresbysund",
			 "America/Shiprock",
			 "America/St_Barthelemy",
			 "America/St_Kitts",
			 "America/St_Lucia",
			 "America/St_Thomas",
			 "America/St_Johns",
			 "America/St_Vincent",
			 "America/San_Luis",
			 "America/Swift_Current",
			 "America/San_Juan",
			 "America/Thule",
			 "America/Tell_City",
			 "America/Thunder_Bay",
			 "America/Tijuana",
			 "America/Tucuman",
			 "America/Toronto",
			 "America/Tortola",
			 "America/Tegucigalpa",
			 "America/Ushuaia",
			 "America/Vancouver",
			 "America/Vevay",
			 "America/Vincennes",
			 "America/Whitehorse",
			 "America/Winnipeg",
			 "America/Winamac",
			 "America/Yakutat",
			 "America/Yellowknife",


			 "Atlantic/Azores",
			 "Atlantic/Bermuda",
			 "Atlantic/Canary",
			 "Atlantic/Cape_Verde",
			 "Atlantic/Faroe",
			 "Atlantic/Madeira",
			 "Atlantic/Reykjavik",
			 "Atlantic/South_Georgia",
			 "Atlantic/Stanley",
			 "Atlantic/St_Helena",

			 "Arctic/Longyearbyen",


			 "Europe/Athens",
			 "Europe/Amsterdam",
			 "Europe/Andorra",
			 "Europe/Belgrade",
			 "Europe/Bucharest",
			 "Europe/Brussels",
			 "Europe/Berlin",
			 "Europe/Bratislava",
			 "Europe/Budapest",
			 "Europe/Chisinau",
			 "Europe/Copenhagen",
			 "Europe/Dublin",
			 "Europe/Gibraltar",
			 "Europe/Guernsey",
			 "Europe/Helsinki",
			 "Europe/Isle_of_Man",
			 "Europe/Istanbul",
			 "Europe/Jersey",
			 "Europe/Kaliningrad",
			 "Europe/Kiev",
			 "Europe/Lisbon",
			 "Europe/Ljubljana",
			 "Europe/London",
			 "Europe/Luxembourg",
			 "Europe/Madrid",
			 "Europe/Malta",
			 "Europe/Moscow",
			 "Europe/Mariehamn",
			 "Europe/Minsk",
			 "Europe/Monaco",
			 "Europe/Oslo",
			 "Europe/Paris",
			 "Europe/Podgorica",
			 "Europe/Prague",
			 "Europe/Riga",
			 "Europe/Rome",
			 "Europe/Samara",
			 "Europe/San_Marino",
			 "Europe/Sarajevo",
			 "Europe/Simferopol",
			 "Europe/Skopje",
			 "Europe/Sofia",
			 "Europe/Stockholm",
			 "Europe/Tallinn",
			 "Europe/Tirane",
			 "Europe/Uzhgorod",
			 "Europe/Vaduz",
			 "Europe/Vatican",
			 "Europe/Vienna",
			 "Europe/Vilnius",
			 "Europe/Volgograd",
			 "Europe/Warsaw",
			 "Europe/Zagreb",
			 "Europe/Zaporozhye",
			 "Europe/Zurich",



			 "Africa/Abidjan",
			 "Africa/Accra",
			 "Africa/Addis_Ababa",
			 "Africa/Algiers",
			 "Africa/Asmara",
			 "Africa/Bamako",
			 "Africa/Bangui",
			 "Africa/Banjul",
			 "Africa/Bissau",
			 "Africa/Blantyre",
			 "Africa/Brazzaville",
			 "Africa/Bujumbura",
			 "Africa/Casablanca",
			 "Africa/Cairo",
			 "Africa/Ceuta",
			 "Africa/Conakry",
			 "Africa/Dakar",
			 "Africa/Dar_es_Salaam",
			 "Africa/Djibouti",
			 "Africa/Douala",
			 "Africa/El_Aaiun",
			 "Africa/Freetown",
			 "Africa/Gaborone",
			 "Africa/Harare",
			 "Africa/Johannesburg",
			 "Africa/Kampala",
			 "Africa/Khartoum",
			 "Africa/Kigali",
			 "Africa/Kinshasa",
			 "Africa/Lagos",
			 "Africa/Libreville",
			 "Africa/Lome",
			 "Africa/Luanda",
			 "Africa/Lubumbashi",
			 "Africa/Lusaka",
			 "Africa/Malabo",
			 "Africa/Maputo",
			 "Africa/Maseru",
			 "Africa/Mbabane",
			 "Africa/Mogadishu",
			 "Africa/Monrovia",
			 "Africa/Nairobi",
			 "Africa/Ndjamena",
			 "Africa/Niamey",
			 "Africa/Nouakchott",
			 "Africa/Ouagadougou",
			 "Africa/Porto-Novo",
			 "Africa/Sao_Tome",
			 "Africa/Tripoli",
			 "Africa/Tunis",
			 "Africa/Windhoek",





			 "Asia/Almaty",
			 "Asia/Aden",
			 "Asia/Amman",
			 "Asia/Anadyr",
			 "Asia/Aqtau",
			 "Asia/Aqtobe",
			 "Asia/Ashgabat",
			 "Asia/Baghdad",
			 "Asia/Bangkok",
			 "Asia/Bahrain",
			 "Asia/Beirut",
			 "Asia/Bishkek",
			 "Asia/Baku",
			 "Asia/Brunei",
			 "Asia/Choibalsan",
			 "Asia/Chongqing",
			 "Asia/Colombo",
			 "Asia/Damascus",
			 "Asia/Dili",
			 "Asia/Dhaka",
			 "Asia/Dubai",
			 "Asia/Dushanbe",
			 "Asia/Gaza",
			 "Asia/Harbin",
			 "Asia/Ho_Chi_Minh",
			 "Asia/Hovd",
			 "Asia/Hong_Kong",
			 "Asia/Irkutsk",
			 "Asia/Jakarta",
			 "Asia/Jayapura",
			 "Asia/Jerusalem",
			 "Asia/Kamchatka",
			 "Asia/Kashgar",
			 "Asia/Kuwait",
			 "Asia/Katmandu",
			 "Asia/Kuala_Lumpur",
			 "Asia/Kolkata",
			 "Asia/Kuching",
			 "Asia/Kabul",
			 "Asia/Krasnoyarsk",
			 "Asia/Karachi",
			 "Asia/Macau",
			 "Asia/Makassar",
			 "Asia/Muscat",
			 "Asia/Manila",
			 "Asia/Magadan",
			 "Asia/Nicosia",
			 "Asia/Novosibirsk",
			 "Asia/Omsk",
			 "Asia/Oral",
			 "Asia/Phnom_Penh",
			 "Asia/Pontianak",
			 "Asia/Pyongyang",
			 "Asia/Qatar",
			 "Asia/Qyzylorda",
			 "Asia/Riyadh",
			 "Asia/Rangoon",
			 "Asia/Sakhalin",
			 "Asia/Samarkand",
			 "Asia/Singapore",
			 "Asia/Shanghai",
			 "Asia/Seoul",
			 "Asia/Tashkent",
			 "Asia/Tbilisi",
			 "Asia/Tehran",
			 "Asia/Tokyo",
			 "Asia/Taipei",
			 "Asia/Thimphu",
			 "Asia/Ulaanbaatar",
			 "Asia/Urumqi",
			 "Asia/Vientiane",
			 "Asia/Vladivostok",
			 "Asia/Yekaterinburg",
			 "Asia/Yakutsk",
			 "Asia/Yerevan",



			 "Australia/Adelaide",
			 "Australia/Brisbane",
			 "Australia/Broken_Hill",
			 "Australia/Currie",
			 "Australia/Darwin",
			 "Australia/Eucla",
			 "Australia/Lindeman",
			 "Australia/Lord_Howe",
			 "Australia/Melbourne",
			 "Australia/Hobart",
			 "Australia/Perth",
			 "Australia/Sydney",

			 "Indian/Antananarivo",
			 "Indian/Chagos",
			 "Indian/Christmas",
			 "Indian/Cocos",
			 "Indian/Comoro",
			 "Indian/Kerguelen",
			 "Indian/Mahe",
			 "Indian/Maldives",
			 "Indian/Mauritius",
			 "Indian/Mayotte",
			 "Indian/Reunion",



			 "Etc/GMT",
			 "Etc/GMT+1",
			 "Etc/GMT+10",
			 "Etc/GMT+11",
			 "Etc/GMT+12",
			 "Etc/GMT+2",
			 "Etc/GMT+3",
			 "Etc/GMT+4",
			 "Etc/GMT+5",
			 "Etc/GMT+6",
			 "Etc/GMT+7",
			 "Etc/GMT+8",
			 "Etc/GMT+9",
			 "Etc/GMT-1",
			 "Etc/GMT-10",
			 "Etc/GMT-11",
			 "Etc/GMT-12",
			 "Etc/GMT-13",
			 "Etc/GMT-14",
			 "Etc/GMT-2",
			 "Etc/GMT-3",
			 "Etc/GMT-4",
			 "Etc/GMT-5",
			 "Etc/GMT-6",
			 "Etc/GMT-7",
			 "Etc/GMT-8",
			 "Etc/GMT-9",
			 "Etc/UTC",




			 "US/Arizona",
			 "US/Pacific",
			 "US/Alaska",
			 "US/Hawaii",
			 "US/Eastern",
			 "US/East-Indiana",
			 "US/Central",
			 "US/Mountain",
			 "US/Michigan",
			 "US/Aleutian",
			 "US/Indiana-Starke",
			 "US/Samoa",


			 "Africa/Asmera",
			 "Africa/Timbuktu",
			 "America/Atka",
			 "America/Coral_Harbour",
			 "America/Ensenada",
			 "America/Fort_Wayne",
			 "America/Knox_IN",
			 "America/North_Dakota",
			 "America/Porto_Acre",
			 "America/Rosario",
			 "America/Virgin",
			 "Asia/Ashkhabad",
			 "Asia/Calcutta",
			 "Asia/Dacca",
			 "Asia/Riyadh87",
			 "Asia/Riyadh88",
			 "Asia/Riyadh89",
			 "Asia/Saigon",
			 "Asia/Tel_Aviv",
			 "Asia/Ujung_Pandang",
			 "Atlantic/Faeroe",
			 "Atlantic/Jan_Mayen",
			 "Australia/ACT",
			 "Australia/Canberra",
			 "Australia/LHI",
			 "Australia/North",
			 "Australia/NSW",
			 "Australia/Queensland",
			 "Australia/South",
			 "Australia/Tasmania",
			 "Australia/Victoria",
			 "Australia/West",
			 "Australia/Yancowinna",
			 "Europe/Belfast",
			 "Europe/Tiraspol",
			 "Pacific/Yap",
	  };
	  String valid_tz_display_str[][] = {
			 {"GMT", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmt")},
			  {"GMT+1", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp1")},
			  {"GMT+2", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp2")},
			  {"GMT+3", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp3")},
			  {"GMT+4", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp4")},
			  {"GMT+5", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp5")},
			  {"GMT+6", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp6")},
			  {"GMT+7", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp7")},
			  {"GMT+8", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp8")},
			  {"GMT+9", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp9")},
			  {"GMT+10", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp10")},
			  {"GMT+11", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp11")},
			  {"GMT+12", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtp12")},
			  {"GMT-1", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn1")},
			  {"GMT-2", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn2")},
			  {"GMT-3", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn3")},
			  {"GMT-4", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn4")},
			  {"GMT-5", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn5")},
			  {"GMT-6", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn6")},
			  {"GMT-7", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn7")},
			  {"GMT-8", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn8")},
			  {"GMT-9", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn9")},
			  {"GMT-10", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn10")},
			  {"GMT-11", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn11")},
			  {"GMT-12", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn12")},
			  {"GMT-13", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn13")},
			  {"GMT-14", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_gmtn14")},
			  {"UTC", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.etc_utc")},
			  {"Antananarivo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_antananarivo")},
			  {"Chagos", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_chagos")},
			  {"Christmas", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_christmas")},
			  {"Cocos", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_cocos")},
			  {"Comoro", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_comoro")},
			  {"Kerguelen", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_kerguelen")},
			  {"Mahe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_mahe")},
			  {"Maldives", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_maldives")},
			  {"Mauritius", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_mauritius")},
			  {"Mayotte", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_mayotte")},
			  {"Reunion", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ind_reunion")},
			  {"Longyearbyen", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.arc_longyearbyen")},
			  {"Casey", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_casey")},
			  {"Davis", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_davis")},
			  {"DumontDUrville", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_dumontdurville")},
			  {"Mawson", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_mawson")},
			  {"McMurdo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_mcmurdo")},
			  {"Palmer", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_palmer")},
			  {"Rothera", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_rothera")},
			  {"South_Pole", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_south_pole")},
			  {"Syowa", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_syowa")},
			  {"Vostok", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ant_vostok")},
		{"Kwajalein", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_kwajalein")},
		{"Midway", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_midway")},
		{"Honolulu", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_honolulu")},
		{"Fiji", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_fiji")},
		{"Auckland", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_auckland")},
		{"Guam", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_guam")},
		{"Anchorage", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_anchorage")},
		{"Godthab", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_godthab")},
		{"Los_Angeles", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_los_angeles")},
		{"Denver", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_denver")},
		{"Phoenix", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_phoeix")},
		{"Chicago", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_chicago")},
		{"Tegucigalpa", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_tegucigalpa")},
		{"New_York", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_new_york")},
		{"Bogota", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_bogota")},
		{"La_Paz", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_la_paz")},
		{"St_Johns", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_st_johns")},
		{"Buenos_Aires", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_buenos_aires")},
		{"Noronha", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_noronha")},
		{"Lima", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_lima")},
		{"Mexico_City", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_mexico")},
		{"Chihuahua", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_chihuahua")},
		{"Santiago", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_santiago")},
		{"Azores", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_azores")},
		{"Dublin", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_dublin")},
		{"Berlin", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_berlin")},
		{"Brussels", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_brussels")},
		{"Paris", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_paris")},
		{"Athens", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_athens")},
		{"Amsterdam", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_amsterdam")},
		{"Belgrade", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_belgrade")},
		{"Bucharest", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_bucharest")},
		{"Moscow", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_moscow")},
		{"Harare", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_harare")},
		{"Cairo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_cairo")},
		{"Baghdad", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_baghdad")},
		{"Tehran", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_tehran")},
		{"Muscat", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_muscat")},
		{"Kabul", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_kabul")},
		{"Karachi", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_karachi")},
		{"Almaty", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_almaty")},
		{"Bangkok", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_bangkok")},
		{"Shanghai", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_shanghai")},
		{"Taipei", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_taipei")},
		{"Tokyo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_tokyo")},
		{"Magadan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_magadan")},
		{"Jerusalem", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_jerusalem")},
		{"Kuwait", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_kuwait")},
		{"Baku", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_baku")},
		{"Katmandu", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_katmandu")},
		{"Dhaka", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_dhaka")},
		{"Colombo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_colombo")},
		{"Rangoon", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_rangoon")},
		{"Krasnoyarsk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_krasnoyarsk")},
		{"Hong_Kong", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_hong_kong")},
		{"Irkutsk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_irkutsk")},
		{"Kuala_Lumpur", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_lumpur")},
		{"Manila", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_manila")},
		{"Singapore", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_singapore")},
		{"Seoul", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_seoul")},
		{"Yakutsk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_yakutsk")},
		{"Adelaide", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_adelaide")},
		{"Brisbane", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_brisbane")},
		{"Darwin", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_darwin")},
		{"Melbourne", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_melbourne")},
		{"Hobart", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_hobart")},
		{"Perth", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_perth")},
		{"Arizona", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_arizona")},
		{"Pacific", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_pacific")},
		{"Alaska", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_alaska")},
		{"Hawaii", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_hawaii")},
		{"Eastern", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_eastern")},
		{"East-Indiana", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_indiana")},
		{"Central", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_central")},
		{"Mountain", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_mountain")},
		{"Apia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_apia")},
		{"Fakaofo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_fakaofo")},
		{"Majuro", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_majuro")},
		{"Noumea", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_noumea")},
		{"Rarotonga", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_rarotonga")},
		{"Truk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_truk")},
		{"Marquesas", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_marquesas")},
		{"Pago_Pago", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_pago_pago")},
		{"Saipan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_saipan")},
		{"Wake", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_wake")},
		{"Chatham", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_chatham")},
		{"Funafuti", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_funafuti")},
		{"Johnston", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_johnston")},
		{"Palau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_palau")},
		{"Wallis", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_wallis")},
		{"Easter", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_easter")},
		{"Galapagos", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_galapagos")},
		{"Kiritimati", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_kiritimati")},
		{"Nauru", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_nauru")},
		{"Pitcairn", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_pitcairn")},
		{"Tahiti", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_tahiti")},
		{"Efate", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_efate")},
		{"Gambier", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_gambier")},
		{"Kosrae", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_kosrae")},
		{"Niue", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_niue")},
		{"Ponape", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_ponape")},
		{"Tarawa", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_tarawa")},
		{"Enderbury", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_enderbury")},
		{"Guadalcanal", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_guadalcanal")},
		{"Norfolk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_norfolk")},
		{"Port_Moresby", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_port_moresby")},
		{"Tongatapu", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_tongatapu")},
		{"Adak", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_adak")},
		{"Anguilla", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_anguilla")},
		{"Antigua", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_antigua")},
		{"Araguaina", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_araguaina")},
		{"Aruba", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_aruba")},
		{"Asuncion", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_asuncion")},
		{"Atikokan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_atikokan")},
		{"Bahia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_bahia")},
		{"Barbados", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_barbados")},
		{"Belem", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_belem")},
		{"Belize", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_belize")},
		{"Blanc-Sablon", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_blanc-sablon")},
		{"Boa_Vista", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_boa_vista")},
		{"Boise", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_boise")},
		{"Cambridge_Bay", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_cambridge_bay")},
		{"Campo_Grande", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_campo_grande")},
		{"Cancun", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_cancun")},
		{"Caracas", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_caracas")},
		{"Catamarca", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_catamarca")},
		{"Cayenne", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_cayenne")},
		{"Cayman", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_cayman")},
		{"Cordoba", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_cordoba")},
		{"Costa_Rica", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_costa_rica")},
		{"Cuiaba", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_cuiaba")},
		{"Curacao", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_curacao")},
		{"Danmarkshavn", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_danmarkshavn")},
		{"Dawson", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_dawson")},
		{"Dawson_Creek", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_dawson_creek")},
		{"Detroit", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_detroit")},
		{"Dominica", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_dominica")},
		{"Edmonton", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_edmonton")},
		{"Eirunepe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_eirunepe")},
		{"El_Salvador", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_el_salvador")},
		{"Fortaleza", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_fortaleza")},
		{"Glace_Bay", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_glace_bay")},
		{"Goose_Bay", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_goose_bay")},
		{"Grand_Turk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_grand_turk")},
		{"Grenada", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_grenada")},
		{"Guadeloupe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_guadeloupe")},
		{"Guatemala", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_guatemala")},
		{"Guayaquil", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_guayaquil")},
		{"Guyana", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_guyana")},
		{"Halifax", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_halifax")},
		{"Havana", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_havana")},
		{"Hermosillo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_hermosillo")},
		{"Indianapolis", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_indianapolis")},
		{"Inuvik", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_inuvik")},
		{"Iqaluit", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_iqaluit")},
		{"Jamaica", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_jamaica")},
		{"Jujuy", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_jujuy")},
		{"Juneau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_juneau")},
		{"Louisville", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_louisville")},
		{"Maceio", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_maceio")},
		{"Managua", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_managua")},
		{"Manaus", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_manaus")},
		{"Marigot", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_marigot")},
		{"Martinique", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_martiniqu")},
		{"Mazatlan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_mazatlan")},
		{"Mendoza", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_mendoza")},
		{"Menominee", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_menominee")},
		{"Merida", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_merida")},
		{"Miquelon", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_miquelon")},
		{"Moncton", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_moncton")},
		{"Monterrey", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_monterrey")},
		{"Montevideo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_montevideo")},
		{"Montreal", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_montreal")},
		{"Montserrat", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_montserrat")},
		{"Nassau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_nassau")},
		{"Nipigon", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_nipigon")},
		{"Nome", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_nome")},
		{"Panama", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_panama")},
		{"Pangnirtung", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_pangnirtung")},
		{"Paramaribo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_paramaribo")},
		{"Port-au-Prince", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_port-au-prince")},
		{"Port_of_Spain", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_port_of_spain")},
		{"Porto_Velho", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_porto_velho")},
		{"Puerto_Rico", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_puerto_rico")},
		{"Rainy_River", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_rainy_river")},
		{"Rankin_Inlet", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_rankin_inlet")},
		{"Recife", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_recife")},
		{"Regina", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_regina")},
		{"Resolute", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_resolute")},
		{"Rio_Branco", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_rio_branco")},
		{"Santarem", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_santarem")},
		{"Santo_Domingo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_santo_domingo")},
		{"Sao_Paulo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_sao_paulo")},
		{"Scoresbysund", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_scoresbysund")},
		{"Shiprock", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_shiprock")},
		{"St_Barthelemy", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_st_barthelemy")},
		{"St_Kitts", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_st_kitts")},
		{"St_Lucia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_st_lucia")},
		{"St_Thomas", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_st_thomas")},
		{"St_Vincent", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_st_vincent")},
		{"Swift_Current", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_swift_current")},
		{"Thule", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_thule")},
		{"Thunder_Bay", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_thunder_bay")},
		{"Tijuana", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_tijuana")},
		{"Toronto", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_toronto")},
		{"Tortola", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_tortola")},
		{"Vancouver", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_vancouver")},
		{"Whitehorse", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_whitehorse")},
		{"Winnipeg", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_winnipeg")},
		{"Yakutat", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_yakutat")},
		{"Yellowknife", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_yellowknife")},
		{"San_Juan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_san_juan")},
		{"Ushuaia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_ushuaia")},
		{"Catamarca", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_catamarca")},
		{"Jujuy", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_jujuy")},
		{"Rio_Gallegos", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_rio_gallegos")},
		{"San_Luis", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_san_luis")},
		{"La_Rioja", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_la_rioja")},
		{"Tucuman", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_tucuman")},
		{"Knox", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_knox")},
		{"Marengo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_marengo")},
		{"Petersburg", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_petersburg")},
		{"Tell_City", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_tell_city")},
		{"Vevay", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_vevay")},
		{"Vincennes", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_vincennes")},
		{"Winamac", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_winamac")},
		{"Monticello", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_monticello")},
		{"New_Salem", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_new_salem")},
		{"Bermuda", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_bermuda")},
		{"Canary", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_canary")},
		{"Cape_Verde", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_cape_verde")},
		{"Faroe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_faroe")},
		{"Madeira", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_madeira")},
		{"Reykjavik", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_reykjavik")},
		{"South_Georgia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_south_georgia")},
		{"Stanley", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_stanley")},
		{"St_Helena", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_st_helena")},
		{"Andorra", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_andorra")},
		{"Bratislava", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_bratislava")},
		{"Budapest", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_budapest")},
		{"Chisinau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_chisinau")},
		{"Copenhagen", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_copenhagen")},
		{"Gibraltar", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_gibraltar")},
		{"Guernsey", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_guernsey")},
		{"Helsinki", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_helsinki")},
		{"Isle_of_Man", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_isle_of_man")},
		{"Jersey", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_jersey")},
		{"Kaliningrad", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_kaliningrad")},
		{"Kiev", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_kiev")},
		{"Lisbon", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_lisbon")},
		{"Ljubljana", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_ljubljana")},
		{"London", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_london")},
		{"Luxembourg", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_luxembourg")},
		{"Madrid", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_madrid")},
		{"Malta", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_malta")},
		{"Mariehamn", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_mariehamn")},
		{"Minsk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_minsk")},
		{"Monaco", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_monaco")},
		{"Oslo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_oslo")},
		{"Podgorica", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_podgorica")},
		{"Prague", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_prague")},
		{"Riga", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_riga")},
		{"Rome", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_rome")},
		{"Samara", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_samara")},
		{"San_Marino", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_san_marino")},
		{"Sarajevo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_sarajevo")},
		{"Simferopol", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_simferopol")},
		{"Skopje", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_skopje")},
		{"Sofia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_sofia")},
		{"Stockholm", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_stockholm")},
		{"Tallinn", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_tallinn")},
		{"Tirane", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_tirane")},
		{"Uzhgorod", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_uzhgorod")},
		{"Vaduz", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_vaduz")},
		{"Vatican", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_vatican")},
		{"Vienna", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_vienna")},
		{"Vilnius", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_vilnius")},
		{"Volgograd", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_volgograd")},
		{"Warsaw", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_warsaw")},
		{"Zagreb", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_zagreb")},
		{"Zaporozhye", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_zaporozhye")},
		{"Zurich", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_zurich")},
		{"Abidjan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_abidjan")},
		{"Accra", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_accra")},
		{"Addis_Ababa", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_addis_ababa")},
		{"Algiers", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_algiers")},
		{"Asmara", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_asmara")},
		{"Bamako", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_bamako")},
		{"Bangui", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_bangui")},
		{"Banjul", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_banjul")},
		{"Bissau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_bissau")},
		{"Blantyre", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_blantyre")},
		{"Brazzaville", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_brazzaville")},
		{"Bujumbura", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_bujumbura")},
		{"Casablanca", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_casablanca")},
		{"Ceuta", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_ceuta")},
		{"Conakry", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_conakry")},
		{"Dakar", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_dakar")},
		{"Dar_es_Salaam", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_dar_es_salaam")},
		{"Djibouti", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_djibouti")},
		{"Douala", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_douala")},
		{"El_Aaiun", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_el_aaiun")},
		{"Freetown", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_freetown")},
		{"Gaborone", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_gaborone")},
		{"Johannesburg", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_johannesburg")},
		{"Khartoum", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_khartoum")},
		{"Kampala", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_kampala")},
		{"Kigali", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_kigali")},
		{"Kinshasa", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_kinshasa")},
		{"Lagos", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_lagos")},
		{"Libreville", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_libreville")},
		{"Lome", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_lome")},
		{"Luanda", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_luanda")},
		{"Lubumbashi", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_lubumbashi")},
		{"Lusaka", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_lusaka")},
		{"Malabo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_malabo")},
		{"Maputo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_maputo")},
		{"Maseru", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_maseru")},
		{"Mbabane", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_mbabane")},
		{"Mogadishu", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_mogadishu")},
		{"Monrovia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_monrovia")},
		{"Nairobi", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_nairobi")},
		{"Ndjamena", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_ndjamena")},
		{"Niamey", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_niamey")},
		{"Nouakchott", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_nouakchott")},
		{"Ouagadougou", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_ouagadougou")},
		{"Porto-Novo", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_porto-novo")},
		{"Sao_Tome", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_sao_tome")},
		{"Tripoli", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_tripoli")},
		{"Tunis", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_tunis")},
		{"Windhoek", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_windhoek")},
		{"Aden", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_aden")},
		{"Amman", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_amman")},
		{"Anadyr", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_anadyr")},
		{"Aqtau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_aqtau")},
		{"Aqtobe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_aqtobe")},
		{"Ashgabat", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_ashgabat")},
		{"Bahrain", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_bahrain")},
		{"Beirut", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_beirut")},
		{"Bishkek", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_bishkek")},
		{"Brunei", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_brunei")},
		{"Choibalsan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_choibalsan")},
		{"Chongqing", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_chongqing")},
		{"Damascus", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_damascus")},
		{"Dili", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_dili")},
		{"Dubai", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_dubai")},
		{"Dushanbe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_dushanbe")},
		{"Gaza", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_gaza")},
		{"Harbin", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_harbin")},
		{"Ho_Chi_Minh", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_ho_chi_minh")},
		{"Hovd", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_hovd")},
		{"Istanbul", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_istanbul")},
		{"Jakarta", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_jakarta")},
		{"Jayapura", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_jayapura")},
		{"Kamchatka", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_kamchatka")},
		{"Kashgar", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_kashgar")},
		{"Kolkata", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_kolkata")},
		{"Kuching", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_kuching")},
		{"Macau", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_macau")},
		{"Makassar", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_makassar")},
		{"Nicosia", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_nicosia")},
		{"Novosibirsk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_novosibirsk")},
		{"Omsk", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_omsk")},
		{"Oral", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_oral")},
		{"Phnom_Penh", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_phnom_penh")},
		{"Pontianak", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_pontianak")},
		{"Pyongyang", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_pyongyang")},
		{"Qatar", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_qatar")},
		{"Qyzylorda", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_qyzylorda")},
		{"Riyadh", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_riyadh")},
		{"Sakhalin", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_sakhalin")},
		{"Samarkand", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_samarkand")},
		{"Tashkent", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_tashkent")},
		{"Tbilisi", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_tbilisi")},
		{"Thimphu", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_thimphu")},
		{"Ulaanbaatar", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_ulaanbaatar")},
		{"Urumqi", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_urumqi")},
		{"Vientiane", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_vientiane")},
		{"Vladivostok", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_vladivostok")},
		{"Yekaterinburg", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_yekaterinburg")},
		{"Yerevan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_yerevan")},
		{"Currie", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_currie")},
		{"Lindeman", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_lindeman")},
		{"Sydney", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_sydney")},
		{"Broken_Hill", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_broken_hill")},
		{"Eucla", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_eucla")},
		{"Lord_Howe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_lord_howe")},
		{"Michigan", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_michigan")},
		{"Aleutian", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_aleutian")},
		{"Indiana-Starke", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_indiana-starke")},
		{"Samoa", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.us_samoa")},

		{"Asmera", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_asmera")},
		{"Timbuktu", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.afr_timbuktu")},
		{"Atka", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_atka")},
		{"Coral_Harbour", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_coral_harbour")},
		{"Ensenada", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_ensenada")},
		{"Fort_Wayne", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_fort_wayner")},
		{"Knox_IN", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_knox_in")},
		{"North_Dakota", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_north_dakota")},
		{"Porto_Acre", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_porto_acre")},
		{"Rosario", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_rosario")},
		{"Virgin", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.ame_virgin")},
		{"Ashkhabad", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_ashkhabad")},
		{"Calcutta", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_calcutta")},
		{"Dacca", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_dacca")},
		{"Riyadh87", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_riyadh87")},
		{"Riyadh88", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_riyadh88")},
		{"Riyadh89", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_riyadh89")},
		{"Saigon", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_saigon")},
		{"Tel_Aviv", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_tel_aviv")},
		{"Ujung_Pandang", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.asi_ujung_pandang")},
		{"Faeroe", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_faeroe")},
		{"Jan_Mayen", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.atl_jan_mayen")},
		{"ACT", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_act")},
		{"Canberra", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_canberra")},
		{"LHI", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_lhi")},
		{"North", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_north")},
		{"NSW", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_nsw")},
		{"Queensland", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_queensland")},
		{"South", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_south")},
		{"Tasmania", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_tasmania")},
		{"Victoria", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_victoria")},
		{"West", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_west")},
		{"Yancowinna", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.aus_yancowinna")},
		{"Belfast", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_belfast")},
		{"Tiraspol", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.eur_tiraspol")},
		{"Yap", MessageResourcesMgr.mrAdmin.getMessage("admin.iwsva_config.date_time.pac_yap")},
	  };
  Vector warnings = new Vector();
  //define server-side error messgaes
  int MSG_TZ_FAILED_TO_BE_RETRIEVED = 1;
  int MSG_IP_FQDN_FAILED_TO_BE_SAVED = 2;
  int MSG_SYNC_INTERVAL_FAILED_TO_BE_SAVED = 3;
  int MSG_AUTO_SYNC_FAILED_TO_BE_DISABLED = 4;
  int MSG_DATE_TIME_FAILED_TO_BE_SAVED = 5;
  int MSG_IP_FQDN_FAILED_TO_BE_RETRIEVED = 6;
  int MSG_TZ_FAILED_TO_BE_SAVED = 7;
  String errorCode = "";
  
  boolean isSIValid = false;
  //int MOD_SYSTEM = 3;//defined in IWSSSystemeventLogID.h
  //int EVT_SYSEVENT_TIME_CHANGE_MANUALLY = 20405;//defined in IWSSSystemeventLogID.h
  //int EVT_SYSEVENT_CHANGE_TIMEZONE = 20408;//defined in IWSSSystemeventLogID.h
  //work_path = IWSSUtil.CheckPathEndSlash( IWSSJNI.GetWorkPath() );
  //location_file_ini = work_path + "intscan.ini";
  //IWSSINI ini = new IWSSINI(location_file_ini);
  String userid = request.getSession().getAttribute("UserId").toString();
  String logEntry = "";
  tz_file = GetTimezone(token);
  oldtimezone = tz_file;
  if( tz_file.compareToIgnoreCase("UnknownTimezone")==0 ) {
	errorCode += MSG_TZ_FAILED_TO_BE_RETRIEVED + ",";
  }
  boolean timezone_changed = SaveTimeZoneConfigure(request, oldtimezone, valid_tz_value, token);
  if( request.getParameter("radio_config_type")!=null && request.getParameter("radio_config_type").compareToIgnoreCase("1")==0 ) {
	config_type = 1;
	if( (request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0 ) ||
		(request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("sync")==0 ) ) {
	  if( request.getParameter("checkbox_interval")!=null && request.getParameter("checkbox_interval").compareToIgnoreCase("1")==0 ) {
		auto_sync = 1;
	  }
	  if( request.getParameter("select_interval")!=null && request.getParameter("select_interval").length()!=0 ) {
		sync_interval = request.getParameter("select_interval");
		
		isSIValid = false;
		
		for(int i=0; i<interval_opt.length; i++) {
			
			if( sync_interval.compareToIgnoreCase(interval_opt[i][0])==0 ){
				
				isSIValid = true;
				
			}
			
		}
	  }
	  if( request.getParameter("textfield_primary_ntp")!=null && request.getParameter("textfield_primary_ntp").length()!=0 ) {
		primary_ntp = request.getParameter("textfield_primary_ntp");
		if( !IWSSUtil.isValidHostname(primary_ntp) &&
			!IWSSUtil.isValidIPAddress(primary_ntp) &&
			!IWSSUtil.isValidIPv6Address(primary_ntp) &&
			!IWSSUtil.isValidFQDN(primary_ntp) )
		{
		  primary_ntp = "";
		}
		else{
			logEntry = "Primary NTP server is: " + primary_ntp;
			try {
			  AuditTrailLogger.getInstance().log(request, logEntry );
			  System.out.println(logEntry);
			}
			catch (Exception e){
			System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
			}
	   }
	  }
	  if( request.getParameter("textfield_secondary_ntp")!=null && request.getParameter("textfield_secondary_ntp").length()!=0 ) {
		secondary_ntp = request.getParameter("textfield_secondary_ntp");
		if( !IWSSUtil.isValidHostname(secondary_ntp) &&
			!IWSSUtil.isValidIPAddress(secondary_ntp) &&
			!IWSSUtil.isValidFQDN(secondary_ntp) )
		{
		  secondary_ntp = "";
		}
		else{
			logEntry = "Secondary NTP server is: " + secondary_ntp;
			try {
			AuditTrailLogger.getInstance().log(request, logEntry );
			System.out.println(logEntry);
			}
			catch (Exception e){
			System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
			}
		}
	  }
	}
	if( request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0 ) {
	  Vector v = new Vector();
	  if( primary_ntp.length()!=0 ) v.addElement(primary_ntp);
	  if( secondary_ntp.length()!=0) v.addElement(secondary_ntp);
	  if( ret!=0 ) {
		errorCode +=MSG_IP_FQDN_FAILED_TO_BE_SAVED;
	  }
	  if( auto_sync==1 ) {
		//ini.SetKeyValue("ntp", "ntp_auto_sync", "yes");
		if( isSIValid && setNTPSchedule(v, sync_interval, token) ) {
		  auto_sync = 1;
		  logEntry = "Enable NTP auto sync, sync interval is: " + sync_interval;
		  try {
			AuditTrailLogger.getInstance().log(request, logEntry );
			System.out.println(logEntry);
		  }
		  catch (Exception e){
		  System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
		  }
		} else {
		  errorCode += MSG_SYNC_INTERVAL_FAILED_TO_BE_SAVED + ",";
		  auto_sync = 0;
		  System.out.println("after set, auto_sync = " + auto_sync);
		}
	  } else {
		//ini.SetKeyValue("ntp", "ntp_auto_sync", "no");
		if( deleteNTPSchedule(token) ) {
		  auto_sync = 0;
		  System.out.println("after delete, auto_sync = " + auto_sync);
		  logEntry = "Disable NTP auto sync";
		  try {
			AuditTrailLogger.getInstance().log(request, logEntry );
			System.out.println(logEntry);
		  }
		  catch (Exception e){
		  System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
		  }
		} else {
		  errorCode += MSG_AUTO_SYNC_FAILED_TO_BE_DISABLED + ",";
		  auto_sync = 1;
		}
	  }
	  //ini.WriteConfig(location_file_ini);
	}
	if( request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("sync")==0 ) {
		System.out.println("////////////////////"+primary_ntp);
	  if( primary_ntp.length()!=0 && doNTPSyncDirect(primary_ntp, token) ) {
		ntp_sync_result = 1;
		ntp_targets = primary_ntp;
		logEntry = "Sync with the primary ntp server: " + primary_ntp;
		try {
			AuditTrailLogger.getInstance().log(request, logEntry );
			System.out.println(logEntry);
		}
		catch (Exception e){
		System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
		}
	  } else if( secondary_ntp.length()!=0 && doNTPSyncDirect(secondary_ntp, token) ) {
		ntp_sync_result = 1;
		ntp_targets = secondary_ntp;
		logEntry = "Sync with the secondary ntp server: " + secondary_ntp;
		try {
			AuditTrailLogger.getInstance().log(request, logEntry );
			System.out.println(logEntry);
		}
		catch (Exception e){
		System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
		}
	  } else {
		ntp_sync_result = 2;
		if( primary_ntp.length()!=0 ) {
		  ntp_targets = primary_ntp;
		  if( secondary_ntp.length()!=0 ) {
			ntp_targets += " and ";
			ntp_targets += secondary_ntp;
		  }
		}
	  }
	}
  }
  if( request.getParameter("radio_config_type")!=null && request.getParameter("radio_config_type").compareToIgnoreCase("0")==0 ) {
	config_type = 0;
	if( request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0 ) {
	  String date_value = "";
	  String time_value = "";
	  //ini.SetKeyValue("ntp", "enable_ntp", "no");
	  if( request.getParameter("textfield_date")!=null && request.getParameter("textfield_date").length()!=0) {
		date_value = request.getParameter("textfield_date");
		if( !date_value.matches("^(\\d\\d)/(\\d\\d)/(\\d\\d\\d\\d)$") ) {
		  //date is invalid
		  date_value = "";
		}
	  }
	  if( request.getParameter("textfield_time")!=null && request.getParameter("textfield_time").length()!=0) {
		time_value = request.getParameter("textfield_time");
		if( !time_value.matches("^(\\d\\d):(\\d\\d):(\\d\\d)$") ) {
		  //time is invalid
		  time_value = "";
		}
	  }
	  if( date_value.length()!=0 && time_value.length()!=0 && setDateTime(date_value, time_value, token)) {
		//IWSSUtil.SystemEventLog(IWSSUtil.SetLogLevel(EVT_SYSEVENT_TIME_CHANGE_MANUALLY, 6), MOD_SYSTEM);
		//timezone_changed = true;
		String []date = date_value.split("/");
		String dates = date[2] + "-" + date[0] + "-" + date[1]; // YYYY-MM-DD
		logEntry = "System time is changed manually to: " + dates + " " + time_value;
		try {
		  AuditTrailLogger.getInstance().log(request, logEntry );
		  System.out.println(logEntry);
		 }
		catch (Exception e){
		System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
		 }
	  } else {
		errorCode += MSG_DATE_TIME_FAILED_TO_BE_SAVED + ",";
	  }
	  // Disable the schedule NTP
	  sync_status = GetNTPScheduleStatus(token);
	  if ( sync_status.compareToIgnoreCase("yes") == 0 )
	  {
			deleteNTPSchedule(token);
			logEntry = "Disable NTP auto sync";
			try {
				AuditTrailLogger.getInstance().log(request, logEntry );
				System.out.println(logEntry);
			} catch (Exception e){
				System.out.println("Systemtimechange Error in Audit Log: " + e.getMessage());
			}
	  }
	  auto_sync=0;
	  //if( ini.GetKeyValue("ntp","ntp_auto_sync").compareToIgnoreCase("yes")==0 ) {
	  //  auto_sync=1;
	  //} else {
	  //  auto_sync=0;
	  //}
	  //primary_ntp = ini.GetKeyValue("ntp","primary_ntp");
	  //secondary_ntp = ini.GetKeyValue("ntp","secondary_ntp");
	  //sync_interval = ini.GetKeyValue("ntp","sync_interval");
	  Vector v = new Vector();
	  sync_interval = GetNTPSchedule(v, token);
	  if( sync_interval.compareToIgnoreCase("UnknownInterval")==0 || sync_interval.equals("")) {
		sync_interval = "2d";
	  }
	  // sync_status = GetNTPScheduleStatus(token);
	  // if(sync_status.compareToIgnoreCase("yes") == 0){
	  //  auto_sync=1;
	  //}
	  //else{
	  //  auto_sync=0;
	  //}
	 //steven ret = IWSSJNI.GetNTP(v);
	  if( ret==0 ) {
		if(v.size()>=1) primary_ntp = (String) v.elementAt(0);
		if(v.size()>=2) secondary_ntp = (String) v.elementAt(1);
	  }
	}
  }
  if( (request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("save")==0 ) ) {
	  config_type = auto_sync;
  } else if (request.getParameter("op")!=null && request.getParameter("op").compareToIgnoreCase("sync")==0 ) {
	from_sync = 1;
	if( request.getParameter("select_timezone_continent")!=null && request.getParameter("select_timezone_continent").length()!=0
		&& request.getParameter("select_timezone_city")!=null && request.getParameter("select_timezone_city").length()!=0) {
	  tz_file = request.getParameter("select_timezone_continent") + "/" + request.getParameter("select_timezone_city");
	}
  } else {
	Vector v = new Vector();
	sync_interval = GetNTPSchedule(v, token);
	if( sync_interval.compareToIgnoreCase("UnknownInterval")==0 || sync_interval.equals("")) {
	  //config_type=0;
	  sync_interval = "2d";
	}
	else{
	  //config_type=1;
	  }
	sync_status = GetNTPScheduleStatus(token);
	  if(sync_status.compareToIgnoreCase("yes") == 0){
		auto_sync=1;
	  }
	  else{
		auto_sync=0;
	  }
	  config_type = auto_sync;
	//primary_ntp = ini.GetKeyValue("ntp","primary_ntp");
	//secondary_ntp = ini.GetKeyValue("ntp","secondary_ntp");
	//sync_interval = ini.GetKeyValue("ntp","sync_interval");
  //steven  ret = IWSSJNI.GetNTP(v);
	if( ret==0 ) {
	  if(v.size()>=1) primary_ntp = (String) v.elementAt(0);
	  if(v.size()>=2) secondary_ntp = (String) v.elementAt(1);
	}
  }
  if(errorCode != null && !errorCode.equals("")){
	warnings.addAll(Arrays.asList(errorCode.split(",")));
	}
	if ( timezone_changed == true ){
	  RestartMetric(token);
	  RestartWebUI(token);
	}
%>
<%
  String def_date_value = "";
  String def_time_value = "";
  def_date_value = GetDateTime("MM/dd/yyyy HH:mm:ss", token);
  def_time_value = def_date_value.substring(11);
  String def_hour = def_time_value.substring(0,2);
  String def_minute = def_time_value.substring(3,5);
  String def_second = def_time_value.substring(6);
  IWSSUtil.UI_out_println("def_date_value: "  + def_date_value);
  if( request.getParameter("savebtnstate")!=null && request.getParameter("savebtnstate").compareToIgnoreCase("enabled")==0 ) {
	save_btn_state = 1;
  }
%>
<html>
<head>
<title>Network Time Protocol (NTP)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" type="text/javascript" src="html/func.js"></script>
<script language="JavaScript" type="text/javascript" src="html/calendar_util.js"></script>
<script language="JavaScript" type="text/javascript" src="html/validate.js"></script>
<script language="JavaScript" type="text/javascript" src="html/check.js"></script>
<script language="JavaScript" type="text/javascript" src="html/util.js"></script>
<script language="JavaScript" type="text/javascript" src="html/i18n_warnmsg.js"></script>
<script language="javascript" type="text/javascript" src="html/mouseover_help.js"></script>
<script language="JavaScript" type="text/JavaScript">
descarray = new Array(1);
descarray[0] = tipNTPserver;
function onTimeResponse()
{
  if(xhReq.readyState!=4) {return;}
  clearTimeout(requestTimeout);
  if(xhReq.status!=200) {return;}
  var timeResponse = xhReq.responseText;
  var myRE = new RegExp("(\\d\\d)/(\\d\\d)/(\\d\\d\\d\\d)\\s(\\d\\d)\\:(\\d\\d)\\:(\\d\\d)", "g");
  var result = timeResponse.match(myRE);
  if( result!=null) {
	var reg4 = RegExp.$4;
	var reg5 = RegExp.$5;
	var reg6 = RegExp.$6;
	document.getElementById("show_date").value= RegExp.$1 + "/" + RegExp.$2 + "/" + RegExp.$3;
	document.getElementById("show_time").value= reg4 + ":" + reg5 + ":" + reg6;
	hours = eval(reg4);
	minutes = eval(reg5);
	seconds = eval(reg6);
  } else {
	if( !expired ) {
	  expired = true;
	  alert(i18n_logon_again_msg);
	  self.location.replace("logon.jsp");
	}
  }
}
function onTimeout()
{
  xhReq.abort();
}
function createXMLHttpRequest()
{
  try {
	//IE 5.0
	return new ActiveXObject("Msxml2.XMLHTTP");
  } catch (e) {}
  try {
	//IE 5.5 and higher version
	return new ActiveXObject("Microsoft.XMLHTTP");
  } catch (e) {}
  try {
	//other browsers
	return new XMLHttpRequest();
  } catch (e) {}
  alert(i18n_xmlhttprequest_not_supported_msg);
  return null;
}
function NewWindow(mypage, myname, w, h, scroll)
{
  var winl = (screen.width - w) / 2;
  var wint = (screen.height - h) / 2;
  winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable'
  win = window.open(mypage, myname, winprops)
  if (parseInt(navigator.appVersion) >= 4) { win.window.focus(); }
}
function switchStatus(status)
{
  document.getElementById("textfield_primary_ntp").disabled=status;
  document.getElementById("textfield_secondary_ntp").disabled=status;
  document.getElementById("checkbox_interval").disabled=status;
  //if(status) document.getElementById("checkbox_interval").checked=!status;
  if( status ) {
	document.getElementById("select_interval").disabled=status;
  } else {
	enableSelInterval();
  }
  <%if (access == 3) { %>
  document.getElementById("button_sync_now").disabled=status;<%}%>
  document.getElementById("textfield_date").disabled=!status;
  document.getElementById("textfield_time").disabled=!status;
  enableSaveButton();
}
function syncWithNTP()
{
  switchStatus(false);
  document.getElementById("textfield_primary_ntp").focus();
  if(document.getElementById("textfield_primary_ntp").value != "")
	document.getElementById("textfield_secondary_ntp").disabled=false;
  else
	document.getElementById("textfield_secondary_ntp").disabled=true;
}
function setTimeManually()
{
  switchStatus(true);
  //document.getElementById("checkbox_interval").checked=false;
  document.getElementById("textfield_date").focus();
  document.getElementById("textfield_time").focus();
}
function enable2ndNTPInput()
{
  if(document.getElementById("textfield_primary_ntp").value != "")
	document.getElementById("textfield_secondary_ntp").disabled=false;
  else
	document.getElementById("textfield_secondary_ntp").disabled=true;
}
function checkDateInputFormat()
{
  var mydate = document.getElementById("textfield_date").value;
  var myRE = new RegExp("^(\\d\\d)/(\\d\\d)/(\\d\\d\\d\\d)$", "g");
  var result = mydate.match(myRE);
  var mytime = document.getElementById("textfield_time").value;
  var timeRE = new RegExp("^(\\d\\d):(\\d\\d):(\\d\\d)$", "g");
  var timeResult = mytime.match(timeRE);
  if( result == null ) {
	alert(i18n_date_format_not_allowed_msg);
	document.getElementById("textfield_date").focus;
	return false;
  }
  if( timeResult == null ) {
	alert(i18n_time_format_not_allowed_msg);
	document.getElementById("textfield_time").focus;
	return false;
  }
  var txtDate = transDate(mydate, 1);
  if( !checkDate(txtDate) ) {
	alert(i18n_invalid_date_msg);
	document.getElementById("textfield_date").focus;
	return false;
  }
  if(!checkInputTimeFormat(mytime)){
	alert(i18n_invalid_time_msg);
	document.getElementById("textfield_time").focus;
	return false;
  }
  return true;
}
function checkInputTimeFormat(inputTime)
{
	var hh, mm, ss;
	var strTime = inputTime;
	var arrTime = strTime.split(":");
	if(arrTime.length!=3)
		return false;
	arrTime[0] = Trim(arrTime[0]);
	arrTime[1] = Trim(arrTime[1]);
	arrTime[2] = Trim(arrTime[2]);
	if (arrTime[0].substring(0,1) == '0') arrTime[0] = arrTime[0].substring(1);
	if (arrTime[1].substring(0,1) == '0') arrTime[1] = arrTime[1].substring(1);
	if (arrTime[2].substring(0,1) == '0') arrTime[2] = arrTime[2].substring(1);
	if(arrTime[0].length==0 || arrTime[1].length==0 || arrTime[2].length==0)
		return false;
	if(!isNumber(arrTime[0])||!isNumber(arrTime[1])||!isNumber(arrTime[2]))
		return false;
	hh = parseInt(arrTime[0]);
	if( hh==NaN)
		return false;
	if( hh<0 || hh>23)
		return false;
	mm = parseInt(arrTime[1]);
	if( mm==NaN)
		return false;
	if( mm<0 || mm>59)
		return false;
	ss = parseInt(arrTime[2]);
	if( ss==NaN)
		return false;
	if( ss<0 || ss>59)
		return false;
	return true;
}
function checkNTPInputFormat()
{
  var primary_ntp = document.getElementById("textfield_primary_ntp");
  var secondary_ntp = document.getElementById("textfield_secondary_ntp");
  //var myRE = new RegExp("^[A-Za-z0-9][A-Za-z0-9\\-\\.]*[A-Za-z0-9]+$","g");
  if( !isHostname2(primary_ntp) && !isIPAddressString(primary_ntp) && !ValidateIPv6(primary_ntp.value) && !isFQDN(primary_ntp) ) {
	alert(i18n_invalid_ip_or_fqdn_msg);
	document.getElementById("textfield_primary_ntp").focus();
	return false;
  }
  if( secondary_ntp.value!="" && !isHostname2(secondary_ntp) && !isIPAddressString(secondary_ntp) && !ValidateIPv6(secondary_ntp.value) && !isFQDN(secondary_ntp) ) {
	alert(i18n_invalid_ip_or_fqdn_msg);
	document.getElementById("textfield_secondary_ntp").focus();
	return false;
  }
  return true;
}
function MM_goToURL()
{
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}
function getTimeAsync(async)
{
  xhReq = createXMLHttpRequest();
  if( xhReq == null) return;
  xhReq.open("get", "get_time_dtc.jsp", async);
  requestTimeout = setTimeout("onTimeout()", 3000)
  xhReq.onreadystatechange = onTimeResponse;
  xhReq.send(null);
  if(async) setTimeout("getTimeAsync(true)",5000);
}
function showCurrentTime(firstTime)
{
  if(firstTime) {
	expired = false;
	hours = <%=def_hour%>;
	minutes = <%=def_minute%>;
	seconds = <%=def_second%>;
	getTimeAsync(false);
  } else {
	var hh = "";
	var mm = "";
	var ss = "";
	seconds = seconds + 1;
	if( seconds<=9 ) ss = "0" + seconds;
	else if( seconds>=60 ) {
	  seconds = 0;
	  ss = "00";
	  minutes = minutes + 1;
	} else ss = seconds;
	if( minutes<=9 ) mm = "0" + minutes;
	else if( minutes>=60 ) {
	  minutes = 0;
	  mm = "00";
	  hours = hours + 1;
	} else mm = minutes;
	if( hours<=9 ) hh = "0" + hours;
	else if( hours>=24 ) {
	  hours = 0;
	  hh = "00";
	} else hh = hours;
	document.getElementById("show_time").value = hh + ":" + mm + ":" + ss;
  }
  setTimeout("showCurrentTime(false)",1000);
}
function doSubmit(action)
{
  if( document.getElementById("radio_sync_with_ntp").checked==true ) {
	if( !checkNTPInputFormat() ) {
	  return;
	}
	if( document.getElementById( "checkbox_interval" ).checked==true ) {
	  document.saveform.checkbox_interval.value="1";
	} else {
	  document.saveform.checkbox_interval.value="0";
	}
	var listlength = document.saveform.select_interval.length;
	for(i=0;i<listlength;i++) {
	  if(document.saveform.select_interval.options[i].selected==true) {
		document.saveform.select_interval.value = document.saveform.select_interval.options[i].value;
		break;
	  }
	}
  } else {
	if( !checkDateInputFormat() ) {
	  return;
	}
  }
  var btimezoneChg;
  var oldtimezone = "<%=oldtimezone%>";
  var listlength_tz = document.saveform.select_timezone_continent.length;
  for(i=0;i<listlength_tz;i++) {
	if(document.saveform.select_timezone_continent.options[i].selected==true) {
	  document.saveform.select_timezone_continent.value = document.saveform.select_timezone_continent.options[i].value;
	  break;
	}
  }
  var listlength_tz_city = document.saveform.select_timezone_city.length;
  for(i=0;i<listlength_tz_city;i++) {
	if(document.saveform.select_timezone_city.options[i].selected==true) {
	  document.saveform.select_timezone_city.value = document.saveform.select_timezone_city.options[i].value;
	  break;
	}
  }
  var newtimezone = document.saveform.select_timezone_continent.value + "/" + document.saveform.select_timezone_city.value;
  if(oldtimezone != newtimezone)
	btimezoneChg = true;
  else btimezoneChg = false;
  <%if (access == 3) { %>
  if( document.getElementById("button_save").disabled==true ) {
	document.saveform.savebtnstate.value = "disabled";
  } else {
	document.saveform.savebtnstate.value = "enabled";
  }<%}%>
  if( action==0 ) {
	document.saveform.action = "config_date_time.jsp";
	document.saveform.op.value="sync";
	setTimeout( "document.saveform.submit()", 100 );
  } else {
	document.saveform.action = "config_date_time.jsp";
	document.saveform.op.value="save";
	if(btimezoneChg){
	   parent.tophead.document.forms.saveform.configtime.value = "success";
	   parent.tophead.redirectPage();
	}
	setTimeout( "document.saveform.submit()", 100 );
  }
}
function showNTPSyncResult(ntp_sync_result, ntp_targets)
{
  if(ntp_sync_result == 1) {
	var message = i18n_sync_success_msg;
	message += ntp_targets;
	alert(message);
  } else if(ntp_sync_result == 2) {
	var message = i18n_sync_failure_msg;
	message += ntp_targets;
	alert(message);
  }
}
function clearList(){
	var list = document.getElementById("select_timezone_city");
	for(var i = list.options.length; i >= 0; i--){
		list.remove(i);
	}
}
function updateTimeZoneCity()
{
  var listlength_tz = document.saveform.select_timezone_continent.length;
  var continent;
  for(i=0;i<listlength_tz;i++) {
	if(document.saveform.select_timezone_continent.options[i].selected==true) {
	  continent = document.saveform.select_timezone_continent.options[i].value;
	  break;
	}
  }
	clearList();
	var arrayContinent = new Array();
	var arrayCity = new Array();
	<%
		String continenttmp = "";
		String citytmp = "";
		String tmp = "";
		int nIndex = 0;
		for(int i=0; i<valid_tz_value.length; i++)
		  {
			tmp = valid_tz_value[i];
			nIndex = tmp.indexOf('/');
			continenttmp = tmp.substring(0, nIndex);
			citytmp = tmp.substring(nIndex + 1, tmp.length());
	%>
			arrayContinent[<%=i%>] = '<%=continenttmp%>';
			arrayCity[<%=i%>]   =   '<%=citytmp%>';
		<%}%>
	var i = 0, count = 0;
	var continentCitys = new Array();
	for ( i = 0, count = 0; i < arrayContinent.length; i++ )
	{
		if ( continent == arrayContinent[i] )
		{
			continentCitys[count] = arrayCity[i];
			count++;
		}
	}
	continentCitys.sort();
	for ( i = 0; i < continentCitys.length; i++ )
	{
		// get the L10n city name string
		var tempCityName = "";
		<%
		for ( int j = 0; j < valid_tz_display_str.length; j++ )
		{
		%>
			if ( continentCitys[i] == "<%=valid_tz_display_str[j][0]%>" )
				tempCityName = "<%=valid_tz_display_str[j][1]%>";
		<%
		}
		%>
		var newOption = new Option( tempCityName, continentCitys[i] );
		document.saveform.select_timezone_city.options.add(newOption);
	}
}
function initPage(config_type, hh, mm, ss, tz_file)
{
  showCurrentTime(true);
  getTimeAsync(true);
  if( config_type==1 ) {
	syncWithNTP();
  } else {
	setTimeManually();
  }

  <%
  if(access == 3) {
  if( from_sync==0 || save_btn_state==0 ) {%>
		document.getElementById("button_save").disabled=true;
  <%}}%>
  var tz_continent=tz_file.substring(0, tz_file.indexOf('/'));
  var tz_city=tz_file.substring(tz_file.indexOf('/')+1, tz_file.length);
  var listlength_tz = document.saveform.select_timezone_continent.length;
  for(i=0;i<listlength_tz;i++) {
	if( document.saveform.select_timezone_continent.options[i].value == tz_continent ) {
	   document.saveform.select_timezone_continent.options[i].selected = true;
	   break;
	}
  }
  updateTimeZoneCity();
  var listlength_tz_city = document.saveform.select_timezone_city.length;
  for(i=0;i<listlength_tz_city;i++) {
	if( document.saveform.select_timezone_city.options[i].value == tz_city ) {
	   document.saveform.select_timezone_city.options[i].selected = true;
	   break;
	}
  }
<%
  if(warnings.size() > 0){
  for(int n=0; n<warnings.size(); n++){
%>
  document.getElementById ('lErrorMsg').innerHTML += '<img src="images/icon_warning_cui.gif"  border="0" align="absmiddle">'
		+ i18n_systime_errmsg<%=(String)warnings.elementAt(n)%> + '<br>';
<%
	}
%>
  document.getElementById('trError').style.display = '';
  document.getElementById('tr1spaceError').style.display = '';
<%
	}
%>
}
function enableSelInterval()
{
  if( document.getElementById("checkbox_interval").checked==true ) {
	document.getElementById("select_interval").disabled=false;
  } else {
	document.getElementById("select_interval").disabled=true;
  }
}
function enableSaveButton()
{
	<%if (access == 3) { %>
  document.getElementById("button_save").disabled=false;
   <%}%>
	}
</script>
<style type="text/css">
.style1 {color: #FF0000}
</style>
</head>
<body onLoad="javascript:initPage(<%=config_type%>,<%=hh_value%>,<%=mm_value%>,<%=ss_value%>,'<%=tz_file%>');showNTPSyncResult(<%=ntp_sync_result%>,'<%=ntp_targets%>');" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<!--TOOL TIP-->
<div id="tooltip" style="visibility:hidden;position:absolute;z-index:1000;top:-100"></div>
<!--/TOOL TIP-->
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)">
  pop up description layer </div>
<form action="config_date_time.jsp" method=POST name="saveform">
<input type=hidden name="fromurl" value="config_date_time.jsp">
<input type=hidden name="daemonaction" value="0">
<input type=hidden name="op" value="save">
<input type=hidden name="savebtnstate" value="disabled">
<table cellspacing="0" cellpadding="0" width="98%" border="0">
  <tr>
	<td class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.title" /></td>
	<td valign="bottom" align="right"><a href="javascript:openhelpwin('system_time.htm');" class="moretestblue"><img src="images/question_cui.gif"  border="0" align="absmiddle"></a>
	</td>
  </tr>
  <tr>
	<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
	<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table cellspacing="0" cellpadding="0" width="98%" border="0">
  <tr id="trError" style="display:none" valign="top">
	<td class="textbold" align="left"><div id="lErrorMsg"></div></td>
  </tr>
  <tr id="tr1spaceError" style="display:none">
	<td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
	<td colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<TABLE cellSpacing="0" cellPadding="0" width="98%" border="0">
  <TBODY>
	<TR>
	  <TD vAlign="top" width="100%">
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		  <tr>
			<td colspan="2" class="border">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
						<tr>
						<td colspan="3" class="tableheader"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.current_date_on_app" /></td>
						</tr>
						<tr>
						<td height="25" colspan="3" nowrap class="data1">
													<table border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td nowrap>&nbsp;</td>
														<td>&nbsp;</td>
														<td>&nbsp;</td>
													</tr>
													<tr>
														<td nowrap class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.current_date_time" />      </td>
														<td>
															<input class="button" style="border:none; font-weight:bold" type="text" size="12" name="show_date" id="show_date">
														</td>
														<td>
															<input class="button" style="border:none; font-weight:bold" type="text" size="12" name="show_time" id="show_time">
													</td>
													</tr>
													<tr>
														<td class="data1">&nbsp;</td>
														<td class="data1" style="vertical-align:top"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.date_format" /></td>
														<td class="data1" style="vertical-align:top"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.time_format" /></td>
														<td class="data1">&nbsp;</td>
													</tr>
													<tr>
														<td nowrap>&nbsp;</td>
														<td>&nbsp;</td>
														<td>&nbsp;</td>
													</tr>
													</table>
												</td>
						</tr>
						<tr>
						<td height="25" colspan="3" nowrap class="tableheadergrey2"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.title" /></td>
						</tr>
						<tr>
						<td height="25" colspan="3" nowrap class="data1"><input type="radio" name="radio_config_type" id="radio_sync_with_ntp" value="1"
onClick="javascript:syncWithNTP();" <%if( config_type==1 ){%>checked<%}%>>
						  <i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.sync_with_ntp_server" />
						  <a onMouseOver="popLayer(0,20,30)" onMouseOut="hideLayer()"><img src="images/info_mark_cui.gif" width="14" height="17" border="0" align="absmiddle"></a>
						</td>
						</tr>
						<tr>
						<td width="26" nowrap class="data1">&nbsp;</td>
						<td width="844" height="25" colspan="2" nowrap class="data1">
								<table border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td height="25" nowrap class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.primary_ntp" /></td>
								<td height="25" class="data1"><input name="textfield_primary_ntp" id="textfield_primary_ntp" type="text" class="button" value="<%=primary_ntp%>" size="25" maxlength="63" onKeyDown="javascript:enableSaveButton();" onKeyUp="javascript:enable2ndNTPInput();" onFocusOut="javascript:enable2ndNTPInput();" <%if( config_type==0 ) {%>disabled<%}%>></td>
							</tr>
							<tr>
								<td class="data1" nowrap><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.secondary_ntp" /></td>
								<td class="data1"><input name="textfield_secondary_ntp" id="textfield_secondary_ntp" type="text" class="button" value="<%=secondary_ntp%>" size="25" maxlength="63" onKeyDown="javascript:enableSaveButton();" <%if( (config_type==0) || (primary_ntp=="") ) {%>disabled<%}%>></td>
							</tr>
							<tr>
								<td colspan="2" nowrap class="data1"><input type="checkbox" name="checkbox_interval" id="checkbox_interval" <%if( auto_sync==1 ) {%>checked<%}%> onClick="javascript:enableSelInterval();enableSaveButton();">
								<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.enable_auto_sync_every" />
								<select name="select_interval" class="button" id="select_interval" onChange="javascript:enableSaveButton();">
								  <%for(int i=0; i<interval_opt.length; i++) {%>
						<option value=<%=interval_opt[i][0]%> <%if( sync_interval.compareToIgnoreCase(interval_opt[i][0])==0 ) {%>selected<%}%>><%=interval_opt[i][1]%></option>
								  <%}%>
					</select>
				</td>
							</tr>
							<tr>
								<td colspan="2"><img src="images/1space_cui.gif" width="1" height="5"></td>
							</tr>
<%if (access == 3) { %>
							<tr>
								<td class="data1" ><input name="button_sync_now" type="button" class="button" id="button_sync_now" value="<i18n:message bundleRef='bundleAdmin' key='admin.iwsva_config.date_time.sync_now' />" onClick="javascript:doSubmit(0);"></td>
								<td>&nbsp;</td>
							</tr>
<%}%>
							</table>
						</td>
						</tr>
						<tr>
						<td colspan="3" nowrap ><img src="images/1space_cui.gif" width="1" height="15"></td>
						</tr>
						<tr>
					  <td height="25" colspan="3" nowrap class="data1">
						<table border="0" cellspacing="0" cellpadding="0">
							<tr>
									<td class="data1"><input type="radio" name="radio_config_type" id="radio_set_time_manually" value="0"
onClick="javascript:setTimeManually();" <%if( config_type==0 ){%>checked<%}%>>
<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.set_time_manually" /></td>
							<td class="data1"><input name="textfield_date" id="textfield_date" type="text" class="button" size="15"  maxlength="10" value=<%=def_date_value%> disabled onKeyDown="javascript:enableSaveButton();"></td>
							<td class="data1"><input name="textfield_time" id="textfield_time" type="text" class="button" size="15"  maxlength="8" value=<%=def_time_value%> disabled onKeyDown="javascript:enableSaveButton();"></td>
							<td class="data1">&nbsp;</td>
							</tr>
							<tr>
							<td class="data1">&nbsp;</td>
							<td class="data1" style="vertical-align:top"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.date_format" /></td>
							<td class="data1" style="vertical-align:top"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.time_format" /></td>
							<td class="data1">&nbsp;</td>
							</tr>
						</table>
					  </td>
						</tr>
						<tr>
						<td height="25" colspan="3" nowrap class="tableheadergrey2"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.time_zone" /></td>
						</tr>
						<tr>
						<td  colspan="3"  ><img src="images/1space.gif" width="1" height="5"></td>
						</tr>
						<tr>
						<td height="25" colspan="3" nowrap class="data1">
							<table>
							<tr><td class="data1">
								<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.continent" />
								  <select name="select_timezone_continent" class="button" id="select_timezone_continent" onChange="javascript:enableSaveButton();javascript:updateTimeZoneCity()">
									<OPTION value="Africa"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.africa" /></OPTION>
									<OPTION value="America"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.america" /></OPTION>
									<OPTION value="Antarctica"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.antarctica" /></OPTION>
									<OPTION value="Arctic"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.arctic" /></OPTION>
									<OPTION value="Asia"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.asia" /></OPTION>
									<OPTION value="Atlantic"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.atlantic" /></OPTION>
									<OPTION value="Australia"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.australia" /></OPTION>
									<OPTION value="Europe"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.europe" /></OPTION>
									<OPTION value="Etc"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.etc" /></OPTION>
									<OPTION value="Pacific"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.pacific" /></OPTION>
									<OPTION value="Indian"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.indian" /></OPTION>
									<OPTION value="US"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.us" /></OPTION>
						  </select>
									<i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.date_time.city" />
								  <select name="select_timezone_city" class="button" id="select_timezone_city" onChange="javascript:enableSaveButton();">
									</select>
								</td></tr>
							   </table>
						</td>
						</tr>
					</table>
					</td>
				</tr>
				<tr>
					<td><img src="images/1space_cui.gif" width="1" height="5"></td>
				</tr>
				</table>
			</td>
		  </tr>
		</table>
		</TD>
	</TR>
  </TBODY>
</TABLE>
<%if (access == 3) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="28" valign="bottom">
		<input name="button_save" id="button_save" type="button"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" onClick="javascript:doSubmit(1);" <%if( from_sync==0 || save_btn_state==0 ) {%>disabled<%}%>>
	  <input name="button_cancel" id="button_cancel" type="button"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" onClick="javascript:self.location.replace('config_date_time.jsp')" >
	</td>
  </tr>
</table>
<%}%>
</form>
</body>
</html>
