<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%!
CLIResult ExecuteCLICommand( String command, String token)
{
    CLIResult   result = null;

    try {
        result = CLICommandExecuter.exec( command, true, token);

    } catch ( CLIException e ) {
        result = null;
        System.out.println( "CLIException [" + command + "]" );
        e.printStackTrace();
    }

    return result;
}

String GetCLIResult( CLIResult result, String KeyName, String DefaultValue )
{
    String value = DefaultValue;

    if ( result != null )
    {
        value = result.getKeyValue( KeyName );
        if ( value == null )
            value = DefaultValue;
    }

    return value;
}

String GetCLIResult( CLIResult result, String KeyName )
{
    return GetCLIResult(result, KeyName, "" );
}
%>

<%
    Object oGroupId = null;
    int    login_gid = 100;

    if(Validation.CheckUser(request,response)!=1)
    {
        response.sendRedirect("logon.jsp");
        return;
    }
    oGroupId = request.getSession().getAttribute("GroupId");
    if(oGroupId != null)
        login_gid = Integer.parseInt(oGroupId.toString());
    else
        login_gid = 0;

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
    
	// handle error code
    Vector errors = new Vector();
    String returnCode;

	String operation = request.getParameter("action");
    if ( operation == null )
        operation = "";

	returnCode = request.getParameter("errorCode");
    if ( returnCode != null && ! returnCode.equals("") )
        errors.addAll( Arrays.asList( returnCode.split(",") ) );
	
    String      hostname = "", workMode = "PROXY", dataMode = "dhcp";
    String      ip = "", netmask = "", gateway = "", VLANID="";
    String      primaryDNS = "", secondaryDNS = "";	
    String      enablePING = "no", dataNic = "";
    CLIResult   result  = null;

    String token = UIHelperToken.getToken(request);

    // get data interface information 
    result = ExecuteCLICommand( "show hostname", token );
    hostname = GetCLIResult( result, "hostname" );

    result   = ExecuteCLICommand( "show ip address", token);
    ip       = GetCLIResult( result, "IP Address" );
    netmask  = GetCLIResult( result, "Netmask" );
    dataMode = GetCLIResult( result, "Type", "dhcp" );
    VLANID   = GetCLIResult( result, "VID", "" ); // this item existed only for bridge mode
	
    result  = ExecuteCLICommand( "show ip gateway", token);
    gateway = GetCLIResult( result, "gateway" );
    if ( operation.equals("save") && gateway.equals("") )
        errors.addElement("4");

    result = ExecuteCLICommand( "show ip dns", token);
    primaryDNS   = GetCLIResult( result, "DNS1" );
    secondaryDNS = GetCLIResult( result, "DNS2" );

    result = ExecuteCLICommand( "show deploymode", token);
    workMode = GetCLIResult( result, "Deploymode" );

    result = ExecuteCLICommand( "show ping", token);
    enablePING = GetCLIResult( result, "Allow ping", "no" );

    result = ExecuteCLICommand( "show interfaces", token);
    if ( result != null )
    {
        int     idx = 0;
        Vector  nicNames = new Vector();
        Vector  nicTypes = new Vector();
		String  []interfaceKeys   = result.getListKeys();
	    String  []interfaceValues = result.getListValues();
	    
        // get the interfaace and type list
        for ( idx = 0; idx < interfaceKeys.length; idx++ )
        {
            String tempKey = interfaceKeys[idx].trim();

            if ( tempKey.compareToIgnoreCase("Interface") == 0 )
                nicNames.addElement( interfaceValues[idx].trim() );
            else if ( tempKey.compareToIgnoreCase("type") == 0 ) 
                nicTypes.addElement( interfaceValues[idx].trim() );
        }

        // get the data interface according to the type of interface
        for ( idx = 0; idx < nicNames.size() && idx < nicTypes.size(); idx++ )
        {
            String tempType = (String)nicTypes.elementAt(idx);

            if ( tempType.compareToIgnoreCase("PROXY") == 0 )
            {
                dataNic = (String)nicNames.elementAt(idx);
                break;
            }
            else if ( tempType.compareToIgnoreCase("BRIDGE INTERNAL") == 0 
                || tempType.compareToIgnoreCase("BRIDGE EXTERNAL") == 0 )
            {
                dataNic = "br0";
                break;
            }
        }
    }

    // get the mgmt interface ip address
    String mgmtAddress = "", mgmtNetmask = "";

    result = ExecuteCLICommand( "show mgmt ip address", token );
    mgmtAddress = GetCLIResult( result, "IP address" );
    mgmtNetmask = GetCLIResult( result, "IP address" );
%>

<html>
<head>
<title>Trend Micro InterScan Web Security Appliance</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/check.js"></SCRIPT>
<SCRIPT language="javascript" src="html/vlan_func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript">
var enableClass = "data1";
var disableClass = "textgrey";

function init() {
    dataInterface();
	if(document.saveform.save != null)
		document.saveform.save.disabled=true;
<%
	if (errors.size() > 0) {
%>
	parent.tophead.document.forms.saveform.ipconfig.value = "failure";
<%
	for (int i=0; i<errors.size(); i++) {
%>
	document.getElementById ('lErrorMsg').innerHTML += '<img src="images/icon_warning_cui.gif" border="0" align="absmiddle">' 
			 + i18n_ipconfig_errmsg<%=(errors.get(i)==null)?"":(String)errors.get(i)%> + '<br>';
<%
	}
%>
	document.getElementById('trError').style.display = '';
	document.getElementById('tr1spaceError').style.display = '';
<%
	}
%>

    adjustDataNetworkInfo();
}

function dataInterface(){
    var saveform = document.saveform;
    if(saveform.workMode.value == "PROXY")
    {
        document.getElementById("lDataConfigTitle").innerHTML = i18n_proxy_interface_title;
    }        
    else if(saveform.workMode.value == "BRIDGE")
    {
        document.getElementById("lDataConfigTitle").innerHTML = i18n_bridge_interface_titile; 
    }
    else 
        document.getElementById("lDataConfigTitle").innerHTML = i18n_other_interface_title;
} 

function adjustDataNetworkInfo()
{
	var saveform = document.saveform;
	var oriDataForm = document.oriDataForm;
	if (saveform.rbDataMode[0].checked) {
        saveform.ip.disabled=false;
        saveform.netmask.disabled=false;
        saveform.gateway.disabled=false;
        saveform.primaryDNS.disabled=false;
        saveform.secondaryDNS.disabled=false;
        document.getElementById("lSIPTitle1").className=enableClass;
        document.getElementById("lSNetmaskTitle1").className=enableClass;
        document.getElementById("lSGatewayTitle").className=enableClass;
        document.getElementById("lSDNS1Title").className=enableClass;
        document.getElementById("lSDNS2Title").className=enableClass;                 
        document.getElementById("lDIPTitle1").className=disableClass; 
        document.getElementById("lDIP1").className=disableClass;        
        document.getElementById("lDNetmaskTitle1").className=disableClass; 
        document.getElementById("lDNetmask1").className=disableClass;         
        document.getElementById("lDGatewayTitle").className=disableClass;
        document.getElementById("IDGateway").className=disableClass;
        document.getElementById("lDDNS1Title").className=disableClass;
        document.getElementById("IDDNS1").className=disableClass;
        document.getElementById("lDDNS2Title").className=disableClass;
        document.getElementById("IDDNS2").className=disableClass;        
       	document.getElementById("lDIP1").innerHTML = "-- N/A --";
       	document.getElementById("lDNetmask1").innerHTML = "-- N/A --";
       	document.getElementById("IDGateway").innerHTML = "-- N/A --";
       	document.getElementById("IDDNS1").innerHTML = "-- N/A --";
       	document.getElementById("IDDNS2").innerHTML = "-- N/A --";
        if (oriDataForm.dataMode.value.toLowerCase()=="static") {
	        saveform.ip.value=oriDataForm.ip.value;
	        saveform.netmask.value=oriDataForm.netmask.value;
	        saveform.gateway.value=oriDataForm.gateway.value;
	        saveform.primaryDNS.value=oriDataForm.primaryDNS.value;
	        saveform.secondaryDNS.value=oriDataForm.secondaryDNS.value;
		} 
	} else {
        saveform.ip.disabled=true;
        saveform.netmask.disabled=true;
        saveform.gateway.disabled=true;
        saveform.primaryDNS.disabled=true;
        saveform.secondaryDNS.disabled=true;
        document.getElementById("lSIPTitle1").className=disableClass;
        document.getElementById("lSNetmaskTitle1").className=disableClass;
        document.getElementById("lSGatewayTitle").className=disableClass;
        document.getElementById("lSDNS1Title").className=disableClass;
        document.getElementById("lSDNS2Title").className=disableClass;                         
        document.getElementById("lDIPTitle1").className=enableClass; 
        document.getElementById("lDIP1").className=enableClass;        
        document.getElementById("lDNetmaskTitle1").className=enableClass; 
        document.getElementById("lDNetmask1").className=enableClass;         
        document.getElementById("lDGatewayTitle").className=enableClass;
        document.getElementById("IDGateway").className=enableClass;
        document.getElementById("lDDNS1Title").className=enableClass;
        document.getElementById("IDDNS1").className=enableClass;
        document.getElementById("lDDNS2Title").className=enableClass;
        document.getElementById("IDDNS2").className=enableClass;        
        saveform.ip.value="";
        saveform.netmask.value="";
        saveform.gateway.value="";
        saveform.primaryDNS.value="";
        saveform.secondaryDNS.value="";
        if (oriDataForm.dataMode.value.toLowerCase()=="static") {       	
        	document.getElementById("lDIP1").innerHTML = "";
       	    document.getElementById("lDNetmask1").innerHTML = "";
       	    document.getElementById("IDGateway").innerHTML = "";
       	    document.getElementById("IDDNS1").innerHTML = "";
       	    document.getElementById("IDDNS2").innerHTML = "";
        } else {        	
        	document.getElementById("lDIP1").innerHTML = oriDataForm.ip.value;
        	document.getElementById("lDNetmask1").innerHTML = oriDataForm.netmask.value;
        	document.getElementById("IDGateway").innerHTML = oriDataForm.gateway.value;
        	document.getElementById("IDDNS1").innerHTML = oriDataForm.primaryDNS.value;
        	document.getElementById("IDDNS2").innerHTML = oriDataForm.secondaryDNS.value;
        }
	}
	if (oriDataForm.enablePING.value=="yes") saveform.cbEnablePING.checked=true;
	else saveform.cbEnablePING.checked=false;
}

function radioButtonClicked() {
	adjustDataNetworkInfo();
    EnableSaveButton();
}

function doSave()
{
	var saveform = document.saveform;
	var oriDataForm = document.oriDataForm;
	
	// checked if hostname is valid and is changed or not
    saveform.hostname.value = Trim( saveform.hostname.value );
    if ( ! isHostname2( saveform.hostname.value ) ) 
    {
    	alert(i18n_ipconfig_errmsg1);
    	saveform.hostname.focus();
        return false;
    }
	if (saveform.hostname.value != oriDataForm.hostname.value) 
    {
        saveform.dataChanged.value="yes";
        saveform.hostnameChanged.value="yes";
    }
    else
        saveform.hostnameChanged.value="no";

    // check the ping if is changed
    if ( saveform.cbEnablePING.checked ) 
        saveform.enablePING.value = "yes";
    else
        saveform.enablePING.value = "no";

    if ( saveform.enablePING.value != oriDataForm.enablePING.value )
    {
        saveform.dataChanged.value="yes";
        saveform.dataPingChanged.value = "yes";
    }
    else
        saveform.dataPingChanged.value = "no";

    // get the ip address configuration    
    for ( i = 0; i < saveform.rbDataMode.length; i++ )
    {
        if (saveform.rbDataMode[i].checked) 
        {
			saveform.dataMode.value=saveform.rbDataMode[i].value;
			break;
		}
    }

    if ( saveform.dataMode.value == "static" ) 
    {    
    	saveform.ip.value = Trim(saveform.ip.value);
        if ( ! ValidateIP( saveform.ip.value ) )
        {
    		alert(i18n_ipconfig_errmsg2);
    		saveform.ip.focus();
    		return false;
    	}
    	saveform.netmask.value = Trim(saveform.netmask.value);
        if ( ! checkIPMaskFormat( saveform.netmask.value, i18n_ipconfig_errmsg3 ) )
        {
    		saveform.netmask.focus();
    		return false;
    	}
    	saveform.gateway.value = Trim(saveform.gateway.value);
        if ( ! ValidateIP(saveform.gateway.value) )
        {
    		alert(i18n_ipconfig_errmsg4);
    		saveform.gateway.focus();
    		return false;
    	}
    	saveform.primaryDNS.value = Trim(saveform.primaryDNS.value);
        if ( !ValidateIP( saveform.primaryDNS.value ) )
        {
    		alert(i18n_ipconfig_errmsg5);
    		saveform.primaryDNS.focus();
    		return false;
    	}
    	saveform.secondaryDNS.value = Trim(saveform.secondaryDNS.value);
        if ( saveform.secondaryDNS.value != "" && ! ValidateIP(saveform.secondaryDNS.value) )
        {
    		alert(i18n_ipconfig_errmsg5);
    		saveform.secondaryDNS.focus();
    		return false;
        }
    }

	if ( saveform.dataMode.value.toLowerCase() != oriDataForm.dataMode.value.toLowerCase() ||
	    ( saveform.dataMode.value == "static" && (saveform.ip.value!=oriDataForm.ip.value || saveform.netmask.value!=oriDataForm.netmask.value || 
	    saveform.gateway.value!=oriDataForm.gateway.value || saveform.primaryDNS.value!=oriDataForm.primaryDNS.value || 
        saveform.secondaryDNS.value!=oriDataForm.secondaryDNS.value ) ) )
    {
        saveform.dataChanged.value="yes";

        if ( saveform.dataMode.value.toLowerCase() != oriDataForm.dataMode.value.toLowerCase() ||  
            saveform.secondaryDNS.value != oriDataForm.secondaryDNS.value || saveform.primaryDNS.value != oriDataForm.primaryDNS.value )
            saveform.dnsChanged.value = "yes";
        else
            saveform.dnsChanged.value = "no";

        if ( saveform.dataMode.value.toLowerCase() != oriDataForm.dataMode.value.toLowerCase() || 
            saveform.ip.value != oriDataForm.ip.value || saveform.netmask.value != oriDataForm.netmask.value 
            || saveform.gateway.value != oriDataForm.gateway.value )
            saveform.dataIPChanged.value = "yes";
        else
            saveform.dataIPChanged.value = "no";        

    }

    // check if the data interface and mgmt interface is located in the same network segment
    var mgmtIP   =  "<%=mgmtAddress%>";
    var mgmtMask =  "<%=mgmtNetmask%>";
    var dataIP   = "";
    var dataMask = "";
    var broken = "no";

    if ( saveform.dataMode.value == "static" ) 
    {    
        dataIP = saveform.ip.value;
        dataMask = saveform.netmask.value;
    }
    else
    {
        dataIP = "<%=ip%>";
        dataMask = "<%=netmask%>"; 
    }

    if ( mgmtIP != "" && mgmtMask != "" && dataIP != "" && dataMask != "" )
    {
        if ( chk_same_subnet(dataIP, mgmtIP, dataMask) || chk_same_subnet(dataIP, mgmtIP, mgmtMask) )
            if ( ! confirm( i18n_data_ipconfig_same_subnet_msg ) )
                return;
    }


    // check if the connection will be broken
    if ( document.location.hostname != mgmtIP && ( oriDataForm.dataMode.value.toLowerCase() != saveform.dataMode.value.toLowerCase() || 
            ( saveform.dataMode.value.toLowerCase() == "static" && saveform.dataIPChanged.value == "yes" ) ) )
    {
        broken = "yes";
        confirmMsg = i18n_ipconfig_connection_broken_msg + ' ' + i18n_ipconfig_confirm_msg;
        if ( ! confirm(confirmMsg) )
            return;
    }

	// check if configution is changed and the UI will need to be redirected or not 
    if ( broken == "yes" )
    {
        var oldProtocol = document.location.protocol;
	    var oldPort = document.location.port;
	    var oldHost = document.location.hostname;
        var newHost = saveform.ip.value;

	    parent.tophead.document.forms.saveform.ipconfig.value = "success";
   		parent.tophead.redirectToNewIP(oldProtocol, newHost, oldPort);
    }

    document.saveform.action = "servlet/com.trend.iwss.gui.servlet.ManageIPConfig";  
    document.saveform.submit();        
}
</SCRIPT>
</head>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="init();">

<form name="saveform" method="post" action="">
<input type=hidden name="hostnameChanged" value="no">
<input type=hidden name="dataChanged" value="no">
<input type=hidden name="connBrokenCmd" value="">
<input type=hidden name="dataMode" value="">
<input type=hidden name="workMode" value="<%=workMode %>">
<input type=hidden name="dnsChanged" value="no">
<input type=hidden name="dataIPChanged" value="no">
<input type=hidden name="dataPingChanged" value="no">
<input type=hidden name="pageName"  value="dataPage">
<input type=hidden name="vlanID"  value="<%=VLANID%>">
<input type=hidden name="op" value="save">

<table cellspacing=0 cellpadding=0 width=98% border=0>
  <tr> 
    <td width="983" class="content-title" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.new_title" /></td>
    <td width="19" align="right" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('data_interface.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr> 
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table cellspacing=0 cellpadding=0 width=600 border=0>
  <tr id="trError" style="display:none" valign="top">
    <td class="textbold" align="left"><div id="lErrorMsg"></div></td>
  </tr>
  <tr id="tr1spaceError" style="display:none">
    <td><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>     
</table>
<table width="98%" border="0" cellpadding="0" cellspacing="0">
    <tr>
     <!-- TABS -->
     <td background="images/tab_background_cui.gif"><table cellpadding="0" cellspacing="0" border="0">
     <tr>
        <td><img src="images/tab_active1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
        <td valign="top" background="images/tab_active_background_cui.gif" class="tabactive" nowrap ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.data_interface" /></td>
        <td><img src="images/tab_active_right_cui.gif" width="23" height="23" alt="" border="0"></td>

        <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
        <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';"
    style="COLOR: #000000; TEXT-DECORATION: none"
    onMouseOut="this.style.color='#000000';" 
    href="mgmt_ipConfig.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.management_interface" /></a></td>
        <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
        
		<td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
        <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';" 
    style="COLOR: #000000; TEXT-DECORATION: none" 
    onmouseout="this.style.color='#000000';" 
    href="webConsole.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.web_console" /></a></td>
        <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>

        <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
        <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';" 
    style="COLOR: #000000; TEXT-DECORATION: none" 
    onmouseout="this.style.color='#000000';" 
    href="SSHConfig.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.remote_cli" /></a></td>
         <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>

         <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
         <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap><A onMouseOver="this.style.color='#FF0000';" 
    style="COLOR: #000000; TEXT-DECORATION: none" 
    onmouseout="this.style.color='#000000';" 
    href="iwss_config_snmp.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.upper_snmp" /></a></td>
         <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
     </tr>
     </table></td>
         <td align="right" background="images/tab_background_cui.gif"><img src="images/tab_right_corner_cui.gif" width="6" height="23" alt="" border="0"></td>
      <!-- /TABS -->
  </tr>  
  
  <tr> 
    <td colspan="2" class="border"><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr> 
          <td ><table width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td class="tableheadergrey2" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.host_name" /></td>
              </tr>
              <tr> 
                <td class="data1"  style="padding-top:5; padding-bottom:10;"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.host_name_sem" /> 
                  <input type="text" name="hostname" class="button" size="30" maxlength="63" value="<%=hostname %>" onKeyDown="EnableSaveButton()"></td>
              </tr>
              <tr> 
                <td class="tableheadergrey2" id="lDataConfigTitle"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.config_probrid_interface" /></td>
              </tr>
              <tr> 
                <td class="subtitle" ><img src="images/1space_cui.gif" width="1" height="5" ></td>
              </tr>
              <tr> 
                <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr> 
                      <td width="905" class="data1">
                       <table border="0" cellspacing="0" cellpadding="0">
                          <tr>
                            <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.ethernet_interface" /></td>
                            <td colspan="2" class="data1">
                              <input type="text" class="button" name="datainterface"  value="<%=dataNic%>" size="5" disabled>
                            </td>
                            </td>
                            <td class="data1">&nbsp;</td>
                          </tr>
                          <tr>
                            <td colspan="5" ><img src="images/1space_cui.gif" width="1" height="10"></td>   
                            <td >&nbsp;</td> 
                          </tr>
                          <tr> 
                            <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.ip_address" /> </td>
                            <td class="data1">
                             <input type="radio" name="rbDataMode" value="static" <%if ("static".equalsIgnoreCase(dataMode)) { %>checked <% } %> onClick="radioButtonClicked()"></td>
                            <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.static_ip_address" /> </td>
                            <td class="data1">&nbsp;</td>
                            <td class="data1">&nbsp;</td>
                          </tr>
                          <tr>
                           	<td class="data1">&nbsp;</td>
                            <td class="data1">&nbsp;</td>
                            <td colspan="3">
                                <table border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td class="data1" id="lSIPTitle1" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.ip_address" /> </td>
                                    <td class="data1">
                                      <input type="text" name="ip" class="button" size="30" maxlength="15" onKeyDown="EnableSaveButton()"></td>
                                    <td class="data1">&nbsp;</td>
                                  </tr>
                                  <tr> 
                                    <td class="data1" id="lSNetmaskTitle1" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.netmask" /></td>
                                    <td class="data1">
                                      <input type="text" name="netmask" class="button" size="30" maxlength="15" onKeyDown="EnableSaveButton()"></td>
                                    <td >&nbsp;</td>
                                  </tr>
                                  <tr> 
                                    <td class="data1" id="lSGatewayTitle" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.gateway" /></td>
                                    <td class="data1">
                                      <input type="text" name="gateway" class="button" size="30" maxlength="15" onKeyDown="EnableSaveButton()"></td>
                                    <td >&nbsp;</td>
                                  </tr>
                                  <tr> 
                                    <td class="data1" id="lSDNS1Title" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.primary_dns_server" /> </td>
                                    <td class="data1">
                                      <input type="text" name="primaryDNS" class="button" size="30" maxlength="15" onKeyDown="EnableSaveButton()"></td>
                                    <td >&nbsp;</td>
                                  </tr>
                                  <tr> 
                                    <td class="data1" id="lSDNS2Title" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.secondary_dns_server" /> </td>
                                    <td class="data1">
                                      <input type="text" name="secondaryDNS" class="button" size="30" maxlength="15" onKeyDown="EnableSaveButton()"></td>
                                    <td >&nbsp;</td>
        						  </tr>
                               </table>
                             </td> 
                          </tr>    
                          
                          <tr>
                            <td colspan="5" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                          </tr>
                          
                          <tr> 
                            <td class="data1">&nbsp;</td>
                            <td class="data1">
                            <input type="radio" name="rbDataMode" value="dhcp" <%if ("dhcp".equalsIgnoreCase(dataMode)) { %> checked <% } %>onClick="radioButtonClicked()"></td>
                            <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.dhcp_ip" /></td>
                            <td class="data1">&nbsp;</td>
                            <td class="data1">&nbsp;</td>
                          </tr>
                          
                          <tr>
                           	<td class="data1">&nbsp;</td>
                            <td class="data1">&nbsp;</td>
                            <td colspan="3">
                                <table border="0" cellpadding="0" cellspacing="0">
                                  <tr>
                                    <td class="data1" id="lDIPTitle1" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.ip_address" /> </td>
                                    <td class="data1" id="lDIP1" nowrap></td>
                                    <td class="data1">&nbsp;</td>
                                  </tr>
                                  <tr>
                                    <td class="data1" id="lDNetmaskTitle1" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.netmask" /> </td>
                                    <td class="data1" id="lDNetmask1">
                                    <td class="data1">&nbsp;</td>
                                  </tr>
                                  <tr>
                                    <td class="data1" id="lDGatewayTitle" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.gateway" /> </td>
                                    <td class="data1" id="IDGateway"> </td>
                                    <td class="data1">&nbsp;</td>
                                  </tr>
                                  <tr>
                                    <td class="data1" id="lDDNS1Title" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.primary_dns_server" /> </td>
                                    <td class="data1" id="IDDNS1"></td>
                                    <td class="data1">&nbsp;</td>
                                  </tr>
                                  <tr>
                                    <td class="data1" id="lDDNS2Title" style="padding-left:10"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.secondary_dns_server" /> </td>
                                    <td class="data1" id="IDDNS2"></td>
                                    <td class="data1">&nbsp;</td>
                                  </tr>
                                </table>  
                            </td>
                          </tr>
                          
                          <tr> 
                            <td colspan="5" class="data1">
                             <input type="hidden" name="enablePING" value="no">
                             <input type="checkbox" name="cbEnablePING" value="yes" <%if ("yes".equalsIgnoreCase(enablePING)) {%> checked <% } %> onClick="EnableSaveButton()">
                              <i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.data_interface.enable_ping" />
                            </td>
                          </tr>
                      </table>
                     </td>
                   </tr>
                  </table>
				</td>
               </tr>
                    
                   </table>
           </td>
         </tr>
        </table>
     </td>
   </tr>
</table>
<%if (login_gid == 100) { %>
<table width="98%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="bottom">
      <input type="button" class="button" style="width:50px" name="save" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" onClick="javascript:doSave();" disabled>
	  <input type="button" class="button" style="width:50px" name="cancel" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" onClick="javascript:self.location.replace('data_ipConfig.jsp')">
    </td>
  </tr>
</table>
<%}%>
</form>

<form name="oriDataForm" action="">
<input type="hidden" name="hostname" value="<%=hostname %>">
<input type="hidden" name="workMode" value="<%=workMode %>">
<input type="hidden" name="dataMode" value="<%=dataMode %>">
<input type="hidden" name="ip" value="<%=ip %>">
<input type="hidden" name="netmask" value="<%=netmask %>">
<input type="hidden" name="gateway" value="<%=gateway %>">
<input type="hidden" name="primaryDNS" value="<%=primaryDNS %>">
<input type="hidden" name="secondaryDNS" value="<%=secondaryDNS %>">
<input type="hidden" name="enablePING" value="<%=enablePING %>">
</form>

</body>
</html>
