<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Author: Sesong Wan                                		-->
<!--Date: 2010-01-11                                        -->
<!--Description:  Deploy wizard join cluster				-->
<!--File:-	dw_cluster_join.jsp                 		    -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
%>

<%@ page import="com.trend.iwss.deploywizard.*"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="com.trend.iwss.gui.*"%>
<%
	/**
	  * Test if current node is already in a cluster.
	  */
	DeployWizardUtil dwUtil = new DeployWizardUtil();
	String autorun = request.getSession().getAttribute("autorun").toString();
	String incluster = "";
	String preemption = "";
	String otherWeight = "";
	if ( dwUtil.isInCluster() )
	{
		incluster = "yes";
		//
		//
		//show cluster member
		List<ClusterNode> nodes = null;
		DeployWizardUtil util = new DeployWizardUtil();
        String token = UIHelperToken.getToken(request);
		Cluster cluster = util.getClusterInfo(" ", token);

		ClusterNode nodeToChange = null;

		String[] weightArr = null;


		String clusterIniPath = IWSSInfo.GetWorkPath()
				+ DeployWizardInfo.CLUSET_INI;
		IWSSINI clusterini = null;
		if(IWSSInfo.CheckInCluster())
			clusterini = new IWSSINI(clusterIniPath);

		String cluster_id = null;

		if (clusterini != null)
		{
			cluster_id = clusterini.GetKeyValue("cluster", "cluster_id");
			preemption = clusterini.GetKeyValue("cluster", "preemption");
			if ("yes".equalsIgnoreCase(preemption) )
			{
				preemption = "yes";
			}
			else
			{
				preemption = "no";
			}
		}
		if (cluster_id != null) {

			nodes = cluster.getNodes();
				weightArr = new String[nodes.size()-1];
			int iWeightArr = 0;

			try {
				for (int i = 0; i < nodes.size(); i++) {
					if (nodes.get(i).isLocal()) {
					}
					else
					{
						weightArr[iWeightArr++] = nodes.get(i).getWeight();
					}
				}

			} catch (Exception e) {
				e.printStackTrace();

			}
		}// if


		// get other weight
		boolean otherSameWeight = true;
		for (int i = 1; i < weightArr.length; i++)
		{
			if (weightArr[i] != weightArr[0])
			{
				otherSameWeight = false;
			}
		}
		if (otherSameWeight && weightArr.length > 0 )
		{
			otherWeight = weightArr[0];
		}
	}
	else
	{
		incluster = "no";
	}
 %>
<html>
<head>
<title>Deployment Wizard</title>
<SCRIPT language="javascript" src="../html/tooltip.js"></SCRIPT>
<SCRIPT language="javascript" src="../html/localization.js"></SCRIPT>
<script language="JavaScript" src="../html/func.js"></script>
<script language="JavaScript" src="../html/jquery1.3.2.js"></script>
<SCRIPT language="javascript" src="../html/i18n_warnmsg.js"></SCRIPT>
<script language="JavaScript" src="../html/deploywizard.js"></script>
<script language="JavaScript" src="../html/check.js"></script>
<link rel="stylesheet" type="text/css" href="../html/trend-style.css">
<link rel="stylesheet" type="text/css" href="../html/interface.css">
<script language="JavaScript">

var haport = "${sessionScope.clusternode.haport}";
$(document).ready(function(){

	$("#process").hide();

	$("#nextButton").click(function(){

		 var weight = $.trim($("#weight").val());
		 $("#weight").val(weight);
		 var preemption = "<%=preemption %>";
		 var otherWeight = "<%=otherWeight %>";

		 if($("#haport").val() == 'select')        //Internal Interface
		 {
			alert(i18n_HA_interface);
		 }
		 else if(!chkNum(weight, 1, 255))
		 {
			$("#weight").focus();
			alert(i18n_invalid_cluster_weight);
		 }
		 else if (preemption == "yes" && weight == otherWeight)
		 {
			$("#weight").focus();
			alert(i18n_cluster_management_preemption_on_with_same_weight);
		 }
		 else                  //submit
		 {
			// If already in a cluster, just hide the cluster info
			var incluster = "<%=incluster %>";
			if(incluster == "yes")
			{
				$("#postForm").submit();
			}
			else
			{
				getClusterInfo();
			}
		 }

	});
	$("#haport").change(function(){
		haport = $("#haport").val();
		var dataInPort = "${sessionScope.network.dataInEth}";
		var dataExPort = "${sessionScope.network.dataExEth}";
		var managePort = "${sessionScope.network.manageEth}";
		$("td[id^='nic']").text("");
		$("#nic"+dataInPort).text("D");
		$("#nic"+dataExPort).text("D");
		$("#nic"+managePort).text("M");
		$("#nic"+haport).text("H");

	});

	//back button click
	$("#backButton").click(function(){
		$("#page").val("back");
		$("#postForm").submit();

	});

	//get interface status
	interfaceStatus();
});

	function interfaceStatus()
	{
		$.ajax({
					type: "post",
					url: "../go.jsp?url=deploywizardnicstatus",
					dataType:"json",
					beforeSend: function(XMLHttpRequest){
					},
					success: function(json){
						var tr1HTML = "<tr valign='middle' align='center'>";
						var tr2HTML = "<tr valign='middle' align='center' >";

						for (key in json){

							//the port status
							tr1HTML += '<td class=data1><div class='+json[key]+'>'+key+'</div></td>';

							//the port function
							var dataInPort = "${sessionScope.network.dataInEth}";
							var dataExPort = "${sessionScope.network.dataExEth}";
							var managePort = "${sessionScope.network.manageEth}";
							// if there is some conflict , just set D or M to ""
							if (dataInPort == haport)
							{
								dataInPort = "";
							}
							if (dataExPort == haport)
							{
								dataExPort = "";
							}
							if (managePort == haport)
							{
								managePort = "";
							}

							if(key == dataInPort || key == dataExPort)
								tr2HTML += "<td class='nictext' id='nic"+key+"'>D</td>";
							else if(key == managePort)
								tr2HTML += "<td class='nictext' id='nic"+key+"'>M</td>";
							else if(key == haport)
								tr2HTML += "<td class='nictext' id='nic"+key+"'>H</td>";
							else
								tr2HTML += "<td class='nictext' id='nic"+key+"'></td>";

						}
						tr1HTML += "</tr>";
						tr2HTML += "</tr>";
						$("#interface").empty();
						$("#interface").append(tr1HTML);
						$("#interface").append(tr2HTML);
					},
					complete: function(XMLHttpRequest, textStatus){
						setTimeout("interfaceStatus()", 2000);
					},
					error: function(){
					}
			});
	}
	//
	function getClusterInfo()
	{
		var warningMessage = "<span class='warning'><img src='../images/warning2.gif' width='16' height='16' align=absMiddle >"
								+ i18n_cluster_getinfo_error + "</span>";
		$.ajax({

					type: "post",
					url: "../go.jsp?url=deploywizardgetclusterinfo"+document.getElementById("haport").value,

					beforeSend: function(XMLHttpRequest){
						$("#process").show();
						$("#nextButton").attr("disabled", true);
						$("#backButton").attr("disabled", true);
					},
					success: function(data){
						if(data == "OK") $("#postForm").submit();
						else
						{
							$("#process").hide();
							$("#note").html(warningMessage);
						} ;
					},
					complete: function(XMLHttpRequest, textStatus){
						$("#nextButton").attr("disabled", false);
						$("#backButton").attr("disabled", false);
					},
					error: function(){
						$("#process").hide();
						$("#note").html(warningMessage);
					}
			});
	}
	function init(){
		if('<%=autorun%>' == 'no')
			document.getElementById('hideimg').style.display = "block";
		else
			document.getElementById('cancel').onclick = myClose;
	}
	function myClose()
	{
		window.open('../summary_appcontrol.jsp','_self');
	}
</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" onload="init();">
<DIV id=tooltip style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
<form id="postForm" action="deploywizard.do?method=cluster" method="post">
<input type="hidden" id="page" name="page" value="next"/>
<div id ="hideimg" style="display:none">
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:0">
	<tr>
	  <td background="../images/wizard_top_bg.jpg"><img src="../images/wizard_top_TM_logo.jpg">&nbsp;</td>
	</tr>
  </table>
  </div>
  <table border="0" cellpadding="0" cellspacing="0">
	<tr>
	  <td><table width="100%" border=0 cellpadding=0 cellspacing=0>
		  <tr>
			<td class="content-title">
				<i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.cluster_setting.cluster_settings_title" />
			</td>
		  <td align="right" class="content-title">
			<a href="javascript:openhelpwin('../../../html/help/deploy_existing_clustter.htm');">
				<img src="../images/question.gif" width="18" height="18">
			</a>
		  </td>
		  </tr>
		  <tr>
			<td height="10" colspan="2" class="hor-dotted-line"><img src="../images/1space_cui.gif" width="1" height="10"></td>
		  </tr>
		  <tr>
			<td colspan="2" class="data1">
				<p>
				  <i18n:message bundleRef="bundleAdmin"	key="admin.deploy_wizard.cluster_setting.cluster_settings_title_desc" />
				</p>
			</td>
		  </tr>
		  <tr>
			<td colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
		  </tr>
		</table></td>
	  <td rowspan="2" valign="top" style="padding:0"><table width="150" border="0" cellspacing="0" cellpadding="0">
		<tr align="right" valign="top">
		  <td height="42">&nbsp;</td>
		</tr>
		<tr>
		  <td class="data1">
			<span class="textbold">
			   <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.steps" />
			</span>
		  </td>
		</tr>
		<tr>
		  <td class="data1">
			1. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.deploy_mode" />
		  </td>
		</tr>
		<tr>
		  <td width="134" class="data1">
			<span class="textbold">
			  2. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.deploy_method.clustersetting" />
			 </span>
		  </td>
		</tr>
		<tr>
		  <td class="data1">
			3. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.validate_cluster" />
		  </td>
		</tr>
		<tr>
		  <td class="data1">
			4. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.network_settings" />
		  </td>
		</tr>


		<tr>
		  <td class="data1" nowrap="nowrap">
			5. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.summary" />
		  </td>
		</tr>
		<tr>
		  <td class="data1">
			6. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.results" />
		  </td>
		</tr>
	  </table></td>
	</tr>
	<tr>
	  <td><table width="530" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="530" class="border">
			<table border="0" cellspacing="0" cellpadding="0" width="530">
			  <!----------------------------Interface status ---------------------------------------->
				 <tr>
					  <td colspan="2" nowrap="nowrap"  class="tableheadergrey2"  style="padding-left:0">
					  <table width="100%" border="0" cellspacing="0" cellpadding="0">
						  <tr>
							<td class="tableheadergrey3"><i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.cluster_setting.interface_status_title" /></td>
							<td nowrap="nowrap"  class="data1" style="padding-right:10px; text-align:right">
							<strong>D</strong>=<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_data" />&nbsp;&nbsp;&nbsp;
							<strong>M</strong>=<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_management" />&nbsp;&nbsp;&nbsp;
							<strong>H</strong>=<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_ha" />
							</td>
						  </tr>
					  </table>
					  </td>
					</tr>
					<tr>
					   <td colspan="2" width="100%" bgcolor="#D8D8D8" height="55">
						<table id="interface" border="0" align="center" cellpadding="0" height="55" cellspacing="0px">

					   </table>
					   </td>
					</tr>
				   <!---------------------------------------  END interface status ------------------------------------>
			  <tr>
				<td colspan="2" class="tableheadergrey2"><i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_title" /></td>
			  </tr>
			 <tr>
				  <td width="13%" nowrap="nowrap"  class="data1"><i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_ha_interface" /> </td>
				  <td width="87%" class="data1">
				   <!--------------------------- according the session , select H/A Interface -------------------->
						<select class="button" id="haport" size="1" name="haport">
						<option value='select' selected><i18n:message bundleRef="bundleAdmin"
															key="admin.deploy_wizard.cluster_setting.ha_setting_ha_interface_select" /></option>
						<c:forEach var="eth" items="${sessionScope.nicList}">
						<c:choose>
							<c:when test="${sessionScope.clusternode.haport == eth}">
								<option selected value="${eth}">${eth}</option>
							</c:when>
							<c:otherwise>
								<option value="${eth}">${eth}</option>
							</c:otherwise>
						</c:choose>
						</c:forEach>
						</select>
					<!--------------------------------------------------------------------------------------------------->
				   </td>
				</tr>
				<tr>
				  <td  class="data1" nowrap="nowrap"><i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_ha_weight" />
				  <IMG src="../images/info_mark_cui.gif" width="14" height="17" border=0 align=absMiddle
							  onmouseover="stm(tipWeight,tipStyle);return false;"
							  onmouseout="htm();return false;">
				  </td>
				  <td class="data1">
				  <input name="weight" id="weight" type="text" class="button" value="${sessionScope.clusternode.weight}" size="6">
					<i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.cluster_setting.ha_setting_ha_weight_desc" />
				 </td>
				</tr>
				<tr>
				  <td colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
				</tr>
				<tr>
				<td colspan="2"  class="data1" id="note">
				<span class="textbold"><i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.cluster_setting.cluster_join.note" /></span>: <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.cluster_setting.cluster_join.note_message" />
				</td>
				</tr>
			  <tr>
				<td colspan="2"><img src="../images/1space_cui.gif" width="1" height="10"></td>
			  </tr>
				 <!------------------------ process status ------------------------------------>
				 <tr>
				 <td colspan="2" width="100%">
					<table id="process">
					<tr>
						<td colspan="2" align="center">
						<img src="../images/inProgress.gif">
						</td>
					</tr>
					<tr>
					<td colspan="2" align="center" class="data1">
					<strong><i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.cluster_setting.cluster_join.connecting_to_cluster" /></strong> </td>
					 </tr>
					</table>
				</td>
				</tr>
				 <!------------------------End process status --------------------------------->

			</table></td>
		  </tr>
		</table></td>
	</tr>
  </table>
  <table width="540" border="0" cellspacing="0" cellpadding="0">
	 <tr>
	  <td height="28" valign="bottom">
	   <input class="button" id="backButton" value="&lt; <i18n:message bundleRef='bundleCommon' key='button.back' />" style="width: 60px;" type="button">
	   <input class="button" id="nextButton" value="<i18n:message bundleRef='bundleCommon' key='button.next' /> &gt;" style="width: 60px;" type="button">
	   &nbsp;&nbsp;
		<input type="button" id="cancel" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" style="width:60px"></td>
	</tr>
  </table>
</form>
<br>
</BODY>
</HTML>
