<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Author: Sesong Wan                                		-->
<!--Date: 2010-01-11                                        -->
<!--Description:  Deploy wizard create  new cluster			-->
<!--File:-	dw_cluster_create.jsp                 		    -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0"
	prefix="i18n"%>
<%@ page import="com.trend.iwss.deploywizard.*"%>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.trend.iwss.deploywizard.model.*"%>
<%@ page import="com.trend.iwss.gui.*"%>

<%
	response.setHeader("Pragma","no-cache");
	response.setHeader("Cache-Control","no-cache");
%>

<%
	/**
	  * Test if current node is already in a cluster.
	  */
	DeployWizardUtil dwUtil = new DeployWizardUtil();
	String autorun = request.getSession().getAttribute("autorun").toString();
	String incluster = "";
	String preemption = "";
	String otherWeight = "";
	if ( dwUtil.isInCluster() )
	{
		incluster = "yes";
		//
		//show cluster member
		List<ClusterNode> nodes = null;
		DeployWizardUtil util = new DeployWizardUtil();
        String token = UIHelperToken.getToken(request);
		Cluster cluster = util.getClusterInfo(" ", token);

		ClusterNode nodeToChange = null;

		String[] weightArr = null;


		String clusterIniPath = IWSSInfo.GetWorkPath()
				+ DeployWizardInfo.CLUSET_INI;
		IWSSINI clusterini = null;
		if(IWSSInfo.CheckInCluster())
			clusterini = new IWSSINI(clusterIniPath);

		String cluster_id = null;

		if (clusterini != null)
		{
			cluster_id = clusterini.GetKeyValue("cluster", "cluster_id");
			preemption = clusterini.GetKeyValue("cluster", "preemption");
			if ("yes".equalsIgnoreCase(preemption) )
			{
				preemption = "yes";
			}
			else
			{
				preemption = "no";
			}
		}
		if (cluster_id != null) {

			nodes = cluster.getNodes();
				weightArr = new String[nodes.size()-1];
			int iWeightArr = 0;

			try {
				for (int i = 0; i < nodes.size(); i++) {
					if (nodes.get(i).isLocal()) {
					}
					else
					{
						weightArr[iWeightArr++] = nodes.get(i).getWeight();
					}
				}

			} catch (Exception e) {
				e.printStackTrace();

			}
		}// if


		// get other weight
		boolean otherSameWeight = true;
		for (int i = 1; i < weightArr.length; i++)
		{
			if (weightArr[i] != weightArr[0])
			{
				otherSameWeight = false;
			}
		}
		if (otherSameWeight && weightArr.length > 0)
		{
			otherWeight = weightArr[0];
		}
	}
	else
	{
			incluster = "no";
	}
 %>


<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<html>
	<head>
		<title>Deployment Wizard</title>
		<SCRIPT language="javascript" src="../html/tooltip.js"></SCRIPT>
		<SCRIPT language="javascript" src="../html/localization.js"></SCRIPT>
		<script language="JavaScript" src="../html/func.js"></script>

		<script language="JavaScript" src="../html/jquery1.3.2.js"></script>
		<SCRIPT language="javascript" src="../html/i18n_warnmsg.js"></SCRIPT>
		<script language="JavaScript" src="../html/deploywizard.js"></script>
		<script language="JavaScript" src="../html/check.js"></script>
		<link rel="stylesheet" type="text/css" href="../html/trend-style.css">
		<link rel="stylesheet" type="text/css" href="../html/interface.css">
		<script language="JavaScript">
var haport = "${sessionScope.cluster.HAport}";
$(document).ready(function(){


	// If already in a cluster, just hide the cluster info
	var incluster = "<%=incluster %>";
	if(incluster == "yes")
	{
		$("#cluster_setting_table").hide();
	}
	$("#description").val("${sessionScope.cluster.description}");

	$("#nextButton").click(function(){

		 //input filed check
		 var clustername = $.trim($("#clustername").val());
		 $("#clustername").val(clustername);

		 var description = $.trim($("#description").val());
		 // replace CRLF with [space]
		 description = description.replace(/\n|\r\n/g,' ');
		 $("#description").val(description);

		 var clusterip = $.trim($("#clusterip").val());
		 $("#clusterip").val(clusterip);

		 //var clusteripv6 = $.trim($("#clusteripv6").val());  //for ipv6
		 //$("#clusteripv6").val(clusteripv6);

		 var weight = $.trim($("#weight").val());
		 $("#weight").val(weight);
		 var preemption = "<%=preemption %>";
		 var otherWeight = "<%=otherWeight %>"

		 if(!isClusterName(clustername)) //hostname
		 {
			alert(i18n_cluster_name_errmsg1);
			$("#clustername").focus();
			return;
		 }
		 else if(!ValidateIP(clusterip))   //static ip check
		 {
			alert(i18n_ipconfig_errmsg2);
			$("#clusterip").focus();
		 }
		 //else if(clusteripv6 != "" && clusteripv6 !=null && !ValidateIPv6(clusteripv6))   //static ipv6 check
		 //{
		//		alert(i18n_ipconfig_errmsg2_ipv6);
		//		$("#clusteripv6").focus();
		 //}
		 else if($("#haport").val() == 'select')        //Internal Interface
		 {
			alert(i18n_HA_interface);
		 }
		 else if(!chkNum(weight, 1, 255))
		 {
			$("#weight").focus();
			alert(i18n_invalid_cluster_weight);
		 }
		 else if (preemption == "yes" && otherWeight == weight)
		 {
			$("#weight").focus();
			alert(i18n_cluster_management_preemption_on_with_same_weight);
		 }
		 else if ( parseInt(description.length, 10) > parseInt(i18n_cluster_description_max_length, 10) )
		 {// test the description length
			alert(i18n_cluster_description_max_length_warnmsg);
			$("#description").focus();
		 } else if (!checkDescription(description))
		{ // test if the description has invalid characters
			alert(i18n_cluster_description_invalid_characters);
			$("#description").focus();
		}
		 else                  //submit
		 {
			$("#postForm").submit();
		 }

	});
	$("#haport").change(function(){
		haport = $("#haport").val();
		var dataInPort = "${sessionScope.network.dataInEth}";
		var dataExPort = "${sessionScope.network.dataExEth}";
		var managePort = "${sessionScope.network.manageEth}";
		$("td[id^='nic']").text("");
		$("#nic"+dataInPort).text("D");
		$("#nic"+dataExPort).text("D");
		$("#nic"+managePort).text("M");
		$("#nic"+haport).text("H");

	});

	//back button click
	$("#backButton").click(function(){
		$("#page").val("back");
		$("#postForm").submit();
	});

	//get interface status

	interfaceStatus();
});

	function interfaceStatus()
	{
		$.ajax({
					type: "post",
					url: "../go.jsp?url=deploywizardnicstatus",
					dataType:"json",
					beforeSend: function(XMLHttpRequest){
					},
					success: function(json){
						var tr1HTML = "<tr valign='middle' align='center'>";
						var tr2HTML = "<tr valign='middle' align='center'>";
						for (key in json){

							//the port status
							tr1HTML += '<td class=data1><div class='+json[key]+'>'+key+'</div></td>';

							//the port function
							var dataInPort = "${sessionScope.network.dataInEth}";
							var dataExPort = "${sessionScope.network.dataExEth}";
							var managePort = "${sessionScope.network.manageEth}";
							// if there is some conflict , just set D or M to ""
							if (dataInPort == haport)
							{
								dataInPort = "";
							}
							if (dataExPort == haport)
							{
								dataExPort = "";
							}
							if (managePort == haport)
							{
								managePort = "";
							}

							if(key == dataInPort || key == dataExPort)
								tr2HTML += "<td  class='nictext' id='nic"+key+"'>D</td>";
							else if(key == managePort)
								tr2HTML += "<td  class='nictext' id='nic"+key+"'>M</td>";
							else if(key == haport)
								tr2HTML += "<td  class='nictext' id='nic"+key+"'>H</td>";
							else
								tr2HTML += "<td  class='nictext' id='nic"+key+"'></td>";
						}
						tr1HTML += "</tr>";
						tr2HTML += "</tr>";
						$("#interface").empty();
						$("#interface").append(tr1HTML);
						$("#interface").append(tr2HTML);
					},
					complete: function(XMLHttpRequest, textStatus){
						setTimeout("interfaceStatus()", 2000);
					},
					error: function(){
					}
			});
	}

	function init(){
		if('<%=autorun%>' == 'no')
			document.getElementById('hideimg').style.display = "block";
		else
			document.getElementById('cancel').onclick = myClose;
	}
	function myClose()
	{
		window.open('../summary_appcontrol.jsp','_self');
	}


</script>
	</head>
	<BODY leftmargin="0" topmargin="0" marginwidth="0" onload="init();">
		<DIV id=tooltip
			style="Z-INDEX: 1000; VISIBILITY: hidden; POSITION: absolute; TOP: -100px"></DIV>
		<form id="postForm" action="deploywizard.do?method=cluster"
			method="post">
			<input type="hidden" id="page" name="page" value="next" />
<div id ="hideimg" style="display:none">
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:0">
	<tr>
	  <td background="../images/wizard_top_bg.jpg"><img src="../images/wizard_top_TM_logo.jpg">&nbsp;</td>
	</tr>
  </table>
  </div>
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>
						<table width="100%" border=0 cellpadding=0 cellspacing=0>
							<tr>
								<td class="content-title">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.cluster_setting.cluster_settings_title" />
								</td>
								<td align="right" class="content-title">
								<%if ("yes".equalsIgnoreCase(incluster)) {%>
									<a
										href="javascript:openhelpwin('../../../html/help/deploy_existing_clustter.htm');"><img
											src="../images/question.gif" width="18" height="18"
											style="border: 0;">
									</a>
								<%} else {%>
									<a
										href="javascript:openhelpwin('../../../html/help/deploy_new_cluster.htm');"><img
											src="../images/question.gif" width="18" height="18"
											style="border: 0;">
									</a>
								<%} %>
								</td>

							</tr>
							<tr>
								<td height="10" colspan="2" class="hor-dotted-line">
									<img src="../images/1space_cui.gif" width="1" height="10">
								</td>
							</tr>
							<tr>
								<td colspan="2" class="data1">
									<p>
										<i18n:message bundleRef="bundleAdmin"
											key="admin.deploy_wizard.cluster_setting.cluster_settings_title_desc" />
									</p>
							</tr>
							<tr>
								<td colspan="2">
									<img src="../images/1space_cui.gif" width="1" height="10">
								</td>
							</tr>
						</table>
					</td>
					<td rowspan="2" valign="top" style="padding: 0">
						<table width="139" border="0" cellspacing="0" cellpadding="0">
							<tr align="right" valign="top">
								<td height="42">
									&nbsp;
								</td>
							</tr>
							<tr>
								<td class="data1">
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.steps" />
								</td>
							</tr>
							<tr>
								<td class="data1" nowrap="nowrap">
									1.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.deploy_mode" />
								</td>
							</tr>
							<tr>
								<!--
			<td width="134" class="data1">2. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.deploy_settings" /></td>
			<td width="134" class="data1">2. <i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.deploy_method.clustersetting" /></td>
			<td id="changeMode"  class="data1" >2.<i18n:message bundleRef="bundleAdmin" key="admin.deploy_wizard.leftmenu.proxy_settings" /></td>
			-->
								<td width="129" class="data1" nowrap="nowrap">
									<span class="textbold">2. <i18n:message
											bundleRef="bundleAdmin"
											key="admin.deploy_wizard.deploy_method.clustersetting" />
									</span>
								</td>

							</tr>
							<tr>
								<td class="data1">
									3.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.network_settings" />
								</td>
							</tr>
							<tr>
								<td class="data1">
									4.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.static_routes" />
								</td>
							</tr>
							<tr>
								<td class="data1">
									5.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.product_activation" />
								</td>
							</tr>
							<tr>
								<td class="data1">
									6.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.system_time" />
								</td>
							</tr>
							<tr>
								<td class="data1">
									7.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.summary" />
								</td>
							</tr>
							<tr>
								<td class="data1" nowrap="nowrap">
									8.
									<i18n:message bundleRef="bundleAdmin"
										key="admin.deploy_wizard.leftmenu.results" />
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td>
						<table width="530" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td width="530" class="border" style="padding: 0">
									<table id="cluster_setting_table" width="530" border="0"
										cellpadding="0" cellspacing="0">
										<tr>
											<td colspan="2" class="tableheadergrey">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.settings_title" />
											</td>
										</tr>
										<tr>
											<td width="29%" nowrap="nowrap" class="data1">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_cluster_name" />
												<span class="subtitle-red">*</span>
											</td>
											<td width="71%" class="data1">
												<label>
													<input name="clustername" id="clustername" type="text"
														maxlength="63"
														class="button" size="60"
														value="${sessionScope.cluster.name}">
												</label>
											</td>
										</tr>
										<tr>
											<td class="data1" nowrap="nowrap"
												style="vertical-align: top; padding-top: 3px">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_description" />
											</td>
											<td class="data1">
												<textarea name="description" id="description" cols="60"
													rows="3" class="button"></textarea>
											</td>
										</tr>
										<tr>
											<td class="data1" nowrap="nowrap">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_cluster_ip" />
												<span class="subtitle-red">*</span>
												<IMG src="../images/info_mark_cui.gif" width="14"
													height="17" border=0 align=absMiddle style="CURSOR: hand"
													onmouseover="stm(tipFloatingip,tipStyle);return false;"
													onmouseout="htm();return false;">
											</td>
											<td class="data1">
												<input name="clusterip" id="clusterip" type="text"
													class="button" size="25" value="${sessionScope.cluster.ip}">
											</td>
										</tr>
<!--
										<tr>
											<td class="data1" nowrap="nowrap">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_cluster_ipv6" />
												<IMG src="../images/info_mark_cui.gif" width="14"
													height="17" border=0 align=absMiddle style="CURSOR: hand"
													onmouseover="stm(tipFloatingip,tipStyle);return false;"
													onmouseout="htm();return false;">
											</td>
											<td class="data1">
												<input name="clusteripv6" id="clusteripv6" type="text"
													class="button" size="25" value="${sessionScope.cluster.ipv6}">
											</td>
										</tr>
-->
										<tr>
											<td nowrap="nowrap" class="data1">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_preemption" />
												<img src="../images/info_mark_cui.gif" alt="" width="14"
													height="17" border="0" align="absmiddle"
													style="cursor: hand;"
													onMouseOver="stm(tipPreemption,tipStyle);return false;"
													onMouseOut="htm();return false;">
											</td>
											<td class="data1">
												<select  class="button" name="preemption"
													id="preemption">
													<option value="enable" selected>
														<i18n:message bundleRef="bundleAdmin"
															key="admin.deploy_wizard.cluster_setting.setting_preemption_enable" />
													</option>
													<option value="disable"
														<c:if test="${sessionScope.cluster.preemption == false}">selected</c:if>>
														<i18n:message bundleRef="bundleAdmin"
															key="admin.deploy_wizard.cluster_setting.setting_preemption_disable" />
													</option>
												</select>
											</td>
										</tr>
										<tr>
											<td class="data1" nowrap="nowrap">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_ha_mode" />
											</td>
											<td class="data1">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_ha_mode_val" />
											</td>
										</tr>
										<tr>
											<td class="data1" nowrap="nowrap">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.setting_deploy_mode" />
											</td>
											<td class="data1">
												<label>
													<i18n:message bundleRef="bundleAdmin"
														key="admin.deploy_wizard.cluster_setting.setting_deploy_mode_val" />
												</label>
											</td>
										</tr>

										<tr>
											<td colspan="2">
												<img src="../images/1space_cui.gif" width="1" height="10">
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td width="530" class="border" style="padding: 0">

									<!----------------------------Interface status ---------------------------------------->
									<table width="530" border="0" cellpadding="0" cellspacing="0">
										<tr>
											<td colspan="2" nowrap="nowrap" class="tableheadergrey2"
												style="padding-left: 0">
												<table width="100%" border="0" cellspacing="0"
													cellpadding="0">
													<tr>
														<td class="tableheadergrey3">
															<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_title" />
														</td>
														<td nowrap="nowrap" class="data1"
															style="padding-right: 10px; text-align: right">
															<strong>D</strong>=
															<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_data" />
															&nbsp;&nbsp;&nbsp;
															<strong>M</strong>=
															<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_management" />
															&nbsp;&nbsp;&nbsp;
															<strong>H</strong>=
															<i18n:message bundleRef="bundleAdmin"
																key="admin.deploy_wizard.cluster_setting.interface_status_ha" />
														</td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td colspan="2" width="100%" bgcolor="#D8D8D8" height="55">
												<table id="interface" border="0" align="center" cellpadding="0" height="55" cellspacing="0px">

												</table>
											</td>
										</tr>
										<!---------------------------------------  END interface status ------------------------------------>
										<tr>
											<td colspan="2" class="tableheadergrey2">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_title" />
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td width="530" class="border" style="padding: 0">
									<table width="100%" border="0" cellpadding="0" cellspacing="0">

										<tr>
											<td width="13%" nowrap="nowrap" class="data1">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_ha_interface" />
											</td>
											<td width="87%" class="data1">
												<!--------------------------- according the session , select H/A Interface -------------------->
												<select class="button" id="haport" size="1" name="haport">
													<option value='select' selected>
														<i18n:message bundleRef="bundleAdmin"
															key="admin.deploy_wizard.cluster_setting.ha_setting_ha_interface_select" />
													</option>
													<c:forEach var="eth" items="${sessionScope.nicList}">
														<c:choose>
															<c:when test="${sessionScope.cluster.HAport == eth}">
																<option selected value="${eth}">
																	${eth}
																</option>
															</c:when>
															<c:otherwise>
																<option value="${eth}">
																	${eth}
																</option>
															</c:otherwise>
														</c:choose>
													</c:forEach>
												</select>
												<!--------------------------------------------------------------------------------------------------->
											</td>
										</tr>
										<tr>
											<td class="data1" nowrap="nowrap">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_ha_weight" />
												<IMG src="../images/info_mark_cui.gif" width="14"
													height="17" border=0 align="absMiddle" style="CURSOR:hand"
													onmouseover="stm(tipWeight, tipStyle);return false;"
													onmouseout="htm();return false;;">
											</td>
											<td class="data1">
												<input name="weight" id="weight" type="text" class="button"
													value="${sessionScope.cluster.weight}" size="6">
												<i18n:message bundleRef="bundleAdmin"
													key="admin.deploy_wizard.cluster_setting.ha_setting_ha_weight_desc" />
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<img src="../images/1space_cui.gif" width="1" height="10">
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			<table width="540" border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="28" valign="bottom">
						<input class="button" id="backButton"
							value="&lt; <i18n:message bundleRef='bundleCommon' key='button.back' />"
							style="width: 50px;" type="button">
						<input class="button" id="nextButton"
							value="<i18n:message bundleRef='bundleCommon' key='button.next' /> &gt;"
							style="width: 50px;" type="button">
						&nbsp;&nbsp;
						<input type="button" id="cancel" class="button"
							value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />"
							style="width: 50px">
					</td>
				</tr>
			</table>
		</form>
		<br>
	</BODY>
</HTML>
