<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ page import="java.util.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%!
CLIResult ExecuteCLICommand( String command, String token)
{
    CLIResult   result = null;

    try {
        result = CLICommandExecuter.exec( command, true, token);

    } catch ( CLIException e ) {
        result = null;
        System.out.println( "CLIException [" + command + "]" );
        e.printStackTrace();
    }

    return result;
}

String GetCLIResult( CLIResult result, String KeyName, String DefaultValue )
{
    String value = DefaultValue;

    if ( result != null )
    {
        value = result.getKeyValue( KeyName );
        if ( value == null )
            value = DefaultValue;
    }

    return value;
}

String GetCLIResult( CLIResult result, String KeyName )
{
    return GetCLIResult(result, KeyName, "" );
}
%>

<%
    Object  oGroupId = null;
    int     login_gid = 100;

    if ( Validation.CheckUser(request,response) != 1)
    {
        response.sendRedirect("logon.jsp");
        return;
    }
    oGroupId = request.getSession().getAttribute("GroupId");
    if(oGroupId != null)
        login_gid = Integer.parseInt(oGroupId.toString());
    else
        login_gid = 0;

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
    
	// Handle error code
    Vector errors = new Vector();
    String returnCode;

	returnCode = request.getParameter("errorCode");
	if (returnCode!=null && !returnCode.equals("") )
		errors.addAll(Arrays.asList(returnCode.split(",")));
	
    // get the mgmt interface information
    String  managementStatus = "disable";
    String  managementIP = "", managementNetmask = "";
    String  managementEnablePING = "no";
    String  managementNic = "";
    Vector  freeNics = new Vector();
    CLIResult result = null;

    String cmd_show_mgmt = "show network mgmt status";

    String token = UIHelperToken.getToken(request);

    result = ExecuteCLICommand( cmd_show_mgmt, token);
    managementStatus = GetCLIResult( result, "Management interface", "disable" );

    if ( managementStatus.compareToIgnoreCase( "enable" ) == 0 )
    {
        result = ExecuteCLICommand( "show mgmt ip address", token );
        managementIP = GetCLIResult( result, "IP address" );
        managementNetmask = GetCLIResult( result, "Network mask" );

        result = ExecuteCLICommand( "show ping mgmt", token );
        managementEnablePING = GetCLIResult( result, "Allow ping to management port", "no" );
    }

    result = ExecuteCLICommand( "show interfaces", token );
    if ( result != null )
    {
        int     idx = 0;
        Vector  nicNames = new Vector();
        Vector  nicTypes = new Vector();
		String  []interfaceKeys = result.getListKeys();
	    String  []interfaceValues = result.getListValues();

        // get management nic name and free nic list
        for ( idx = 0; idx < interfaceKeys.length; idx++ )
        {
            String tempKey = interfaceKeys[idx].trim();

            if ( tempKey.compareToIgnoreCase("Interface") == 0 )
                nicNames.addElement( interfaceValues[idx].trim() );

            else if ( tempKey.compareToIgnoreCase("type") == 0 ) 
                nicTypes.addElement( interfaceValues[idx].trim() );
        }

        for ( idx = 0; idx < nicNames.size() && idx < nicTypes.size(); idx++ )
        {
            String tempType = (String)nicTypes.elementAt(idx);

           if ( tempType.compareToIgnoreCase("MANAGEMENT") == 0  ) 
               	managementNic = (String)nicNames.elementAt(idx);

           else if ( tempType.compareToIgnoreCase("PROXY") != 0 && tempType.compareToIgnoreCase("BRIDGE INTERNAL") != 0
                && tempType.compareToIgnoreCase("BRIDGE EXTERNAL") != 0  ) 
                freeNics.addElement( nicNames.elementAt(idx) );
        }
    } 

    // get data ip address
    String ip = "", netmask = "";

    result   = ExecuteCLICommand( "show ip address", token);
    ip       = GetCLIResult( result, "IP Address" );
    netmask  = GetCLIResult( result, "Netmask" );
%>

<html>
<head>
<title>Trend Micro InterScan Web Security Appliance</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/check.js"></SCRIPT>
<SCRIPT language="javascript" src="html/vlan_func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript">
var enableClass = "data1";
var disableClass = "textgrey";

function init() {
	mgtCheckboxClicked();
	if(document.saveform.save != null)
		document.saveform.save.disabled=true;
<%
	if (errors.size() > 0) {
%>
	parent.tophead.document.forms.saveform.ipconfig.value = "failure";
<%
	for (int i=0; i<errors.size(); i++) {
%>
	document.getElementById ('lErrorMsg').innerHTML += '<img src="images/icon_warning_cui.gif" border="0" align="absmiddle">' 
			 + i18n_ipconfig_errmsg<%=(errors.get(i)==null)?"":(String)errors.get(i)%> + '<br>';
<%
	}
%>
	document.getElementById('trError').style.display = '';
	document.getElementById('tr1spaceError').style.display = '';
<%
	}
%>
}

function mgtCheckboxClicked() {
	var saveform = document.saveform;
	var oriDataForm = document.oriDataForm;

    <% if ( freeNics.size() ==0 ){ %>
    if(oriDataForm.managementStatus.value=="disable" && saveform.cbManagementStatus.checked==true){
        alert(i18n_ipconfig_no_freecard_msg);
        saveform.cbManagementStatus.checked=false;
    }
    <%}%>

    if (!saveform.cbManagementStatus.checked) {
        saveform.nicselect.disabled=true;
        saveform.managementIP.disabled=true;
        saveform.managementNetmask.disabled=true; 
        saveform.cbManagementEnablePING.disabled=true;
        saveform.managementIP.value="";
        saveform.managementNetmask.value="";
        saveform.cbManagementEnablePING.checked=false;

        document.getElementById("lSIpAddrTitle").className=disableClass;
        document.getElementById("lSNetmaskTitle").className=disableClass;
        document.getElementById("mgmtIntfTitle").className=disableClass;
        saveform.cbManagementEnablePING.disable = true;
        
        EnableSaveButton();
    } else {
        document.getElementById("lSIpAddrTitle").className=enableClass;
        document.getElementById("lSNetmaskTitle").className=enableClass;
        document.getElementById("mgmtIntfTitle").className=enableClass;
        saveform.cbManagementEnablePING.disable = false;

    	saveform.nicselect.disabled=false;
    	saveform.cbManagementEnablePING.disabled=false;

		radioButtonClicked2();
    }
}

function radioButtonClicked2() {
	var saveform = document.saveform;
	var oriDataForm = document.oriDataForm;

    saveform.managementIP.disabled=false;
    saveform.managementNetmask.disabled=false;
    document.getElementById("lSNetmaskTitle").className=enableClass;

	saveform.managementIP.value=oriDataForm.managementIP.value;
	saveform.managementNetmask.value=oriDataForm.managementNetmask.value;

    if (oriDataForm.managementEnablePING.value=="yes") 
        saveform.cbManagementEnablePING.checked=true;
    else
        saveform.cbManagementEnablePING.checked=false;
	
    EnableSaveButton();
}

function doSave() {
	var saveform = document.saveform;
	var oriDataForm = document.oriDataForm;
	
    if (saveform.cbManagementStatus.checked) 
        saveform.managementStatus.value = "enable";
    else
        saveform.managementStatus.value = "disable";

    if (saveform.cbManagementEnablePING.checked) 
        saveform.managementEnablePING.value = "yes";
    else
        saveform.managementEnablePING.value = "no";

	// validate management interface configuration	
	//if (saveform.managementStatus.value=="enable" 
	    //&& oriDataForm.nicSelect.value!="" && saveform.nicselect.value!=oriDataForm.nicSelect.value){	    
	    //saveform.mgmtnicChanged.value="yes";
	    //if (!confirm("mgmtnicChanged is:" + saveform.mgmtnicChanged.value)) return;
	    //}
	
	if (saveform.managementStatus.value=="enable" ) {
		saveform.managementIP.value = Trim(saveform.managementIP.value);
		if (!ValidateIP(saveform.managementIP.value)) {
			alert(i18n_ipconfig_errmsg2);
			saveform.managementIP.focus();
			return false;
		}
		saveform.managementNetmask.value = Trim(saveform.managementNetmask.value);
		if (!checkIPMaskFormat(saveform.managementNetmask.value, i18n_ipconfig_errmsg3)) {
			//alert(i18n_ipconfig_errmsg3);
			saveform.managementNetmask.focus();
			return false;
		}		

        mgmtIP = saveform.managementIP.value;
        mgmtNetmask = saveform.managementNetmask.value;
	}
	
    if (saveform.managementStatus.value!=oriDataForm.managementStatus.value ||
        (saveform.managementStatus.value=="enable" && 
        ((oriDataForm.nicSelect.value!="" && saveform.nicselect.value!=oriDataForm.nicSelect.value) ||
        ((saveform.managementIP.value!=oriDataForm.managementIP.value || saveform.managementNetmask.value!=oriDataForm.managementNetmask.value)) ||
        saveform.managementEnablePING.value!=oriDataForm.managementEnablePING.value))){

		saveform.managementChanged.value="yes";

        if ( saveform.managementEnablePING.value != oriDataForm.managementEnablePING.value )
            saveform.mgmtPingChanged.value = "yes";
        else
            saveform.mgmtPingChanged.value = "no";

        if ( oriDataForm.nicSelect.value == "" )
            saveform.mgmtNicChanged.value = "yes";            
        else if ( saveform.nicselect.value != oriDataForm.nicSelect.value )
            saveform.mgmtNicChanged.value = "yes";
        else
            saveform.mgmtNicChanged.value = "no";

        if ( saveform.mgmtNicChanged.value != "no" )
            saveform.mgmtIPChanged.value = "yes";
        else if (saveform.managementIP.value!=oriDataForm.managementIP.value || saveform.managementNetmask.value!=oriDataForm.managementNetmask.value)
            saveform.mgmtIPChanged.value = "yes";
        else
            saveform.mgmtIPChanged.value = "no";
	}

    // check if the data interface and mgmt interface is located in the same network segment
    var dataIP   =  "<%=ip%>";
    var dataMask =  "<%=netmask%>";
    var mgmtIP   = saveform.managementIP.value;
    var mgmtMask = saveform.managementNetmask.value;
    var broken   = "no";

    if ( mgmtIP != "" && mgmtMask != "" && dataIP != "" && dataMask != "" )
    {
        if ( chk_same_subnet(dataIP, mgmtIP, dataMask) || chk_same_subnet(dataIP, mgmtIP, mgmtMask) )
            if ( ! confirm(i18n_ipconfig_same_subnet_msg) )
                return;
    }

    // check if the connection will be broken
    if ( document.location.hostname != dataIP && ( ( saveform.managementStatus.value == "enable" && mgmtIP != oriDataForm.managementIP.value ) 
        ||  saveform.managementStatus.value != oriDataForm.managementStatus.value ) )
    {
        broken = "yes";
        confirmMsg = i18n_ipconfig_connection_broken_msg + ' ' + i18n_ipconfig_confirm_msg;
        if ( ! confirm(confirmMsg) )
            return;
    }

	// check if configution is changed and the UI will need to be redirected or not 
    if ( broken == "yes" )
    {
        var oldProtocol = document.location.protocol;
	    var oldPort = document.location.port;
	    var oldHost = document.location.hostname;

        var newHost = "";
        if ( saveform.managementStatus.value == "enable" )
            newHost = mgmtIP;
        else
            newHost = dataIP;

	    parent.tophead.document.forms.saveform.ipconfig.value = "success";
   		parent.tophead.redirectToNewIP(oldProtocol, newHost, oldPort);
    }

    document.saveform.action = "servlet/com.trend.iwss.gui.servlet.ManageIPConfig";  
    document.saveform.submit();        
}
</SCRIPT>
</head>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="init();">

<form name="saveform" method="post" action="">
<input type=hidden name="managementChanged" value="no">
<input type=hidden name="mgmtPingChanged" value="no">
<input type=hidden name="mgmtNicChanged"  value="no">
<input type=hidden name="mgmtIPChanged"  value="no">
<input type=hidden name="pageName"  value="mgmtPage">
<input type=hidden name="op" value="save">

<table cellspacing=0 cellpadding=0 width=98% border=0>
  <tr> 
    <td width="983" class="content-title" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.new_title" /></td>
    <td width="19" align="right" valign="bottom">
      <div align="right"><A href="javascript:openhelpwin('management_interface.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>

  <tr> 
    <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr> 
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>

</table>

<table cellspacing=0 cellpadding=0 width=600 border=0>
  <tr id="trError" style="display:none" valign="top">
    <td class="textbold" align="left"><div id="lErrorMsg"></div></td>
  </tr>
  <tr id="tr1spaceError" style="display:none">
    <td><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>     
</table>
<table width="98%" border="0" cellpadding="0" cellspacing="0">

  <tr>
     <!-- TABS -->
      <td background="images/tab-background.gif"> <table cellpadding="0" cellspacing="0" border="0">
       <tr>
         <td><img src="images/tab_inactive1_left_cui.gif" width="11" height="23" alt="" border="0"></td>
         <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="data_ipConfig.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.data_interface" /></a></td>
         <td><img src="images/tab-inactive-right.gif" width="23" height="23" alt="" border="0"></td>
         <td><img src="images/tab-active2-left.gif" width="11" height="23" alt="" border="0"></td>
         <td background="images/tab-active-background.gif" class="tabactive" valign="top" nowrap><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.management_interface" /></td>
         <td><img src="images/tab-active-right.gif" width="23" height="23" alt="" border="0"></td>
<%if(IWSSInfo.ISURL()){%>
         <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
         <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="webConsole.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.web_console" /></a></td>
         <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
<%}%>
         <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
         <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="SSHConfig.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.remote_cli" /></a></td>
         <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
         <td><img src="images/tab_inactive2_left_cui.gif" width="11" height="23" alt="" border="0"></td>
         <td valign="top" background="images/tab_inactive_background_cui.gif" class="tabinactive" nowrap> <A onMouseOver="this.style.color='#FF0000';"
      style="COLOR: #000000; TEXT-DECORATION: none"
      onmouseout="this.style.color='#000000';"
      href="iwss_config_snmp.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.snmp.upper_snmp" /></a></td>
         <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
       </tr>
      </table></td>
       <td background="images/tab-background.gif" align="right"><img src="images/tab-right-corner.gif" width="6" height="23" alt="" border="0"></td>
      <!-- /TABS -->
  </tr>  

  <tr> 
    <td colspan="2" class="border"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td class="tableheadergrey2" > 
                      <input type="hidden" name="managementStatus" value="disable">
    	              <input type="checkbox" name="cbManagementStatus" value="enable" <%if ("enable".equalsIgnoreCase(managementStatus)) { %> checked <% } %> onClick="mgtCheckboxClicked()">
                                  <i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.mgmt.enable_mgmt_interface" />
                  </td>
                </tr>
                <tr> 
                  <td class="subtitle" ><img src="images/1space_cui.gif" width="1" height="5" ></td>
                </tr>
                <tr> 
                  <td>
                       <tr> 
                         <td width="905" class="data1">
                            <table border="0" cellspacing="0" cellpadding="0">
                               <tr>
                                   <td width="103" class="data1" id="mgmtIntfTitle"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.mgmt.ethernet_interface" /></td>
                                   <td colspan="2" class="data1">
                                        <select name="nicselect" class="button" id="nicselect" onChange="EnableSaveButton();"> 
<%if(!(managementNic.equals(""))){%>                                       
                                          <option value="<%=managementNic %>" selected><%=managementNic %></option>
<%}%>
                                          <% for ( int i = 0; i< freeNics.size(); i++) {%>                                          
                                          <option value="<%=(String)(freeNics.elementAt(i)) %>"><%=(String)(freeNics.elementAt(i)) %></option>
                                          <% } %>                                          
                                        </select>
                                  </td>
                              </tr>

                               <tr>
                                    <td colspan="3" ><img src="images/1space_cui.gif" width="1" height="10"></td>
                               </tr>

                               <tr> 
                                 <td width="103" class="data1" id="lSIpAddrTitle"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.mgmt.static_ip_address" /></td>
                                 <td class="data1" >
                                 <input type="text" name="managementIP" class="button" size="30" value="" maxlength="15" onKeyDown="EnableSaveButton()">
                                 </td>
                               </tr>
                               <tr> 
                                 <td width="103" class="data1" id="lSNetmaskTitle"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.mgmt.netmask" /></td>
                                 <td class="data1">
                                 <input type="text" name="managementNetmask" class="button" size="30" value="" maxlength="15" onKeyDown="EnableSaveButton()">
                                 </td>
                               </tr>
                              </table>
                            </td>
                         </tr>  
                     </td>           
                   </tr>
                   <tr> 
                       <td colspan="3" class="data1">
                         <input type="hidden" name="managementEnablePING" value="no">
                         <input type="checkbox" name="cbManagementEnablePING" value="yes"  <%if ("yes".equalsIgnoreCase(managementEnablePING)) {%> checked <% } %> onClick="EnableSaveButton()"><i18n:message bundleRef="bundleAdmin" key="admin.iwsva_config.mgmt.enable_ping" /></td>
                    </tr>
                    <tr> 
                        <td colspan="3" nowrap>&nbsp;</td>
                    </tr>
                   </table>
           </td>
         </tr>
        </table>
     </td>
   </tr>
</table>
<%if (login_gid == 100) { %>
<table width="98%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="28" valign="bottom">
      <input type="button" class="button" style="width:50px" name="save" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" onClick="javascript:doSave();" disabled>
	  <input type="button" class="button" style="width:50px" name="cancel" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" onClick="javascript:self.location.replace('mgmt_ipConfig.jsp')">
    </td>
  </tr>
</table>
<%}%>
</form>
<form name="oriDataForm" action="">
<input type="hidden" name="managementStatus" value="<%=managementStatus %>">
<input type="hidden" name="managementIP" value="<%=managementIP %>">
<input type="hidden" name="managementNetmask" value="<%=managementNetmask %>">
<input type="hidden" name="managementEnablePING" value="<%=managementEnablePING %>">
<input type="hidden" name="nicSelect" value="<%=managementNic %>">
</form>
</body>
</html>
