#!/usr/bin/env python

# argv[1] = ip address
# argv[2] = port
# argv[3] = APIKEY

__version__ = "0.1"
__all__ = ["test_connection"]
__author__ = "bones7456"
__home_page__ = "http://li2z.cn/"

import os
import posixpath
import socket
import SocketServer
import BaseHTTPServer
import urllib
import httplib
import cgi
import shutil
import mimetypes
import re
import ssl
import hashlib
import time
import random
import datetime
import sys
from socket import setdefaulttimeout
setdefaulttimeout(10)

try:
    from cStringIO import StringIO
except ImportError:
    from StringIO import StringIO

IPAddr=sys.argv[1]
Port=sys.argv[2]
APIkey=sys.argv[3]
UUid=sys.argv[4]
URLBase=sys.argv[5]

def mysha(str1):
    mysha1=hashlib.sha1()
    mysha1.update(str1)
    return mysha1.hexdigest()

class query_blacklist(object):
    headers={"Host":IPAddr,
             "X-DTAS-ProtocolVersion":"1.2",
             "X-DTAS-ClientUUID":UUid,
             "X-DTAS-LastQueryID":"0",
             "X-DTAS-Time":"1308845939",
             "X-DTAS-Challenge":"5e1aa06f-7729-436d-b08d-3d87b3079931",
             "X-DTAS-Checksum":"0"}
    def __init__(self):
        self.headers["X-DTAS-Time"]=str(int(time.time()))
        self.headers["X-DTAS-Challenge"]="5e3aa03f-7729-436d-b08d-3d87b3"+ datetime.datetime.now().strftime('%H%M%S')
        tmpstr=0
        if(os.path.isfile('/etc/iscan/.blacklistid')):
            f=open("/etc/iscan/.blacklistid","r")
            tmpstr = f.read()
            f.close()
        else:
            f=open("/etc/iscan/.blacklistid",'w')
            f.write(str(tmpstr))
            f.close()
        print "blacklist id is "
        print tmpstr
        self.headers["X-DTAS-LastQueryID"]=str(tmpstr)
        
        str1 =  self.headers["X-DTAS-ProtocolVersion"]+\
                self.headers["X-DTAS-ClientUUID"]+\
                self.headers["X-DTAS-LastQueryID"]+\
                self.headers["X-DTAS-Time"]+\
                self.headers["X-DTAS-Challenge"]
        mysha1=hashlib.sha1()
        mysha1.update(APIkey+str1)
        self.headers["X-DTAS-Checksum"]=mysha1.hexdigest()
        
    def sendheaders(self,c):
        c.putrequest("GET", URLBase,"skip_host","skip_accept_encoding")
        c.putheader("Host",self.headers["Host"])
        c.putheader("X-DTAS-ProtocolVersion","1.2")
        c.putheader("X-DTAS-ClientUUID",self.headers["X-DTAS-ClientUUID"])
        c.putheader("X-DTAS-LastQueryID",self.headers["X-DTAS-LastQueryID"])
        c.putheader("X-DTAS-Time",self.headers["X-DTAS-Time"])
        c.putheader("X-DTAS-Challenge",self.headers["X-DTAS-Challenge"])
        c.putheader("X-DTAS-Checksum",self.headers["X-DTAS-Checksum"])
        c.endheaders()
	
def main():
    #c = httplib.HTTPSConnection("10.204.169.33",4440)
    c = httplib.HTTPSConnection(IPAddr,Port)
    obj=query_blacklist()
    obj.sendheaders(c)

    response = c.getresponse()
    print response.status , response.reason
    res_headers = response.getheaders()
    print res_headers
    
    if(response.status==421):
        sys.exit(0)
    elif(response.status==200):
        body = response.read()
        filename = "/etc/iscan/dtas/blk_"+datetime.datetime.now().strftime('%H%M%S')+".xml"
        f=open(filename,"w")
        f.write(body)
        f.close()
        sys.exit(0)
    else:
        sys.exit(1)

    print "end"
    
if __name__ == '__main__':
    main()