<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by: Anthony Chang                                  -->
<!--Date: 12/05/2007                                        -->
<!--Description:                                            -->
<!--File:reboot_progress.jsp                                      -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%
    
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1008);
        if (access != 3)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;
    }

    request.setCharacterEncoding("utf-8");
    response.setCharacterEncoding("utf-8");
    
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
	
	// Initialize System Event Log Constants
	//int modID = 3; //MOD_SYSTEM=3, defined in IWSSSystemeventLogID.h
	//int EVT_SYSEVENT_IWSA_REBOOT_INITIATED = 20412 << 4 + 6; // defined in IWSSSystemeventLogID.h
	
	// Write hardware restart operation information to audit trail and Tomcat logs
	String userid = request.getSession().getAttribute("UserId").toString();
	String comment = ( request.getParameter("comment") );
	comment = new String(comment.getBytes("iso-8859-1"), "UTF-8");
	String logEntry = "Hardware restart performed by: " + userid + " - " + comment;

    try {
    	AuditTrailLogger.getInstance().log(request, logEntry );
    	System.out.println(logEntry);
    } 
    catch (Exception e){
		System.out.println("SystemMaintenance Error in Audit Log: " + e.getMessage());
	}
    
    // Write hardware restart operation to System Event Log
	//IWSSUtil.writeSysEvtLog(EVT_SYSEVENT_IWSA_REBOOT_INITIATED, modID);

    // Create SystemMaintenanceManager instance
    //  JSP inlined for now - we will refactor this out later
    // SystemMaintenanceManager theSMMgr = new SystemMaintenanceManager();
    // theSMMgr.Reboot();
    
    // Access intscan.ini's system maintenance section
    String iniPath = IWSSInfo.GetWorkPath();
	System.out.println("iniPath is:" + iniPath);   
    IWSSINI intscan_ini = new IWSSINI(iniPath+"clihelpercmd.ini"); 
	String sysMaintSect = "system_maintenance_settings";
	
	// Default commands if iniFile doesn't define them
	String uihelperCmd = "/etc/iscan/AdminUI/uihelper";
	String system_rebootCmd = "";
	String system_rebootTimeout = "";
	String system_rebootTimeoutCmd = "";
	String system_rebootWait = "";
	
	if(null != intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_command"))
		system_rebootCmd = intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_command");

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_timeout"))
		system_rebootTimeout = intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_timeout");

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_timeout_command"))
		system_rebootTimeoutCmd = intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_timeout_command");

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_wait"))
		system_rebootWait = intscan_ini.GetKeyValue(sysMaintSect, "system_reboot_wait") + "000"; // secs to msecs
	System.out.println("system_rebootWait is:" + system_rebootWait);

	system_rebootTimeoutCmd = "sleep " + system_rebootTimeout + ";" + system_rebootTimeoutCmd;

	// Exec system reboot timeout command in the background
	//	String type = "admin";
	//	IWSSUtil.exeUihelperCmd(type, system_rebootTimeoutCmd); // need a non-waiting version
	String token = UIHelperToken.getToken(request);
	try {
		String[] cmdStr = { uihelperCmd, system_rebootTimeoutCmd, token};
		System.out.println("system_rebootTimeoutCmd is:" + system_rebootTimeoutCmd);
		Process cmdp = Runtime.getRuntime().exec(cmdStr, null, null);
		//int rc = cmdp.waitFor(); // can't wait
		//System.out.println("*** "+ type +" command exit value: " + rc);
		//return rc;
	} catch (Exception e) {
		System.out.println("Error from command: " + e.toString());
		//return -1;
	}

	// Exec main system reboot command
	//	IWSSUtil.exeUihelperCmd(type, system_rebootCmd); // need a non-waiting version
	try {
		String[] cmdStr = { uihelperCmd, system_rebootCmd, token };
		System.out.println("system_rebootCmd is:" + system_rebootCmd);
		Process cmdp = Runtime.getRuntime().exec(cmdStr, null, null);
		//int rc = cmdp.waitFor(); // can't wait
		//System.out.println("*** "+ type +" command exit value: " + rc);
		//return rc;
	} catch (Exception e) {
		System.out.println("Error from command: " + e.toString());
		//return -1;
	}

%>

<html>
<head>
<title>HTTP Configuration</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
redirTime = <%=system_rebootWait%>;//"10000";
redirURL = "logout.jsp";
function redirTimer() { self.setTimeout("self.location.href = redirURL;",redirTime); }
//  End -->
</script>
</head>

<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="redirTimer();">

<table cellspacing="0" cellpadding="0" width="98%" border="0">
  <tr>
    <td height="10" colspan="2"><table cellspacing="0" cellpadding="0" width="100%" border="0">
      <tr>
        <td width="983" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.reboot.title" /></td>
      </tr>
      <tr>
        <td colspan="2" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
      </tr>
      <tr>
        <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
      </tr>
    </table>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border">
          <tr>
            <td colspan="2" class="tableheader"><i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.reboot.title" /></td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td width="4%" align="right"><img src="images/icons_warning_cui.gif" width="30" height="28"></td>
            <td width="96%" class="data1"><span class="textbold"><i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.reboot.please_wait" /><a href="license.htm"></a> </span></td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td class="data1"><img src="images/inProgress.gif" width="418" height="25"></td>
          </tr>
          <tr>
            <td colspan="2"><img src="images/1space.gif" width="1" height="10"></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td class="data1"><strong><i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.reboot.note_sem" /></strong> <i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.reboot.refresh" /> </td>
          </tr>
      </table></td>
  </tr>
  <tr>
    <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
</body>
</html>
