<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by: Anthony Chang                                  -->
<!--Date: 12/05/2007                                        -->
<!--Description:                                            -->
<!--File:shutdown_progress.jsp                                      -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo");
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1008);
        if (access != 3)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;
    }

    request.setCharacterEncoding("utf-8");
    response.setCharacterEncoding("utf-8");

    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");

	// Initialize System Event Log Constants
	//int modID = 3; //MOD_SYSTEM=3, defined in IWSSSystemeventLogID.h
	//int EVT_SYSEVENT_IWSA_SHUTDOWN_INITIATED = 20411 << 4 + 6; // defined in IWSSSystemeventLogID.h

	// Write hardware shutdown operation information to audit trail and Tomcat logs
    String userid = request.getSession().getAttribute("UserId").toString();
	String comment = ( request.getParameter("comment") );
	comment = new String(comment.getBytes("iso-8859-1"), "UTF-8");
	String logEntry = "System Shutdown performed by: " + userid + " - " + comment;

    try {
    	AuditTrailLogger.getInstance().log(request, logEntry );
    	System.out.println(logEntry);
    }
    catch (Exception e){
		System.out.println("SystemMaintenance Error in Audit Log: " + e.getMessage());
	}

	// Write hardware shutdown operation to System Event Log
	//IWSSUtil.writeSysEvtLog(EVT_SYSEVENT_IWSA_SHUTDOWN_INITIATED, modID);

    // Create SystemMaintenanceManager instance
    //  JSP inlined for now - we will refactor this out later
    //SystemMaintenanceManager theSMMgr = new SystemMaintenanceManager();
    //theSMMgr.Shutdown();

    // Access clihelpercmd.ini's system maintenance section
    String iniPath = IWSSInfo.GetWorkPath();
	System.out.println("iniPath is:" + iniPath);
    IWSSINI intscan_ini = new IWSSINI(iniPath + "clihelpercmd.ini");
	String sysMaintSect = "system_maintenance_settings";

	// Default commands if iniFile doesn't define them
	String uihelperCmd = "/etc/iscan/AdminUI/uihelper";
	String shutdownCmd = "";
	String shutdownTimeout = "";
	String shutdownTimeoutCmd = "";
	String shutdownWait = "";

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "shutdown_command"))
		shutdownCmd = intscan_ini.GetKeyValue(sysMaintSect, "shutdown_command");
	System.out.println("shutdownCmd is:" + shutdownCmd);

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "shutdown_timeout"))
		shutdownTimeout = intscan_ini.GetKeyValue(sysMaintSect, "shutdown_timeout");

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "shutdown_timeout_command"))
		shutdownTimeoutCmd = intscan_ini.GetKeyValue(sysMaintSect, "shutdown_timeout_command");

	if(null != intscan_ini.GetKeyValue(sysMaintSect, "shutdown_wait"))
		shutdownWait = intscan_ini.GetKeyValue(sysMaintSect, "shutdown_wait") + "000"; // secs to msecs
	System.out.println("shutdownWait is:" + shutdownWait);

	shutdownTimeoutCmd = "sleep " + shutdownTimeout + ";" + shutdownTimeoutCmd;

	System.out.println("shutdownTimeoutCmd: " + shutdownTimeoutCmd);

	// Exec system shutdown timeout command in the background
	//	String type = "admin";
	//	IWSSUtil.exeUihelperCmd(type, shutdownTimeout); // need a non-waiting version
  String token = UIHelperToken.getToken(request);
	try {
		String[] cmdStr = { uihelperCmd, shutdownTimeoutCmd, token };
		System.out.println("shutdownTimeoutCmd is:" + uihelperCmd + " " + shutdownTimeoutCmd);
		Process cmdp = Runtime.getRuntime().exec(cmdStr, null, null);
		//int rc = cmdp.waitFor(); // can't wait - Tomcat user thread will block
		//System.out.println("*** "+ type +" command exit value: " + rc);
		//return rc;
	} catch (Exception e) {
		System.out.println("Error from command: " + e.toString());
		//return -1;
	}

	// Exec main system shutdown command
	//	IWSSUtil.exeUihelperCmd(type, shutdownCmd); // need a non-waiting version
	try {
		String[] cmdStr = { uihelperCmd, shutdownCmd, token };
		System.out.println("shutdownCmd is:" + uihelperCmd + " " + shutdownCmd);
		Process cmdp = Runtime.getRuntime().exec(cmdStr, null, null);
		//int rc = cmdp.waitFor(); // can't wait
		//System.out.println("*** "+ type +" command exit value: " + rc);
		//return rc;
	} catch (Exception e) {
		System.out.println("Error from command: " + e.toString());
		//return -1;
	}

%>

<html>
<head>
<title>Login</title>
<link href="html/top.css" rel="stylesheet" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script language="JavaScript" type="text/JavaScript">
<!--
//-->

<!-- Script to put cursor into the first form field -->
<!-- Begin
function toForm() {
document.form.userid.focus();
}
//  En
//-->
</script>
<SCRIPT LANGUAGE="JavaScript">
<!-- Begin
redirTime = <%=shutdownWait%>;
redirURL = "admin_sys_maint_shutdown_msg.htm";

function redirTimer() {
	self.setTimeout("uponshutdown();",redirTime);
}
// self.setTimeout("self.location.href = redirURL;",redirTime); }
//  End -->

<%
  String shutdown_title = MessageResourcesMgr.mrAdmin.getMessage("admin.sys_maintenance.shutdown.successful");
  String shutdown_message = MessageResourcesMgr.mrAdmin.getMessage("admin.sys_maintenance.shutdown.power_up");
%>

function uponshutdown() {
	document.getElementById('icon').src = 'images/icon_valid_cui_big.gif';
	document.getElementById('title').innerHTML = "<%=shutdown_title%>";
	document.getElementById('trows').innerHTML = "";
	document.getElementById('message').innerHTML = "<strong>&nbsp;" + "<%=shutdown_message%>" + "</strong>";
	//alert("Rebooted");
}

function preloader()
{
	afterShutdownImage = new Image();
	afterShutdownImage.src = "images/icon_valid_cui_big.gif";
}
</script>

</head>
<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0" onLoad="redirTimer();preloader()">
<FORM  NAME="form" METHOD="POST" ACTION="#">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td background="images/os_topbarback.gif"><img src="images/iwsva_banner.gif" width="508" height="44"></td>
    <td width="100%" background="images/os_topbarback.gif"></td>
  </tr>
</table>
<table width="100%" height="70%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td align="center"><table cellspacing=0 cellpadding=0 width=50% border=0>
      <tr>
        <td height="10" colspan="2"><table cellspacing=0 cellpadding=0 width=100% border=0>

            <tr>
              <td width="1002" height="10"><img src="images/1space_cui.gif" width="1" height="10"></td>
            </tr>
          </table>
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="border" >
              <tr >
                <td colspan="2" class="tableheader" ><div id="title"><i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.shutdown.title" /></div></td>
              </tr>
              <tr >
                <td colspan="2" ><img src="images/1space.gif" width="1" height="10"></td>
              </tr>
              <tr >
                <td width="4%" align="right" ><img id="icon" src="images/icons_warning_cui.gif" width="30" height="28"></td>
                <td width="96%" class="data1"><div id="message"><span class="textbold"><i18n:message bundleRef="bundleAdmin" key="admin.sys_maintenance.shutdown.please_wait" />
                  </span></div></td>
              </tr>
              <tr >
                <td colspan="2" ><img src="images/1space.gif" width="1" height="10"></td>
              </tr>

              <tr >
                <td colspan="2" >
					<div id="trows">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr class="border" >
								<td >&nbsp;</td>
								<td class="data1"><img src="images/inProgress.gif" width="418" height="25" id="bar2"></td>
							</tr>
			                <tr class="border" >
								<td colspan="2" ><img src="images/1space.gif" width="1" height="10"></td>
							</tr>
						</table>
					</div>
				</td>
              </tr>
          </table></td>
      </tr>
      <tr>
        <td height="10" colspan="2"><img src="images/1space_cui.gif" width="1" height="10"></td>
      </tr>
    </table></td>
  </tr>
</table>

</FORM>
</body>
</html>
