<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%

    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }

    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1004);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;    
    }


    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");

    boolean bBridgeMode = false;

    String token = UIHelperToken.getToken(request);

    if(IWSSInfo.GetKeyValue("bridge","bridgemode").compareToIgnoreCase("1")==0)
    {
    	bBridgeMode = true;
    }

    String managementStatus="disable";
    try {
		CLIResult res = CLICommandExecuter.exec("show network mgmt interface", token);
		managementStatus = res.getKeyValue("Management interface");
		if (managementStatus == null)
			managementStatus = "disable";
		}catch (CLIException e) {
		// something wrong
	}

    String action = request.getParameter("action");
    String errcode = request.getParameter("errcode");

    String dataNic = IWSSJNI.GetDataNic();
    String mgmtNic = IWSSJNI.GetMgmtNic();
    String SRouteSettingsData = "";
    String SRouteSettingsMgmt = "";
    String SRouteSettings = "";

    if (dataNic.length() > 0 )
        SRouteSettingsData = IWSSJNI.GetSRouteSettings(dataNic);
    if (mgmtNic.length() > 0 )
        SRouteSettingsMgmt = IWSSJNI.GetSRouteSettings(mgmtNic);

    if ((SRouteSettingsData != null && SRouteSettingsData.length() > 0 ) && (SRouteSettingsMgmt != null && SRouteSettingsMgmt.length() > 0))
    {
        SRouteSettings = SRouteSettingsData + "-" + SRouteSettingsMgmt;
    }
    else if (SRouteSettingsData == null || SRouteSettingsData.length() <= 0)
        SRouteSettings = SRouteSettingsMgmt;
    else if (SRouteSettingsMgmt == null || SRouteSettingsMgmt.length() <= 0)
        SRouteSettings = SRouteSettingsData;

    String ManageIPInfo = IWSSJNI.GetManageIPInfo();
    System.out.println("ManageIPInfo: " + ManageIPInfo);

    String netid = request.getParameter("netid");
    String router = request.getParameter("router");
    String netmask = request.getParameter("netmask");
    String newport = request.getParameter("port");

    String oldnetid = request.getParameter("oldnetid");
    String oldrouter = request.getParameter("oldrouter");
    String oldnetmask = request.getParameter("oldnetmask");
    String oldport = request.getParameter("oldport");
%>
<html>
<head>
<title>Edit Static Route</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/vlan_func.js"></SCRIPT>	
<script language="JavaScript" src="../html/check.js"></script>
<SCRIPT LANGUAGE="JavaScript">
<!--

function on_load()
{
    if ("<%=errcode%>" != "null" && "<%=errcode%>" != ERROR_NOERROR)
	{
		var errmsg = "";

		switch("<%=errcode%>")
		{
			//refer to IWSSJNI.cpp definitions (vlan_func.js)

			case ERROR_NOT_FOUND:
				//errmsg = i18n_item_not_found;
				location.replace(document.saveform.fromurl.value);
				return;
			case ERROR_GENERIC:
				errmsg = i18n_generic_errmsg;
				break;
			case ERROR_EMPTY_STRING:
				//errmsg = i18n_empty_input;
				location.replace(document.saveform.fromurl.value);
				return;
			case ERROR_EXISTED:
				//errmsg = i18n_item_existed;
				location.replace(document.saveform.fromurl.value);
				return;
			case ERROR_NO_SROUTE_SLOT:
				errmsg = i18n_max_num_sroute;
				break;
			case ERROR_INVALID_INPUT:
				//errmsg = i18n_invalid_input;
				location.replace(document.saveform.fromurl.value);
				return;
			default:
				errmsg = i18n_generic_errmsg;
				break;
		}

		document.getElementById ('error_msg').innerHTML = '<b><font color=red>' + errmsg + '</font></b>';
		document.getElementById ('error_tr').style.display = '';
		document.getElementById ('error_lspace_tr').style.display = '';
	}
	else
	{
		document.getElementById ('error_tr').style.display = 'none';
		document.getElementById ('error_lspace_tr').style.display = 'none';
	}

	if ("<%=action%>" == "modify" || ("<%=errcode%>" != "null" && "<%=errcode%>" != "0"))
	{
		document.saveform.netid.value="<%=netid%>";
		document.saveform.netmask.value="<%=netmask%>";
		document.saveform.router.value="<%=router%>";
		document.saveform.port.value="<%=newport%>";

		document.saveform.oldnetid.value="<%=oldnetid%>";
		document.saveform.oldnetmask.value="<%=oldnetmask%>";
		document.saveform.oldrouter.value="<%=oldrouter%>";
		document.saveform.oldport.value="<%=oldport%>";
	}

	document.getElementById ('edit_table').style.display = '';
	document.getElementById ('button_table').style.display = '';

	saveBtn();
}

function on_submit()
{
	document.saveform.save.disabled = true;

/* 	if (!chk_ip(document.saveform.netid.value))
	{
		alert(i18n_sroute_invalid_netid);

		document.saveform.save.disabled = false;

		return;
	}

	if (!chk_mask(document.saveform.netmask.value))
	{
		alert(i18n_sroute_invalid_netmask);

		document.saveform.save.disabled = false;

		return;
	}

	if (!chk_net_mask(document.saveform.netid.value, document.saveform.netmask.value))
	{
		alert(i18n_sroute_netid_include_netmask);

		document.saveform.save.disabled = false;

		return;
	}

	if (!chk_ip(document.saveform.router.value))
	{
		alert(i18n_sroute_invalid_router);

		document.saveform.save.disabled = false;

		return;
	} */
	
	//add ipv6 route check 
	
	if (chk_ip(document.saveform.netid.value))
	{
		if(!checkAdd(document.saveform.netid.value,document.saveform.netmask.value, document.saveform.router.value, document.saveform.port.value))
		{document.saveform.save.disabled = false;
		return ;}
	}else if(ValidateIPv6(document.saveform.netid.value))
	{
		if(!checkAdd_ipv6(document.saveform.netid.value,document.saveform.netmask.value, document.saveform.router.value, document.saveform.port.value))
			{document.saveform.save.disabled = false;
		return ;}
		
	}else {
		alert(i18n_sroute_invalid_netid);
		{document.saveform.save.disabled = false;
		return false;}
	}

	var sroutesettings = "<%=SRouteSettings%>";

	var SRouteTable = new Array();

	SRouteTable = sroutesettings.split("-");

	if(document.saveform.netid.value != document.saveform.oldnetid.value || document.saveform.netmask.value != document.saveform.oldnetmask.value)
	{
		//check for static route existed
		for(var i = 0; i < SRouteTable.length; i++)
		{
			//netid, router, netmask, interface, id
			var SRouteElem = new Array();

			//network_primary static_route
			SRouteElem = SRouteTable[i].split("|");

			if (SRouteElem[0] == document.saveform.netid.value &&
			 	SRouteElem[2] == document.saveform.netmask.value)
			{
				alert(i18n_sroute_the_same);

				document.saveform.save.disabled = false;

				return;
			}
		}
	}

	//check for static route maximun size
	if (SRouteTable.length > max_static_route ||
	 	(SRouteTable.length == max_static_route && "<%=action%>" == "add"))
	{
		alert(i18n_max_num_sroute);

		document.saveform.save.disabled = false;

		return;
	}

	if ("<%=action%>" == "modify")
	{
    	document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageSRouteSettings?action=modify";
    }
	else
	{
		document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageSRouteSettings?action=add";
    }

    setTimeout( "document.saveform.submit()", 100 );

    return;
}

function saveBtn()
{
	var index = 0;
	if (document.getElementById("interface_vlanid_sel").selectedIndex >= 0)
		index = document.getElementById("interface_vlanid_sel").selectedIndex;

	if (document.saveform.netid.value != "" && document.saveform.netmask.value != "" && document.saveform.router.value != ""
	   &&(document.saveform.netid.value + document.saveform.netmask.value
	       + document.saveform.router.value + document.getElementById("interface_vlanid_sel").value)
	   != (document.saveform.oldnetid.value + document.saveform.oldnetmask.value
	       + document.saveform.oldrouter.value + document.saveform.oldport.value))
	{
		document.saveform.save.disabled = false;
	}
}

function generate_interface_vlanid()
{
	var sroutesettings = "<%=SRouteSettings%>";
	var datanic = "<%=dataNic%>";
	var mgmtnic = "<%=mgmtNic%>";
	var mgmtstatus = "<%=managementStatus%>";
	var bbridgemode = "<%=bBridgeMode%>";
	var optionstr = "";

	if(bbridgemode == "false"){
		optionstr += "<option value=" + datanic + "<%if(oldport.equalsIgnoreCase(dataNic)) { %> selected <% } %>" + ">" + i18n_sroute_proxy + "</option>";
		}
	if(bbridgemode == "true"){
		optionstr += "<option value=" + datanic + "<%if(oldport.equalsIgnoreCase(dataNic)) { %> selected <% } %>"  + ">" + i18n_sroute_bridge + "</option>";
		}
	if(mgmtstatus == "enable"){
		optionstr += "<option value=" + mgmtnic + "<%if(oldport.equalsIgnoreCase(mgmtNic)) { %> selected <% } %>"  + ">" + i18n_sroute_mgmt + "</option>";
		}
	document.write(optionstr);
}

//for ipv4 and ipv6
function checkAdd(net, mask, router, port)
//function checkAdd(mask, router, port)
{
	
	if (!chk_mask(mask))
	{
		alert(i18n_sroute_invalid_netmask);
		return false;
	}

	if (!chk_net_mask(net, mask))
	{
		alert(i18n_sroute_netid_include_netmask);
		return false;
	}

	if (!chk_ip(router))
	{
		alert(i18n_sroute_invalid_router);
		return false;
	}
	/* if (!chk_route(router, port))
	{
		alert(i18n_sroute_router_not_reachable);
		return false;
	} */
	return true;
}

function checkAdd_ipv6(net, mask, router, port)
//function checkAdd_ipv6(mask, router, port)
{
   

	if (!isWithinRange(mask, 0, 128))
	{
		alert(i18n_sroute_invalid_netmask);
		return false;
	}
	

	if (!ValidateIPv6(router))
	{
		alert(i18n_sroute_invalid_router);
		return false;
	}
	/* if (!chk_route_ipv6(router, port))
	{
		alert(i18n_sroute_router_not_reachable);
		return false;
	} */
	return true;
}

<% String ipv4mngt="";
   String ipv4data="";
   String ipv4mmask="";
   String ipv4dmask="";
	try{
		CLIResult res = CLICommandExecuter.exec("show network mgmt interface", token);
		ipv4mngt = res.getKeyValue("IP address");
		ipv4mmask = res.getKeyValue("Network mask");
		res = CLICommandExecuter.exec("show network data interface", token);
		ipv4data = res.getKeyValue("IP Address");
		ipv4dmask = res.getKeyValue("Netmask");
	}catch (CLIException e){}
%>
function chk_route(router, port)
{
	//Get nic IP/mark of the port from session
	var nicIP;
	var mask;
	if(document.saveform.port.value == 'Management')
	{
	
		nicIP ="<%=ipv4mngt%>";
		mask ="<%=ipv4mmask%>";
	}
	else
	{
		nicIP ="<%=ipv4data%>";
		mask ="<%=ipv4dmask%>";

	}

	//router should be in the same network with its NIC's IP
    return  (dot_to_num(nicIP) & dot_to_num(mask)) == (dot_to_num(router) & dot_to_num(mask));
}
//get data and mgmt
<% String ipv6mngt="";
	String ipv6data="";
		try{
			CLIResult res = CLICommandExecuter.exec("show network mgmt interface", token);
			ipv6mngt = res.getKeyValue("IPV6 address");
			res = CLICommandExecuter.exec("show network data interface", token);
			ipv6data = res.getKeyValue("IPV6 Address");
		}catch (CLIException e){}
%>
function chk_route_ipv6(router, port)
{
	//Get nic IP/mark of the port from session
	var nicIP;
	var mask;
	var ipv6arr = new Array();
	var ipv6prefix="";
	if(document.saveform.port.value == 'Management')
	{
	
		ipv6prefix="<%=ipv6mngt%>";
    	//network_primary static_route
		if(ipv6prefix!=null && ipv6prefix!="")
		ipv6arr = ipv6prefix.split("/");

		nicIP = ipv6arr[0];
		mask = ipv6arr[1];
	}
	else
	{
		ipv6prefix="<%=ipv6data%>";
		if(ipv6prefix!=null && ipv6prefix!="")
			ipv6arr = ipv6prefix.split("/");

			nicIP = ipv6arr[0];
			mask = ipv6arr[1];

	}
   	//router should be in the same network with its NIC's IP
	//***************
	 // fix
	//***************//
	
    var ret1 = address_and_netmask_ipv6(nicIP,mask);
	var ret2 = address_and_netmask_ipv6(router,mask);
	
	return(compare_ipv6_array(ret1,ret2));
	
	
}

//-->
</script>
</head>
<body style="padding-left:10px; padding-top:10px;" onLoad="on_load();">
<form method="post" name="saveform">
<input type=hidden name="op" value="sroutemanage">
<input type=hidden name="fromurl" value="/staticRoutes.jsp">
<input type=hidden name="failoverurl" value="/staticRouteEdit.jsp">
<input type=hidden name="port" value="">
<input type=hidden name="oldnetid" value="">
<input type=hidden name="oldrouter" value="">
<input type=hidden name="oldnetmask" value="">
<input type=hidden name="oldport" value="">

<table cellspacing=0 cellpadding=0 width=540 border=0>
	<tr>
<%if (request.getParameter("action") != null && request.getParameter("action").compareToIgnoreCase("modify") == 0){%>
		<td width="92%" class="content-title" id="page_top"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.modify" /> </td>
<%}else{%>
    	<td width="92%" class="content-title" id="page_top"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.add_static_route" /> </td>
<%}%>
    <td width="77" valign="bottom">
      <div align="right"><a href="javascript:openhelpwin('static_routes.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr id="error_tr" style="display:none" valign="top">
    <td width=5% colspan="3"><img src="images/icons_error.gif" border="0" width="22px" height="19px"></td><td width=95% ><div id="error_msg"></div></td>
  </tr>
  <tr id="error_lspace_tr" style="display:none">
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<table id="edit_table" style="display:none" cellpadding="0" cellspacing="0" border="0" width="540" class="border">
	<tr>
		<td class="tableheadergrey" colspan="3"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.static_route_setting" /> </td>
	</tr>
	<tr>
		<td colspan="3">
		    <table border="0" cellpadding="0" cellspacing="0">
          	<tr>
            	<td width="10%"  nowrap="nowrap" class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.network_id" /> </td>
            	<td ><input type="text" name="netid" id="netid" ctype="IPADDR" class="text" size="30" maxlength="40" onKeyUp="saveBtn();" onMouseDown="saveBtn();"/></td>
          	</tr>
          	<tr>
            	<td class="data1"  nowrap="nowrap"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.netmask" /> </td>
            	<td ><input type="text" name="netmask" id="netmask" ctype="NETMASK" class="text" size="30" maxlength="15" onKeyUp="saveBtn();" onMouseDown="saveBtn();" onBlur="blurText(this,'<i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.default_mask" />');" onfocus="focusText(this,'<i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.default_mask" />');" value="<i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.default_mask" />" /></td>
          	</tr>
          	<tr>
            	<td class="data1"  nowrap="nowrap"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.router" /> </td>
            	<td ><input type="text" name="router" id="router" ctype="IPADDR" class="text" size="30" maxlength="40" onKeyUp="saveBtn();" onMouseDown="saveBtn();"/></td>
          	</tr>
          	</table>
       	</td>
	</tr>
	<tr>
	  	<td colspan="3" height=10></td>
  	</tr>
  	<tr>
		<td class="tableheadergrey2" colspan="3"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.bind_to" /> </td>
	</tr>
	<tr>
	  	<td colspan="3">
	  		<table border="0" cellpadding="0" cellspacing="0">
        	<tr>
          		<td nowrap="nowrap" class="data1"><label for="rnw"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static_edit.interface" /> </label></td>
          		<td >
          			<select name= "interface_vlanid_sel" id="interface_vlanid_sel" class="text" style="width:150" onChange="saveBtn();">
          			<script> generate_interface_vlanid();</script>
          			</select>
          		</td>
        	</tr>
        	</table>
	  	</td>
  	</tr>
	<tr>
	  <td colspan="3" height=10></td>
    </tr>
</table>

<table id="button_table" style="display:none" cellpadding="0" cellspacing="0" border="0" width="540">
	<tr><td height="10"><img src="images/1space_cui.gif" width="1" height="1" alt=""></td></tr>
<%if (access == 3) { %>
	<tr>
		<td>
			<input type="Button" class="button" name="save" onClick="on_submit();" id="save_button" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled>
			<input type="Button" class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />" onClick="javascript:location.replace(document.saveform.fromurl.value);">
		</td>
	</tr>
<%}%>
</table>
</form>
</body>
</html>
