<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Created by: John Shih                                   -->
<!--Date: 05/25/2007                                        -->
<!--Description:                                            -->
<!--Add Online Help Link                                    -->
<!--File:staticRoutes.jsp                                   -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
	
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    
    AdministrationAccount accountinfo = (AdministrationAccount)request.getSession().getAttribute("AccountInfo"); 
    AdministrationRole roleinfo = null;
    int access = 0;
    if(accountinfo != null)
    {
        roleinfo = accountinfo.getRole();
        access = roleinfo.getAccessRightByKeyID(1004);
        if (access == 0)
        {
            response.sendRedirect("logon.jsp");
            return;
        }
    }
    else
    {
        response.sendRedirect("logon.jsp");
        return;    
    }

    
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
    
    boolean bBridgeMode = false; 
	
    if(IWSSInfo.GetKeyValue("bridge","bridgemode").compareToIgnoreCase("1")==0) 
    {
    	bBridgeMode = true;
    }

    String token = UIHelperToken.getToken(request);
    
    String managementStatus="disable";   
    try {
		//CLIResult res = CLICommandExecuter.exec("show mgmt status");
		CLIResult res = CLICommandExecuter.exec("show network mgmt interface", token);
		managementStatus = res.getKeyValue("Management interface");
		if (managementStatus == null)
			managementStatus = "disable";
		}catch (CLIException e) {
		// something wrong
	}
    
    String errcode = request.getParameter("errcode");
    
    String dataNic = IWSSJNI.GetDataNic();
    String mgmtNic = IWSSJNI.GetMgmtNic();
    String SRouteSettingsData = "";
    String SRouteSettingsMgmt = ""; 
    String SRouteSettings = "";   
   
    if (dataNic.length() > 0 )
        SRouteSettingsData = IWSSJNI.GetSRouteSettings(dataNic);
    if (mgmtNic.length() > 0 )
        SRouteSettingsMgmt = IWSSJNI.GetSRouteSettings(mgmtNic);
      
    if ((SRouteSettingsData != null && SRouteSettingsData.length() > 0 ) && (SRouteSettingsMgmt != null && SRouteSettingsMgmt.length() > 0))
    {    
        SRouteSettings = SRouteSettingsData + "-" + SRouteSettingsMgmt;
    }
    else if (SRouteSettingsData == null || SRouteSettingsData.length() <= 0)
        SRouteSettings = SRouteSettingsMgmt;
    else if (SRouteSettingsMgmt == null || SRouteSettingsMgmt.length() <= 0)
        SRouteSettings = SRouteSettingsData;                
%>
<html>
<head>
<title>Static Routes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/vlan_func.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
<!--

var ErrorCode = "<%=errcode%>";

var data_array = new Array();

var deployerror = 0;

function MM_goToURL() { //v3.0
  var i, args=MM_goToURL.arguments; document.MM_returnValue = false;
  for (i=0; i<(args.length-1); i+=2) eval(args[i]+".location='"+args[i+1]+"'");
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function on_load()
{	
    document.saveform.deploy.disabled = false;	
	
	document.getElementById ('settings_table').style.display = '';
	
	if (("<%=errcode%>" != "null" && "<%=errcode%>" != ERROR_NOERROR) || deployerror)
	{
		var errmsg = "";
		
		if (deployerror)
		{
			errmsg = i18n_deploy_errmsg;
		}
		else
		{
			switch("<%=errcode%>")
			{
				//refer to IWSSJNI.cpp definitions (vlan_func.js)
				
				case ERROR_NOT_FOUND:
					//errmsg = i18n_item_not_found;
					break;
				case ERROR_GENERIC:
					errmsg = i18n_generic_errmsg;
					break;					
				case ERROR_EMPTY_STRING:
					//errmsg = i18n_empty_input;
					break;		
				case ERROR_EXISTED:
					//errmsg = i18n_item_existed;
					break;					
				case ERROR_NO_SROUTE_SLOT:
					errmsg = i18n_max_num_sroute;
					break;	
				case ERROR_INVALID_INPUT:
					//errmsg = i18n_invalid_input;
					break;											
				default:
					errmsg = i18n_generic_errmsg;
					break;
			}
		}
		
		document.getElementById ('error_msg').innerHTML = '<b><font color=red>' + errmsg + '</font></b>';
		document.getElementById ('error_tr').style.display = '';
		document.getElementById ('error_lspace_tr').style.display = '';
	}
	else 
	{
		document.getElementById ('error_tr').style.display = 'none';
		document.getElementById ('error_lspace_tr').style.display = 'none';
	}
}

function do_add()
{
	  
		if (data_array.length >= max_static_route){
		alert(i18n_max_num_sroute);
		return false;
	}	
	
	document.saveform.action="staticRouteEdit.jsp?action=add";
    
    setTimeout( "document.saveform.submit()", 100 );    	
}

function do_delete()
{
    if(confirm(i18n_confirm_del_sroute)==false) return;
    
    if(generate_deletelist()==false) return;    

    document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageSRouteSettings?action=deletelist";
    
    setTimeout( "document.saveform.submit()", 100 );  
     
}

function do_deploy()
{
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageSRouteSettings?action=deploy";
    setTimeout( "document.saveform.submit()", 100 );    
}

function check_id(i)
{
	document.saveform.netid.value=document.saveform.oldnetid.value=data_array[i][0];
	document.saveform.netmask.value=document.saveform.oldnetmask.value=data_array[i][1];
	document.saveform.router.value=document.saveform.oldrouter.value=data_array[i][2];
	document.saveform.port.value=document.saveform.oldport.value=data_array[i][3];

	
	document.saveform.action="staticRouteEdit.jsp?action=modify";
    
    setTimeout( "document.saveform.submit()", 100 );    	
}

function generate_table()
{
	var sroutesettings = "<%=SRouteSettings%>";	
	var datanic = "<%=dataNic%>";
	var mgmtnic = "<%=mgmtNic%>";
	var mgmtstatus = "<%=managementStatus%>";
	var bbridgemode = "<%=bBridgeMode%>";
    
	if(sroutesettings == ''){
		return false;
	}		
	
	var SRouteTable = new Array();	
	
	SRouteTable = sroutesettings.split("-");
	
	for(var i = 0; i < SRouteTable.length; i++)
	{	
		//netid, router, netmask, interface, option
		var SRouteElem = new Array();
	
		//network_primary static_route
		SRouteElem = SRouteTable[i].split("|");
		
		//after swap, SRouteElem[1] is netmask, SRouteElem[2] is router;
		var temp = SRouteElem[2];
		SRouteElem[2] = SRouteElem[1];
		SRouteElem[1] = temp;			
		
		var portidoption = new Array();
		portidoption = SRouteElem[3].split(" ");
		
		SRouteElem[3] = portidoption[0];
		SRouteElem[4] = portidoption[1];									
		
		data_array[i] = SRouteElem;				
	}	
	var mod;
	var output;
	output = '';
	
	for(var i=0;i<data_array.length;i++){	
		mod = i % 2;
		output += '<tr>';
		output += '<td class="';
		if(mod == 0){
			output += 'data1b';
		} else {
			output += 'data2b';
		}
		output += '"><input id="cb_';
		output += i;
		output += '" type="Checkbox" onClick="select_all();"></td>';
		output += '<td width="120"  class="';
		
		if(mod == 0){
			output += 'data1b';
		} else {
			output += 'data2b';
		}
		output += '"><a href="#" onClick="check_id(';
		output += i;
		output += ');" id="id_';
		output += i;
		output += '">';

		if (data_array[i][4] == "1")
		{
			deployerror = 1;
			output += '<strong style="color:red">';				
		}
		
		output += data_array[i][0];
				
		if (data_array[i][4] == "1")
			output += ' *</strong>';
		
		output += '</a></td>';
		output += '<td width="120" id="netmask_';
		output += i;
		output += '" class="';
		if(mod == 0){
			output += 'data1b';
		} else {
			output += 'data2b';
		}
		output += '">';
		output += data_array[i][1];
		output += '</td>';
		output += '<td width="120" id="router_';
		output += i;
		output += '" class="';
		if(mod == 0){
			output += 'data1b';
		} else {
			output += 'data2b';
		}
		output += '">';
		output += data_array[i][2];
		output += '</td>';
		output += '<td width="120" id="interface_';
		output += i;
		output += '" class="';
		if(mod == 0){
			output += 'data1b';
		} else {
			output += 'data2b';
		}
		output += '">';
        
		if((bbridgemode == "false") && (data_array[i][3] == datanic)){
			output += i18n_sroute_proxy;
		} else if((bbridgemode == "true") && (data_array[i][3] == datanic)){
			output += i18n_sroute_bridge;
		} else if((mgmtstatus == "enable") && (data_array[i][3] == mgmtnic)){
			output += i18n_sroute_mgmt;
		}
		output += '</td>';
		output += '<td width="200" id="option_';
		output += i;
		output += '" class="';
		if(mod == 0){
			output += 'data1b';
		} else {
			output += 'data2b';
		}
		output += '">';
		
			if(data_array[i][4] == "0")
		   		output += '<img src="images/enable_small.gif" width="14" height="13">' + i18n_sroute_deployed;
			else if (data_array[i][4] == "1")
			    output +='<img src="images/disable_small.gif" width="14" height="13">' + i18n_sroute_failed;
			else if (data_array[i][4] == "2")
			    output += '&nbsp;&nbsp;&nbsp;' + i18n_sroute_new;
		output += '</td>';
		output += '</tr>';
	}
	document.write(output);
}

function re_draw()
{
	var datanic = "<%=dataNic%>";
	var mgmtnic = "<%=mgmtNic%>";
	var mgmtstatus = "<%=managementStatus%>";
	var bbridgemode = "<%=bBridgeMode%>";
	
	var tmp_cb, tmp_url, tmp_comment, tmp, get_name;
	for(var i=0;i<data_array.length;i++){
		get_name = 'id_' + i;
		tmp_url = document.getElementById(get_name);
		tmp_url.innerHTML = ((data_array[i][4] == "1") ? '<strong style="color:red">' : '') + data_array[i][0] + ((data_array[i][4] == "1") ? ' *</strong>' : '');

		get_name = 'netmask_' + i;
		tmp_comment = document.getElementById(get_name);
		tmp_comment.innerHTML = data_array[i][1];

		get_name = 'router_' + i;
		tmp_comment = document.getElementById(get_name);
		tmp_comment.innerHTML = data_array[i][2];

		get_name = 'interface_' + i;

		tmp_comment = document.getElementById(get_name);
		if((bbridgemode == "false") && (data_array[i][3] == datanic)){
			tmp_comment.innerHTML = i18n_sroute_proxy;
		} else if((bbridgemode == "true") && (data_array[i][3] == datanic)){
			tmp_comment.innerHTML = i18n_sroute_bridge;
		} else if((mgmtstatus == "enable") && (data_array[i][3] == mgmtnic)){
			tmp_comment.innerHTML = i18n_sroute_mgmt;
		}

    var     status_desc;
    if ( data_array[i][4] == "0" )
        status_desc = '<img src="images/enable_small.gif" width="14" height="13">' + 'Deployed';
    else if ( data_array[i][4] == "1" )
        status_desc = '<img src="images/disable_small.gif" width="14" height="13">' + 'Failed';
    else if ( data_array[i][4] == "2" )
        status_desc = '&nbsp;&nbsp;&nbsp;' + 'New';

    get_name = 'option_' + i;
    tmp_comment = document.getElementById(get_name);
    tmp_comment.innerHTML = status_desc; 
	}
}

var is_sort = -1;

function sort_id()
{	
	if(data_array==""){
		return false;
	}
	data_array.sort(sort_by_1);
	if(is_sort == "1"){
		is_sort = '0';
		data_array.reverse();
		document.getElementById("up_down").innerHTML = '<a href="#" onClick="sort_id();">Network ID </a> <img src="images/arrow_up.gif" width="7" height="9" align="absmiddle">';
	} else {
		document.getElementById("up_down").innerHTML = '<a href="#" onClick="sort_id();">Network ID </a> <img src="images/arrow_down.gif" width="7" height="9" align="absmiddle">';
		is_sort = 1;
	}
	re_draw();
}

function generate_deletelist()
{
	var num_cb;
	var tmp_cb;
	
	for(var i=0;i<data_array.length;i++)
	{
		num_cb = "cb_" +i;
		tmp_cb = document.getElementById(num_cb);
		
		if(tmp_cb)
		{
			if(tmp_cb.checked == 1)
			{	
				if (document.saveform.deletelist.value.length)
					document.saveform.deletelist.value = document.saveform.deletelist.value + "-";
				
				document.saveform.deletelist.value = document.saveform.deletelist.value + 
					data_array[i][3] + " " + data_array[i][0] + "|" + data_array[i][2] + "|" + data_array[i][1];				
			}
		}
	}
	
	if(document.saveform.deletelist.value.length == 0)
	{
		alert(i18n_no_static_route);
		return false;
	}	
	
	return true;
}

function select_all(t)
{
	var uncheck;
	uncheck = 0;
	if(t=="all")
	{
		if(document.getElementById("check_all").checked==1)
		{
			for(var i=0;i<data_array.length;i++)
			{
				document.getElementById("cb_"+i).checked = 1;
			}
		} 
		else 
		{
			for(var i=0;i<data_array.length;i++)
			{
				document.getElementById("cb_"+i).checked = 0;
			}
		}
	} 
	else 
	{
		for(var i=0;i<data_array.length;i++)
		{
			if(document.getElementById("cb_"+i).checked==0)
			{
				uncheck = 1;
				break;
			}
		}
		if(uncheck)
		{
			document.getElementById("check_all").checked = 0;
		}
		else 
		{
			document.getElementById("check_all").checked = 1;
		}
	}
}

//-->
</script>
</head>

<body style="padding-left:10px;" leftmargin="10" topmargin="0" marginwidth="0" marginheight="0" onLoad="MM_preloadImages('images/more_down_over.gif','images/more_down2_over.gif');on_load()">
<form method="post" name="saveform">
<input type=hidden name="op" value="sroutemanage">
<input type=hidden name="fromurl" value="/staticRoutes.jsp">
<input type=hidden name="failoverurl" value="/staticRoutes.jsp">
<input type=hidden name="netid" value="">
<input type=hidden name="router" value="">
<input type=hidden name="netmask" value="">
<input type=hidden name="port" value="">
<input type=hidden name="oldnetid" value="">
<input type=hidden name="oldrouter" value="">
<input type=hidden name="oldnetmask" value="">
<input type=hidden name="oldport" value="">
<input type=hidden name="deletelist" value="">

<table cellspacing=0 cellpadding=0 width=840 border=0>
  <tr>
    <td width="92%" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.title" /></td>
    <td width="77" valign="bottom">
      <div align="right"><a href="javascript:openhelpwin('static_routes.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>  
  <tr>
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>     
</table>
<table cellspacing=0 cellpadding=0 width=840 border=0>    
  <tr id="error_tr" style="display:none" valign="top">
    <td width=5% colspan="3"><img src="images/icons_error.gif" border="0" width="22px" height="19px"></td><td width=95% ><div id="error_msg"></div></td>
  </tr>
  <tr id="error_lspace_tr" style="display:none">
    <td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>     
</table>
<table name="settings_table" id="settings_table" width="840" border="0" cellspacing="0" cellpadding="0" style="display:none">
	<tr> 
    	<td>			
      	<table cellpadding="0" cellspacing="0" border="0" width="100%">        
        <tr> 
          <td colspan="2" class="border">
		  	<table width="100%" border="0" cellpadding="0" cellspacing="0">              
			  <tr bgcolor="#EFEFE1"> 
		<%if (access == 3) { %>
                <td colspan="6">
					<table height="24" border="0" cellpadding="0" cellspacing="0" >
                    <tr> 
                      <td><img src="images/1space_cui.gif" width="1" height="1"></td>					  
					   <td  class="databuttonOut"  onmouseover="javascript:this.className='databuttonOver'" onMouseOut="javascript:this.className='databuttonOut'">
					  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td valign="middle"><a href="#" onClick="do_add();"><img src="images/icon_add.gif" alt="Add" align="absmiddle" border="0"></a></td>
								<td style="FONT-SIZE: 65%;" valign="middle"><a href="#" onClick="do_add();" style="text-decoration: none;"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.add" /></a></td>
							</tr>
						</table>
					  </td>
                      <td class="text"><img src="images/1space_cui.gif" width="2" height="1"></td>
					  
					  <td class="databuttonOut"  onmouseover="javascript:this.className='databuttonOver'" onMouseOut="javascript:this.className='databuttonOut'">
					  	<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td valign="middle"><a href="#" onClick="do_delete();"><img src="images/icon_delete.gif" alt="Delete" align="absmiddle" border="0"></a></td>
								<td style="FONT-SIZE: 65%;" valign="middle"><a href="#" style="text-decoration: none;" onClick="do_delete();"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.delete" /></a></td>
							</tr>
						</table>
					  </td>
					  
					  <td class="text"><img src="images/1space_cui.gif" width="2" height="1"></td>
                      
				      <td class="text"><img src="images/1space_cui.gif" width="2" height="1"></td>
					  
                    </tr>
                 	</table>
				</td>
		<%}%>
              </tr>			  
			  <tr>
			  	<td width="10" class="grey2"><input id="check_all" type="Checkbox" onClick="select_all('all');"></td>
				<td width="120" class="grey2" id="up_down"><a href="#" onClick="sort_id();"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.network_id" /> </a></td>
				<td width="120" class="grey2"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.netmask" /></td>
				<td width="120" class="grey2"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.router" /></td>
				<td width="120" class="grey2"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.interface" /></td>
				<td width="350" class="grey2"><i18n:message bundleRef="bundleAdmin" key="admin.net_config.static.deploy_status" /></td>
			  </tr>
			  <script>generate_table();</script>
            </table>
		 </td>
        </tr>
      </table>
	 </td>
  </tr>
  <tr><td height="10"><img src="images/1space_cui.gif" width="1" height="1" alt=""></td></tr>
  <tr>	
  	<td>
  		<%=AccessLevel.BUTTON(request, response, "deploy", "button", "javascript:do_deploy();", MessageResourcesMgr.mrCommon.getMessage("button.deploy"), "width:55px", "disabled")%>
  	</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
</form>
</body>
</html>
