<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.lang.*" %>

<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />

<%
    if(Validation.CheckUser(request,response)!=1)
    {
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");

    // Get the network device name list
    Vector<String>     devices = new Vector<String>();
    try {
        IWSSUtil.UI_out_println("get net interface name... ...");

        String command = "/usr/iwss/iwsvanetwork.sh print_net_device_name";
        Process ps = Runtime.getRuntime().exec(command, null);

        int     c;
        String  output = "";

        InputStreamReader input_str = new InputStreamReader(ps.getInputStream());
        BufferedReader    reader = new BufferedReader(input_str);
        while ((c = reader.read()) != -1)
        {
            if ( (c < 33 || c > 126) && output.length() > 0)
            {
                IWSSUtil.UI_out_println(output);

                devices.add(output);
                output = "";
            } else {
                output += new Character((char)c).toString();
            }
        }
        reader.close();
        input_str.close();
    } catch (Exception e){
        e.printStackTrace();
        IWSSUtil.UI_out_println("Exception:" + e.getMessage());
    }


    // check if capturing process is running
    String            start_time = "0";
    Vector<String>    capture_device = new Vector<String>();

    try {
        IWSSUtil.UI_out_println("check if capturing process running... ...");

        String command = "/usr/iwss/iwsvanetwork.sh print_capture_status";
        Process ps = Runtime.getRuntime().exec(command, null);

        int     c, idx  = 0;
        String  output  = "";
        String  lines[] = new String[64];

        InputStreamReader input_str = new InputStreamReader(ps.getInputStream());
        BufferedReader    reader = new BufferedReader(input_str);
        while ((c = reader.read()) != -1 && idx < 64)
        {
            if ((char)c == '\n')
            {
                IWSSUtil.UI_out_println(output);
                lines[idx++] = output;
                output = "";
            } else {
                output += new Character((char)c).toString();
            }
        }
        reader.close();
        input_str.close();

        for (idx--; idx >= 0; idx--)
        {
            if (lines[idx].contains("elapsed time:"))
            {
                String[] values = lines[idx].split(":");
                start_time=values[1].replace(" ", "");
            }

            if (lines[idx].contains("capture device:"))
            {
                String[] values = lines[idx].split(":");
                String[] nic_name = values[1].split(" ");

                for (int i = 0; i < nic_name.length; i++)
                {
                    String temp = nic_name[i].replace(" ", "");
                    if (temp.length() > 0)
                    {
                        devices.remove(temp);
                        capture_device.add(temp);
            }
                }
            }
        }
    } catch(Exception e){
        e.printStackTrace();
        IWSSUtil.UI_out_println("Exception:" + e.getMessage());
    }
%>

<html>
<head>
<title>Support</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<SCRIPT language="javascript" src="html/report.js"></SCRIPT>
<script language="JavaScript" src="html/jquery1.3.2.js"></script>
<SCRIPT LANGUAGE="JavaScript">

var label_start_capture = '<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.start_capturing"/>';
var label_stop_capture  = '<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.stop_capturing"/>';
var label_time_elapsed  = '<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.time_elapsed"/>';

var elapsed_seconds     = 0;
var is_capturing        = 0;
var stop_query_progress = 0;

onerror = function(msg,url,l)
{
    window.location="support_capture_packet.jsp";
    return true;
}

onload = function()
{
    elapsed_seconds = <%=start_time%>;

    if (elapsed_seconds != 0)
    {
        is_capturing = 1;
        document.getElementById("btn_capture").value= label_stop_capture;

        setTimeout("query_capture_progress()", 5000);
        start_time_counter();
    }
    return true;
}

function enableBtns()
{
    var form = window.document.saveform;
    var isSelected = false;
    // only enable buttons when the file list is not empty
    if (form.selectDumps.length > 0) {

        for(var i = 0;i<form.selectDumps.length;i++){
            if(document.saveform.selectDumps.options[i].selected == true){
                isSelected = true;

            }

        }
        if( isSelected){

        } else{
            document.saveform.selectDumps.options[0].selected=true;
        }

        if (form.donwloadBtn.disabled) {
            form.donwloadBtn.disabled = false;
        }
        if (form.delBtn.disabled) {
            form.delBtn.disabled = false;
        }
    }
}

function doDelete()
{
    if(confirm(i18n_support_cfm_delete)==false) return;
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageDumpFiles?action=delete";
    setTimeout( "document.saveform.submit()", 100 );
}

function doDownload()
{
    var osize = 0;
    for (var i=0; i< document.saveform.selectDumps.length; i++) {
        if (document.saveform.selectDumps.options[i].selected) {
            osize++;
        }
    }
    if (osize > 1) {
       alert(i18n_support_dl_onlyone);
       return false;
    }
    document.saveform.action="servlet/com.trend.iwss.gui.servlet.ManageDumpFiles?action=download";
    setTimeout( "document.saveform.submit()", 100 );
}

function onTimeResponse()
{
    if(xhReq.readyState != 4)
    {
        //window.location="support_capture_packet.jsp";
        return;
    }

    clearTimeout(requestTimeout);

    if(xhReq.status != 200)
    {
        //window.location="support_capture_packet.jsp";
        return;
    }

    var responseContext = xhReq.responseText;
}

function onTimeout()
{
    window.location="support_capture_packet.jsp";
    xhReq.abort();
}

function createXMLHttpRequest()
{
    try {
        //IE 5.0
        return new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {}

    try {
        //IE 5.5 and higher version
        return new ActiveXObject("Microsoft.XMLHTTP");
    } catch (e) {}

    try {
        //other browsers
        return new XMLHttpRequest();
    } catch (e) {}

    alert(i18n_xmlhttprequest_not_supported_msg);
    return null;
}



function start_time_counter()
{
    if (is_capturing == 0)
        return;


    var form = window.document.saveform;

    form.btn_add.disabled = true;
    form.btn_add_all.disabled = true;
    form.btn_remove.disabled = true;
    form.btn_remove_all.disabled = true;

    form.donwloadBtn.disabled = true;
    form.delBtn.disabled = true;


    var hours   = Math.floor(elapsed_seconds/3600);
    var minutes = Math.floor((elapsed_seconds - hours*3600)/60);
    var seconds = elapsed_seconds - hours*3600 - minutes*60;

    var html_string = '<img width="16" height="16" src="images/widgetLoading.gif">' + label_time_elapsed + ' ';

    if ( hours <= 9 )
        html_string = html_string + "0";
    html_string = html_string + hours + ":";

    if ( minutes <= 9 )
        html_string = html_string + "0";
    html_string = html_string + minutes + ":";

    if ( seconds <= 9 )
        html_string = html_string + "0";
    html_string = html_string + seconds;

    $("#elapsed_time").empty();
    $("#elapsed_time").append(html_string);

    elapsed_seconds += 1;
    setTimeout("start_time_counter()", 1000);
}

function stop_time_counter()
{
    is_capturing    = 0;
    elapsed_seconds = 0;

    $("#elapsed_time").empty();

    var form = window.document.saveform;

    form.btn_add.disabled = false;
    form.btn_add_all.disabled = false;
    form.btn_remove.disabled = false;
    form.btn_remove_all.disabled = false;

    form.donwloadBtn.disabled = false;
    form.delBtn.disabled = false;
}

function start_capture_packet(interfaces)
{
    xhReq = createXMLHttpRequest();
    if( xhReq != null)
    {
        xhReq.open("get", "get_nic_statistic_info.jsp?action=start_capture_packet&interfaces=" + interfaces, true);
        requestTimeout = setTimeout("onTimeout()", 5000)
        xhReq.onreadystatechange = onTimeResponse;
        xhReq.send(null);
    }

    setTimeout("query_capture_progress()", 5000);
    start_time_counter();
}

function stop_capture_packet()
{
    xhReq = createXMLHttpRequest();
    if( xhReq != null)
    {
        xhReq.open("get", "get_nic_statistic_info.jsp?action=stop_capture_packet", true);
        requestTimeout = setTimeout("onTimeout()", 5000)
        xhReq.onreadystatechange = onTimeResponse;
        xhReq.send(null);
    }

    stop_time_counter();

    var html_string = '<img width="16" height="16" src="images/widgetLoading.gif">' + label_stop_capture + '...';
    $("#elapsed_time").empty();
    $("#elapsed_time").append(html_string);

    stop_query_progress = 0;
    document.getElementById("btn_capture").value = label_start_capture;
}


function capture_packet_operation()
{
    if (is_capturing == 0)
    {
        elapsed_seconds = 0;

        if(document.saveform.RightList.length < 1)
        {
            alert('<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.no_interfaces_msg"/>');
            document.saveform.LeftList.focus();
            return;
        }

        var interfaces = "";
        for (i = 0; i < document.saveform.RightList.length; i++)
        {
            interfaces = interfaces + " " + document.saveform.RightList.options[i].value;
        }

        is_capturing = 1;
        start_capture_packet(interfaces);
        document.getElementById("btn_capture").value = label_stop_capture;

    } else {

        is_capturing = 0;
        stop_capture_packet();
        document.getElementById("btn_capture").value = label_start_capture;
    }
}

function QueryProgress_onTimeResponse()
{
    if(xhReq_1.readyState != 4)
    {
        return;
    }
    clearTimeout(requestTimeout_1);
    if(xhReq_1.status != 200)
    {
        return;
    }

    var responseContext = xhReq_1.responseText;

    var re = new RegExp("capture package name: [0-9a-zA-Z]*", 'g');
    key    = responseContext.match(re);

    if (key != null && key.length >= 1)
    {
        stop_query_progress = 1;
        window.location.href=window.location.href;
    }
}

function query_capture_progress()
{
    xhReq_1 = createXMLHttpRequest();
    if( xhReq_1 != null)
    {
        xhReq_1.open("get", "get_nic_statistic_info.jsp?action=query_capture_packet", true);
        requestTimeout_1 = setTimeout("onTimeout()", 5000)
        xhReq_1.onreadystatechange = QueryProgress_onTimeResponse;
        xhReq_1.send(null);
    }

    if (stop_query_progress == 0)
        setTimeout("query_capture_progress()", 5000);
}

function changeWidth(){
    if(window.navigator.userAgent.indexOf("Chrome") != -1){
        document.getElementById("maincontent").width = "694";
    }
}

</SCRIPT>
</head>
<%
    CoreDumpList dumpList = new CoreDumpList();
    String[][] dumpNames = dumpList.getFileNames();
    DiagnosticTool tool = new DiagnosticTool();
%>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform">
<input type=hidden name="op" value="support">
<input type=hidden name="fromurl" value="/support_capture_packet.jsp">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr>
    <td width="338" colspan="2" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.support.title" /></td>
    <td width="202" valign="bottom">
      <div align="right"><a href="javascript:openhelpwin('network_packet_capturing.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>

    <!-- TABS -->
    <tr>
        <td background="images/tab-background.gif" colspan="3">
        <table cellpadding="0" cellspacing="0" border="0"><tr>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.sysinfo_title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="images/tab-active2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td background="images/tab-active-background.gif" class="tabactive"
                valign="top" nowrap><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.capturing_title"/></td>
            <td><img src="images/tab-active-right.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_verbose_log.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <%
              if(tool.isEnabled()) {
            %>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_diagnostic_tool.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <%
              }
            %>
			
			<td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="upload_sample_sizing.jsp">DDAn Sample Submission Sizing</a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
        </tr></table>
        </td>

        <td background="images/tab-background.gif" align="right"><img src="images/tab-right-corner.gif"
            width="6" height="23" alt="" border="0"></td>
    </tr>
    <!-- /TABS -->
      <tr>
    <td colspan="4">
        <table class="border" width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
                <td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
              </tr>
              <tr>
                <td colspan="4"><img src="images/1space.gif" width="1" height="15"></td>
              </tr>

              <tr>
                <td width="17" class="data1"><img src="images/1space.gif" width="10" height="1"></td>
                <td width="76" class="data1" nowrap="nowrap"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step1" /> </strong></td>
                <td class="data1"><span  style="vertical-align:top">
                <i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.select_interface"/>
                </span></td>
                <td class="data1">&nbsp;</td>
              </tr>

                <tr>
                    <td class="data1">&nbsp;</td>
                    <td class="data1">&nbsp;</td>
                    <td><table width="100%" cellspacing="0" cellpadding="0" border="0">
                        <tbody>
                            <tr>
                                <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.avaiable"/></td>
                                <td class="data1"></td>
                                <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.selected"/></td>
                            </tr>
                            <tr>
                                <td width="37%">
                                <select multiple="" style="width: 150px;" class="button" size="8" name="LeftList" id="LeftList">
                                <% for ( int i = 0; i < devices.size(); i++ ){
                                    if (!((String)devices.elementAt(i)).startsWith("ifb")) {
                                %>
                                <option value=<%=(String)devices.elementAt(i)%>><%=(String)devices.elementAt(i)%></option>
                                <%
                                    }
                                }
                                %>

                                </select>
                                </td>
                                <td width="39%" align="center" class="data1">
                                <input type="button" value='<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.add"/>' style="width: 106px;" class="button" name="btn_add"
                                        id="btn_add" onClick="javascript:Add()">
                                <input type="button" value='<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.add_all"/>' style="width: 106px;" class="button"
                                        name="btn_add_all" onClick="javascript:AddAll()"><br><br>
                                <input type="button" value='<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.remove"/>' style="width: 106px;" class="button"
                                        name="btn_remove" onClick="javascript:Delete()">
                                <input type="button" value='<i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.remove_all"/>' style="width: 106px;" class="button"
                                        name="btn_remove_all" onClick="javascript:DeleteAll()">
                                </td>
                                <td width="24%">
                                <select multiple="" style="width: 150px;" class="button" size="8" name="RightList" id="RightList">
                                <% for ( int i = 0; i < capture_device.size(); i++ ){%>
                                <option value=<%=(String)capture_device.elementAt(i)%>><%=(String)capture_device.elementAt(i)%></option>
                                <%}%>

                                </select>
                                </td>
                            </tr>
                            <tr>
                                <td class="data1" colspan="3" id="elapsed_time"></td>
                            </tr>
                            <tr>
                                <td class="data1">
                  <%=AccessLevel.BUTTON(request, response, "btn_capture\" id=\"btn_capture\"", "button", "capture_packet_operation();", MessageResourcesMgr.mrAdmin.getMessage("admin.support_capture_packet.start_capturing"), "")%>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3"><img width="1" height="10" src="images/1space_cui.gif"></td>
                            </tr>
                        </tbody>
                    </table></td>
                <td class="data1">&nbsp;</td>
                </tr>

              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td width="348" class="data1">&nbsp;</td>
                <td width="97" class="data1">&nbsp;</td>
              </tr>
              <tr>
                <td class="data1"><img src="images/1space.gif" width="15" height="1"></td>
                <td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step2" /> </strong></div></td>
                <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.select_capture_files" /> </td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1"><select id="selectDumps" name="selectDumps" size="6" multiple style="width:300px" class="Button" onclick="javascript:enableBtns();">
                    <%
                      if (dumpNames != null && dumpNames.length > 0) {
                          for(int i=0;i<dumpNames.length;i++){%>
                            <% if (dumpNames[i][0].startsWith("capture")){%>
                             <option value="<%=dumpNames[i][0]%>"><%=dumpNames[i][0]%>&nbsp<%=dumpNames[i][1]%></option>
                            <%}%>
                          <%}%>
                    <%}%>
                </select>
                  </td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1"><strong>&nbsp;<i18n:message bundleRef="bundleAdmin" key="admin.support.note" /></strong> <i18n:message bundleRef="bundleAdmin" key="admin.support.hold_ctrl_to_select_multiple" /></td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1"><div valign="top"><strong><i18n:message bundleRef="bundleAdmin" key="admin.support.step3" /> </strong></div></td>
                <td class="data1"><i18n:message bundleRef="bundleAdmin" key="admin.support.select_action" /></td>
              </tr>
              <tr>
                <td class="data1">&nbsp;</td>
                <td class="data1">&nbsp;</td>
                <td class="data1"><p>
                  <%=AccessLevel.BUTTON(request, response, "donwloadBtn", "Button", "javascript:doDownload();", MessageResourcesMgr.mrAdmin.getMessage("admin.support.download_to_comp"), "", "disabled")%>
                  <%=AccessLevel.BUTTON(request, response, "delBtn", "Button", "javascript:doDelete();", MessageResourcesMgr.mrCommon.getMessage("button.delete"), "", "disabled")%>
</p>
                </td>
              </tr>
              <tr>
                <td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
              </tr>
            </table> </td>
        </tr>
</table>
</form>
</body>
</html>

