<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="com.trend.api.UIHelperToken" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaAdmin" id="bundleAdmin" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<%
    if(Validation.CheckUser(request,response)!=1){
        response.sendRedirect("logon.jsp");
        return;
    }
    response.setHeader("Pragma","no-cache");
    response.setHeader("Cache-Control","no-cache");
	
	IWSSINI ini = new IWSSINI(IWSSInfo.GetWorkPath()+ "intscan.ini");
	String sample_cnt_enable = ini.GetKeyValue("dtas","upload_sample_count_enable");
	
	IWSSINI dtasini = new IWSSINI(IWSSInfo.GetWorkPath()+ "dtas.ini");
	String sampleCnt = dtasini.GetKeyValue("dtas","sample_upload_count");
	String cntBeginTime = dtasini.GetKeyValue("dtas","upload_count_begine");

        String token = UIHelperToken.getToken(request);
	
	String timeZone = "";
	try{
			CLIResult res = CLICommandExecuter.exec( "show system timezone", true, token);
			timeZone = res.getKeyValue("timezone");
	}catch(CLIException e){
		timeZone = "Unkown timezone";
	}
	java.util.TimeZone.setDefault(java.util.TimeZone.getTimeZone(timeZone));
	SimpleDateFormat df = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
	String currentTime = df.format(new Date());
	
	long hours = 0;
	long diff = 0;
	long day = 0;
	long aver = 0;
	
	if (sample_cnt_enable.equals("1") && cntBeginTime.length() > 10)
	{
		long nd = 1000 * 24 * 60 * 60;// 一天的毫秒数
		long nh = 1000 * 60 * 60;// 一小时的毫秒数
		diff = df.parse(currentTime).getTime() - df.parse(cntBeginTime).getTime();
		day = diff / nd;// 计算差多少天
		hours = diff % nd / nh + day * 24;
		if (hours <= 0)
		{
			hours = 1;
		}
		if (sampleCnt == "")
		{
			sampleCnt = "0";
		}
		aver = Long.parseLong(sampleCnt) / hours;
	}
%>
<html>
<head>
<title>Support</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<SCRIPT language="javascript" src="html/func.js"></SCRIPT>
<SCRIPT language="javascript" src="html/commonurllist.js"></SCRIPT>
<SCRIPT language="javascript" src="html/i18n_warnmsg.js"></SCRIPT>
<script language="javascript" type="text/javascript" src="html/jquery.js"></script>
<SCRIPT LANGUAGE="JavaScript">

function myrefresh() 
{ 
	window.location.reload(); 
} 

$(document).ready(function() {
	
	var refreshTimeOut;
			
	if ($("input[name='sample_count']").attr("checked"))
	{
		$("#average").html(" <%=aver%> ");
		$("#periods").html(" <%=hours%> " + " hours since " + " <%=cntBeginTime%> ");
		$("#count").html(" <%=sampleCnt%> " );
		
		refreshTimeOut = setTimeout('myrefresh()',10000);//10秒刷新一次
	}
	else
	{
		clearTimeout(refreshTimeOut);
		$("#average").html("0");
		$("#periods").html("0");
		$("#count").html("0");
	}
	
	$("input[name='sample_count']").click(function() {
		if ($("input[name='sample_count']").attr("checked"))
		{
			$("#average").html(" <%=aver%> ");
			$("#periods").html(" <%=hours%> " + " hours since " +  " <%=currentTime%> ");
			$("#count").html(" <%=sampleCnt%> " );
			
			refreshTimeOut = setTimeout('myrefresh()',10000);//10秒刷新一次
		}
		else
		{
			$("#average").html("0");
			$("#periods").html("0");
			$("#count").html("0");
			
			clearTimeout(refreshTimeOut);
		}
		
		if ($("input[name='sample_count']").attr("checked"))
		{
			$("input[name='sample_count']").val("1");
		}
		else
		{
			$("input[name='sample_count']").val("0");
		}
		
		$.ajax({
			url : "servlet/com.trend.iwss.gui.servlet.dtasinfoset",
			dataType : "json",
			type : "POST",
			data : {
				op : "sample_count_enable",
				CSRFGuardToken : document.forms[0].CSRFGuardToken.value,
				fromurl : $("input[name='fromurl']").val(),
				daemonaction : "71", //restart daemon
				enableCount : $("input[name='sample_count']").val(),
			},
			beforeSend : function() {
				//$("input[name='sample_count']").attr("disabled", true);
			},
			complete : function() {
				//$("input[name='save']").removeAttr("disabled");
				//window.location.reload(); 
			},
			success : function(data) {

				if (data == "0") {
					//$("input[name='sample_count']").removeAttr("disabled");
					myrefresh();
				}
				else {
					alert("Enable sample sizing failed.");
					//$("input[name='sample_count']").removeAttr("disabled");
					return;
				}
			},
			error : function(a, b, c) {
				//console.log("ERROR:", a, b, c);
				//alert(i18n_sync_fail);
			}
		});
	});
	
});
</SCRIPT>
</head>
<%
    DiagnosticTool tool = new DiagnosticTool();
%>
<body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<form method="post" name="saveform">
<input type=hidden name="op" value="support">
<input type=hidden name="fromurl" value="/support.jsp">

<table cellspacing=0 cellpadding=0 width=540 border=0>
  <tr>
    <td width="338" colspan="2" class="content-title"><i18n:message bundleRef="bundleAdmin" key="admin.support.title" /></td>
    <td width="202" valign="bottom">
      <!--<div align="right"><a href="javascript:openhelpwin('support.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>-->
    </td>
  </tr>
  <tr>
    <td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
    <td height="10" colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>

    <!-- TABS -->
    <tr>
        <td background="images/tab-background.gif" colspan="3">
        <table cellpadding="0" cellspacing="0" border="0"><tr>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support.jsp" ><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.sysinfo_title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_capture_packet.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_capture_packet.capturing_title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_verbose_log.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_verboseLog.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <%
              if(tool.isEnabled()) {
            %>
            <td><img src="images/tab-inactive2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td valign="top" background="images/tab-inactive-background.gif" class="tabinactive" nowrap>
                <A onMouseOver="this.style.color='#FF0000';" style="COLOR: #000000; TEXT-DECORATION: none"
                onmouseout="this.style.color='#000000';" href="support_diagnostic_tool.jsp"><i18n:message bundleRef="bundleAdmin" key="admin.support_diagnostic_tool.title"/></a></td>
            <td><img src="images/tab_inactive_right_cui.gif" width="23" height="23" alt="" border="0"></td>
            <%
              }
            %>
			
			<td><img src="images/tab-active2-left.gif" width="11" height="23" alt="" border="0"></td>
            <td background="images/tab-active-background.gif" class="tabactive"
                valign="top" nowrap>DDAn Sample Submission Sizing</td>
            <td><img src="images/tab-active-right.gif" width="23" height="23" alt="" border="0"></td>
			
        </tr></table>
        </td>

        <td background="images/tab-background.gif" align="right"><img src="images/tab-right-corner.gif"
            width="6" height="23" alt="" border="0"></td>
    </tr>
    <!-- /TABS -->

    <tr>
    <td colspan="4" >
	<table class="border" width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td colspan="4"><img src="images/1space.gif" width="1" height="5"></td>
		</tr>
			 <tr>
				<th colspan="2" valign="top" align="center" class="data1"><input
					type="checkbox" name="sample_count" value="checkbox"
					<%if(sample_cnt_enable.equals("1")){%> checked <%}%>
					onClick=""> Enable sizing calculator for DDAn sample submissions
			</tr>
			
			<tr>
				<td colspan="4"><img src="images/1space.gif" width="1" height="30"></td>
			</tr>
			
			<td colspan="2" valign="top" align="center">
				<table border="1" width="800">
				  <tr>
					<td width="300">Average submissions</td>
					<td width="400"><span id="average"></span></td>
				  </tr>
				  <tr>
					<td width="300">Elapsed time</td>
					<td width="400"><span id="periods"></span></td>
				  </tr>
				  <tr>
					<td width="300">Total samples submitted</td>
					<td width="400"><span id="count"></span></td>
				  </tr>
				</table>
			</td>
			
			<tr>
				<td colspan="4"><img src="images/1space.gif" width="1" height="20"></td>
			</tr>
			  
		</table>
    </td>
    </tr>
</table>
<br>
</form>
</body>
</html>
