<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->
<!--Modified by: John Shih                                  -->
<!--Date: 04/20/2007                                        -->
<!--Description: Add New URL Category List                  -->
<!--File:urlf_policy_list.jsp                                -->
<!--++++++++++++++++++++++++++++++++++++++++++++++++++++++++-->

<%@ page contentType = "text/html; charset=UTF-8" %>
<%@ page import="com.trend.iwss.gui.*" %>
<%@ page import="com.trend.iwss.policy.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.trend.api.administration.*" %>
<%@ taglib uri="http://jakarta.apache.org/taglibs/i18n-1.0" prefix="i18n" %>
<i18n:bundle baseName="iwsvaHttp" id="bundleHttp" />
<i18n:bundle baseName="iwsvaCommon" id="bundleCommon" />
<i18n:bundle baseName="iwsvaApplicationControl" id="bundleApplicationControl" />
<%
	if (Validation.CheckUser(request, response) != 1) {
		response.sendRedirect("logon.jsp?urlf_policy");
		return;
	}

	AdministrationAccount accountinfo = (AdministrationAccount) request.getSession()
			.getAttribute("AccountInfo");
	AdministrationRole roleinfo = null;
	int access = 0;
	if (accountinfo != null)
	{
		roleinfo = accountinfo.getRole();
		access = roleinfo.getAccessRightByKeyID(406);
		if (access == 0)
		{
			response.sendRedirect("logon.jsp");
			return;
		}
	}
	else
	{
		response.sendRedirect("logon.jsp");
		return;
	}

	IWSSXML dbxml = IWSSUtil.CheckDatabase(1, "", "", "");
	if (dbxml == null) {
		response.sendRedirect("databaseerror.jsp?Generic Error");
		return;
	}
	else {
		if (dbxml.GetKeyValue("connectdb", "error_no").compareToIgnoreCase("1") != 0)
		{
			response.sendRedirect("databaseerror.jsp?" + dbxml.GetKeyValue("connectdb", "error_msg"));
			return;
		}
	}
	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	String confirm_status = request.getParameter("confirm_status");
	if (confirm_status == null)
		confirm_status = "0";
	String WorkPath = IWSSUtil.CheckPathEndSlash(IWSSJNI.GetWorkPath());
	String location_file_pni = WorkPath + "IWSSPIProtocolHttpProxy.pni";
	IWSSINI pni = new IWSSINI(location_file_pni);
	String self_proxy_value = pni.GetKeyValue("http", "self_proxy");
	String transparency_value = pni.GetKeyValue("http", "transparency");
	String guest_value = IWSSInfo.GetKeyValue("http", "guest_user_login");
	String guest_policy_value = "no";

	String ldap_enable = IWSSInfo.GetKeyValue("user-identification", "user_identification_solution");
	String captive_enable = IWSSInfo.GetKeyValue("LDAP-Setting", "captive_portal");
	String guest_enable = IWSSInfo.GetKeyValue("LDAP-Setting", "guest_policy");

	if (ldap_enable.equalsIgnoreCase("3") && captive_enable.equalsIgnoreCase("yes")
			&& guest_enable.equalsIgnoreCase("yes"))
		guest_policy_value = "yes";

	IWSSPR mainpr = new IWSSPR((new String("IWSS")));
%>

<head>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>Trend Micro InterScan Web Security Virtual Appliance</title>

<link href="html/trend-style.css" rel="stylesheet" type="text/css">
<script language="javascript" src="html/urlfadvanceset.js"></script>
<script language="javascript" src="html/virusscan.js"></script>
<link href="html/jquery.autocomplete.css" type="text/css" rel="stylesheet"></link>
<script type="text/javascript" src="html/jquery.js"></script>
<script type="text/javaScript" src="html/jquery.myautocomplete.js"></script>
<script language="javascript" src="html/i18n_warnmsg.js"></script>
<script language="javascript" src="html/mouseover_help.js"></script>
<script language="JavaScript" src="html/tooltip.js" type="text/javascript"></script>
<script language="JavaScript" src="html/localization.js" type="text/javascript"></script>
<script language="Javascript" src="html/fade_shih.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript" src="html/check.js"></script>
<script language="javascript" type="text/javascript" src="html/func.js"></script>
</head>

<%
	int daemon_urldstop = 128;
	int daemon_urldstart = 256;
	int daemon_urldrestart = 512;
	int daemon_action = 0;
	if (IWSSSession.getSession("HasPolicy", request) != null
			&& ((Boolean) IWSSSession.getSession("HasPolicy", request)).booleanValue())
	{
		IWSSSession.setSession("HasPolicy", null, request);
		IWSSSession.setSession("PolicySetting", null, request);
	}

	IWSSINI pini = new IWSSINI(IWSSInfo.GetURL_Dsc());
	String enabled_value = pini.GetKeyValue("url-filtering", "enabled");
	String checked_sign;
	if (enabled_value.compareToIgnoreCase("yes") == 0)
	{
		checked_sign = new String(" checked");
		daemon_action = daemon_urldstart;
	}
	else
	{
		checked_sign = new String("");
		daemon_action = daemon_urldstop;
	}

	if (daemon_action != 0)
	{
		DaemonAction.TakeAction(daemon_action);
	}

	String tmuse_enabled_value = pini.GetKeyValue("tmuse", "enabled");
	String tmuse_checked_sign;
	if (tmuse_enabled_value.compareToIgnoreCase("yes") == 0)
	{
		tmuse_checked_sign = new String(" checked");
	}
	else
	{
		tmuse_checked_sign = new String("");
	}

	String tmuse_enabled_sign;
	if (enabled_value.compareToIgnoreCase("yes") == 0)
	{
		tmuse_enabled_sign = new String("");
	}
	else
	{
		tmuse_enabled_sign = new String(" disabled");
	}

	int ttl = PolicyManager.getTimeToLive(new UrlFilterSet());
	PolicyEntity entity;
	int line = 0;
	//Add for skynet policy
	boolean is_skynet = false;
	String source = "";
	boolean sort_begin = false;
	int sort_end_line = 0;

	boolean guest_status = false;
	if (transparency_value.equalsIgnoreCase("no"))
	{
		if (guest_value.equalsIgnoreCase("yes"))
		{
			guest_status = true;
		}
		else
		{
			guest_status = false;
		}
	}
	else
	{
		guest_status = false;
	}

	// List-up all policy entities.
	Collection all_policies = null;

	Iterator itr = null;

	int mainType = 0;

	String answer = null;

	boolean isQuery = request.getParameter("op") != null && request.getParameter("op").equals("search");

	if (!isQuery) {
		all_policies = PolicyManager.getPolicyList(new UrlFilterSet());
		itr = all_policies.iterator();
	}
	else {
		String query = SmartPolicyQuery.SearchType(request.getParameter("query"));
		answer = IWSSJNI.GetQueryPolicy(query);
		mainType = Integer.parseInt(request.getParameter("type"));

		System.out.println(answer);
		all_policies = PolicyManager.getMainQueryPolicyList(mainType, answer);
		if (all_policies.size() != 0)
			itr = all_policies.iterator();
	}
%>

<body onLoad="bgFade();" bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="object1" style="position:absolute; background-color:white;color:black;border-color:black;border-width:20; visibility:show; left:25px; top:-50px; z-index:+1" onMouseOver="overdiv=1;"  onmouseout="overdiv=0; setTimeout('hideLayer()',1000)">
  pop up description layer </div>
<form method="post" name="saveform" action="servlet/com.trend.iwss.gui.servlet.priorityset">
<input type="hidden" name="op" value="save">
<input type="hidden" name="op_policy" value="">
<input type="hidden" name="fromurl" value="/urlf_policy_list.jsp">
<input type="hidden" name="policytype" value="urlf">
<input type=hidden name="daemonaction" value="0">
<input type="hidden" name="query" value="">
<input type=hidden name="type" value="1">

<table width="98%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td width="20%" nowrap="nowrap"  class="content-title"> <i18n:message bundleRef="bundleHttp" key="https.policy.urlf_policy.title" /></td>
	<td width="74%" nowrap="nowrap" class="text">
		<input name="enabled_view" type="checkbox"
			<%if(mainpr.isURLFEnabled()){ %><%=checked_sign%> <%} else {%> disabled="disabled" <%} %>
			onClick="changeCheckbox();">
		<input name="enabled" type="hidden" value="">
		<input name="oldenabled" type="hidden" value="<%=enabled_value%>">
		<i18n:message bundleRef="bundleHttp" key="https.policy.urlf_policy.enable_urlf" />

		<%if(!mainpr.isURLFEnabled()) {%>
			<label size="40" style="color:red; font-style:italic;"><i18n:message bundleRef="bundleHttp" key="https.urlf.no_license" /></label>
		<%} %>

		<%if(mainpr.isURLFEnabled()){ %>
			<input name="tmuse_enabled_view" type="checkbox"
				<%=tmuse_enabled_sign %>
				<%=tmuse_checked_sign %>
				onClick="changeCheckbox();">
			<input name="tmuse_enabled" type="hidden" value="">
			<input name="tmuse_oldenabled" type="hidden" value="<%=tmuse_enabled_value%>">
			<i18n:message bundleRef="bundleHttp" key="https.policy.urlf_policy.enable_tmuse" />
		<%} %>
	</td>
	<td width="6%" valign="bottom">
		<div align="right"><A href="javascript:openhelpwin('urlf_policy_list.htm');"><img src="images/question_cui.gif" width="18" height="18" border="0"></a></div>
	</td>
  </tr>
  <tr>
	<td colspan="3" class="hor-dotted-line"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
  <tr>
	<td colspan="3"><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<!------------------------------------------------------------------------------------------------->
<%
if(confirm_status.compareToIgnoreCase("0")!=0)
{
%>
<table width="98%" border="0" cellspacing="0" cellpadding="0" class="fade" id="msg" style="background-color:#f2ebb0">
  <tr>
	<td><img src="images/white_top_left.gif" width="7" height="7" alt=""></td>
	<td width="100%" colspan="3"></td>
	<td><img src="images/white_top_right.gif" width="7" height="7" alt=""></td>
  </tr>
  <tr>
	<td><img src="images/1space_cui.gif" width="1" height="1" alt=""></td>
	<td style="padding:5px"><img src="images/icon_valid.gif" width="25" height="25" align="absmiddle" alt="Confirmation icon"></td>
	<td class="fade1"><i18n:message bundleRef="bundleHttp" key="https.policy.change_saved" /> <br><br><i18n:message bundleRef="bundleHttp" key="https.policy.before_deployment" />
</td>
	<td align="right" valign="top"><a href="#" onClick="javascript:self.location.replace('urlf_policy_list.jsp')"><img src="images/icon_theader_close.gif" alt="Close icon" title="<%=MessageResourcesMgr.mrHttp.getMessage("https.policy.close_message_box")%>" width="15" height="15" border="0"></a></td>
	<td><img src="images/1space_cui.gif" width="1" height="1" alt=""></td>
  </tr>
  <tr>
	<td><img src="images/white_bottom_left.gif" width="7" height="7" alt=""></td>
	<td colspan="3"><img src="images/1space_cui.gif" width="1" height="1" alt=""></td>
	<td><img src="images/white_bottom_right.gif" width="7" height="7" alt=""></td>
  </tr>
</table>
<table width="98%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td><img src="images/1space_cui.gif" width="1" height="10"></td>
  </tr>
</table>
<%
}
%>
<!------------------------------------------------------------------------------------------------->
<TABLE width="98%" border=0 cellPadding=0 cellSpacing=0 class="border">
  <TBODY>
	<TR>
	  <TD  ><table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		   <td width="26%"><table height="26" border="0" cellpadding="0" cellspacing="0">
			<%if (access == 3) { %>
			  <tr>
				<td ><img src="images/1space_cui.gif" width="5" height="1"></td>
				<td ><img src="images/icon_add.gif" width="18" height="18"></td>
				<td  class="data1"><a href="urlf_policy_account.jsp?policyid=-2&policysource=local"><i18n:message bundleRef="bundleHttp" key="https.policy.add" /></a></td>
				<td ><img src="images/1space_cui.gif" width="5" height="1"></td>
				<td ><img src="images/icon_delete.gif"></td>
				<td  class="data1"><a href="javascript:void(0);" onClick="javascript:doDelete();"><i18n:message bundleRef="bundleHttp" key="https.policy.delete" /></a></td>
			  </tr>
			  <%}%>
			</table>
		  </td>
		<td width="31%" nowrap="nowrap"><input maxlength=63 name="search" autocomplete="off" type="text" class="button" onfocus="resetSearchBox()" onblur="resetSearchBox1()"; size="40" style="color:#CCCCCC; font-style:italic;">
			 <a href="javascript:doPolicyQuerySearch()"><img src="images/search.png" width="17" height="17" style="vertical-align:middle" border="0"></a>
			  <%if(isQuery){%><a href="#" onclick="self.location.href=document.referrer;return false; "><img src="images/clear.png" width="17" height="17" style="vertical-align:middle" border="0"></a><%}%>
		  <td width="43%"  align="right"><table height="26" border="0" cellpadding="0" cellspacing="0">
			  <tr>
				<td ><img src="images/icon_global_policy.gif" width="18" height="18"></td>
				<td  class="data1"><a href="urlf_section_policy_rule.jsp?policyid=-1&policysource=local"><i18n:message bundleRef="bundleHttp" key="https.policy.global_policy" /></a></td>
			  </tr>
			</table>
		  </td>
		</tr>
	  </table></TD>
	</TR>
	<TR>
	  <TD  ><TABLE width="100%" border="0" cellpadding="0" cellspacing="0" class="border2b">
		  <TR>
			<TD width="20" class="grey" align="center">
				<input name="selectall" type="checkbox" value="" onClick="javascript:checkall();"></TD>
			<TD width="177"  class="grey"><i18n:message bundleRef="bundleHttp" key="https.policy.account" /></TD>
			<TD width="282" class="grey"><i18n:message bundleRef="bundleHttp" key="https.policy.policy_name" /></TD>
		<TD width="87" class="grey" style="display:none"><i18n:message bundleRef="bundleHttp" key="https.policy.policy_source" /></TD>
			<TD width="52" class="grey"><i18n:message bundleRef="bundleHttp" key="https.policy.priority" /></TD>
			<TD width="70" class="grey-end"><i18n:message bundleRef="bundleHttp" key="https.policy.enable_disable" /></TD>
		  </TR>

<%while( itr!=null&&itr.hasNext() ){
  entity = (PolicyEntity)itr.next();
  source = entity.getPolicy().getSource();
  if(is_skynet && source.equals("local")) {
	sort_begin = true;
  }
  if(!is_skynet && source.equals("skynet_post")) {
	sort_end_line = line;
  }
  if(source.equals("skynet_pre") || source.equals("skynet_post")) {
	is_skynet = true;
  } else {
	is_skynet = false;
  }
  line++;
%>
		  <TR>
			<TD class="data<%=((line+1)%2+1)%>b" ID="EntityIDContent<%=line%>">
			  <div align="center">
		<%if(!is_skynet) {%>
				<INPUT name="entityid" type="checkbox" value="<%=entity.getID()%>:<%=entity.getPolicy().getID()%>"><%}%>
				<INPUT name="eid:pid" type="hidden" value="<%=entity.getID()%>:<%=entity.getPolicy().getID()%>">
				 <input name="policy_name_<%=entity.getPolicy().getID()%>" type="hidden" value="<%=entity.getPolicy().getCompatibleName() %>">
				<input name="entity_name_<%=entity.getID()%>" type="hidden" value="<%=entity.toString()%>">
			  </div></TD>
			<TD height="22" class="data<%=((line+1)%2+1)%>b" ID="entityname<%=line%>"><a href="urlf_policy_account.jsp?policyid=<%=entity.getPolicy().getID()%>&policysource=<%=source%>"><%=entity.toString()%></a></TD>
			<TD class="data<%=((line+1)%2+1)%>b" ID="policyname<%=line%>"><a href="urlf_section_policy_rule.jsp?policyid=<%=entity.getPolicy().getID()%>&policysource=<%=source%>"><%=entity.getPolicy().getName()%></a>
<%if(!entity.getPolicy().isEnable()){%>
<span class="textgrey"><i18n:message bundleRef="bundleHttp" key="https.policy.disabled" /></span>
<%}%>
</TD>
			<TD class="data<%=((line+1)%2+1)%>b" style="display:none"><span><i18n:message bundleRef="bundleCommon" key="<%=source%>" /></span></TD>
			<TD class="data<%=((line+1)%2+1)%>"><table width="53" border="0" cellpadding="0" cellspacing="0">
				<tr align="center">
				  <td width="23" class="text"><%=line%><%//=Integer.toString( entity.getPriority())%></td>
				  <td width="15">
				  <%if(!is_skynet) { if(line==1 || sort_begin){%>&nbsp;
				  <%}else{%><a href="javascript:switchup('<%=line%>');"><img src="images/arrow_up.gif" width="7" height="9" border=0></a>
				  <%}sort_begin=false;}%>
				  </td>
				  <td width="15" id="sort_line_<%=line%>">
				  <%if(!is_skynet) { if(itr.hasNext()){%><a href="javascript:switchdown('<%=line%>');"><img src="images/arrow_down.gif" width="7" height="9" border=0></a>
				  <%}else{%>&nbsp;<%}}%>
				  </td>
				</tr>
			  </table></TD>
			<TD align="center" class="data<%=((line+1)%2+1)%>">
<% if(!is_skynet) { if(access == 3) {%>
<% if(!entity.getPolicy().isEnable()) { %>
				 <a onMouseOver="popLayer(0,5,20)" onMouseOut="hideLayer()"><img src="images/disable_button.gif" alt="<i18n:message bundleRef='bundleHttp' key='https.policy.enable_policy_hit' />"
					onclick="doEnableDisable(<%=entity.getPolicy().getID()%>)" border="0" /></a>
<% } else {%>
				 <a onMouseOver="popLayer(1,5,20)" onMouseOut="hideLayer()"><img src="images/enable_button.gif" alt="<i18n:message bundleRef='bundleHttp' key='https.policy.disable_policy_hit' />"
					onclick="doEnableDisable(<%=entity.getPolicy().getID()%>)" border="0" /></a>
<% } } else {%>

<% if(!entity.getPolicy().isEnable()) { %>
				<img src="images/disable_button.gif" border="0" />
<% } else {%>
				<img src="images/enable_button.gif" border="0" />
<% }%>
<% }}%>
			</TD>
		  </TR>
<%}%>
<%
if(!isQuery){
if(guest_policy_value.equalsIgnoreCase("yes") || (!self_proxy_value.equalsIgnoreCase("reverse") && guest_status == true)) { %>
  <TR>
	<td width="20" align="center"  class="data<%=((line)%2+1)%>b">&nbsp;</TD>
	<TD  class="data<%=((line)%2+1)%>b"><span class="textbold"><i18n:message bundleRef="bundleHttp" key="https.policy.guests" /></span></TD>
	<TD class="data<%=((line)%2+1)%>b"><span class="textbold"><a href="urlf_section_policy_rule.jsp?policyid=-3&policysource=local"><i18n:message bundleRef="bundleHttp" key="https.policy.urlf_policy.urlf_guest_policy" /></a></span></TD>
	<TD  class="data<%=((line)%2+1)%>b" style="display:none"><span><i18n:message bundleRef="bundleCommon" key="local" /></span></TD>
	<TD width="40" class="data<%=((line)%2+1)%>b"><table width="53" border="0" cellpadding="0" cellspacing="0">
		<tr align="center">
		  <td width="23" class="text"><%=(line+1)%></td>
		  <td width="15"><img src="images/blank_arrow.gif" width="7" height="20"></td>
		  <td width="15"><img src="images/blank_arrow.gif" width="7" height="9"></td>
		</tr>
	  </table>
	</TD>
	<TD align="center" class="data<%=((line)%2+1)%>"></TD>
 </TR>
<%line++;
}
}%>
  <TR>
	<td width="20" align="center"  class="data<%=((line)%2+1)%>b">&nbsp;</TD>
	<TD  class="data<%=((line)%2+1)%>b"><span class="textbold"><i18n:message bundleRef="bundleHttp" key="https.policy.all_accounts" /></span></TD>
	<TD class="data<%=((line)%2+1)%>b"><span class="textbold"><a href="urlf_section_policy_rule.jsp?policyid=-1&policysource=local"><i18n:message bundleRef="bundleHttp" key="https.policy.urlf_policy.urlf_filtering_policy" /></a></span></TD>
	<TD  class="data<%=((line)%2+1)%>b" style="display:none"><span><i18n:message bundleRef="bundleCommon" key="local" /></span></TD>
	<TD width="40" class="data<%=((line)%2+1)%>b"><table width="53" border="0" cellpadding="0" cellspacing="0">
		<tr align="center">
		  <td width="23" class="text"><%=(line+1)%></td>
		  <td width="15"><img src="images/blank_arrow.gif" width="7" height="20"></td>
		  <td width="15"><img src="images/blank_arrow.gif" width="7" height="9"></td>
		</tr>
	  </table>
	</TD>
	<TD align="center" class="data<%=((line)%2+1)%>"></TD>
 </TR>
<TR>
			<td height="1" colspan="4" align="center" class="hor-line"><img src="images/1space.gif" width="1" height="1"></TD>
</TR>
		  </TABLE></TD>
	</TR>
	<TR>
	  <TD  ><table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		  <td><table height="26" border="0" cellpadding="0" cellspacing="0">
			  <tr>
				<%if (access == 3) { %>
				<td ><img src="images/1space_cui.gif" width="5" height="1"></td>
				<td ><img src="images/icon_add.gif" width="18" height="18"></td>
				<td  class="data1"><a href="urlf_policy_account.jsp?policyid=-2&policysource=local"><i18n:message bundleRef="bundleHttp" key="https.policy.add" /></a></td>
				<td ><img src="images/1space_cui.gif" width="5" height="1"></td>
				<td ><img src="images/icon_delete.gif"></td>
				<td  class="data1"><a href="javascript:void(0);" onClick="javascript:doDelete();"><i18n:message bundleRef="bundleHttp" key="https.policy.delete" /></a></td>
				<%}%>
			  </tr>
			</table>
		  </td>
		  <td align="right"><table height="26" border="0" cellpadding="0" cellspacing="0">
			  <tr>
				<td ><img src="images/icon_global_policy.gif" width="18" height="18"></td>
				<td  class="data1"><a href="urlf_section_policy_rule.jsp?policyid=-1&policysource=local"><i18n:message bundleRef="bundleHttp" key="https.policy.global_policy" /></a></td>
			  </tr>
			</table>
		  </td>
		</tr>
	  </table></TD>
	</TR>
  </TBODY>
</TABLE>
<%if (access == 3&& !isQuery) { %>
<table width="540" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="28" valign="bottom">
		<input name="save" type="button"  class="button" onClick="javascript:doSubmit();" value="<i18n:message bundleRef='bundleCommon' key='button.save' />" disabled>
		<input name="cancel" type="button"  onclick="javascript:self.location.replace('urlf_policy_list.jsp')"  class="button" value="<i18n:message bundleRef='bundleCommon' key='button.cancel' />">
		<input name="depoly" type="button"  class="button" onClick="javascript:doDeploy();" value="<i18n:message bundleRef='bundleCommon' key='button.deploy_policies' />"></td>
	</td>
  </tr>
</table>
 <%}%>
 <%if(isQuery){%>
	<jsp:include page="policy_query.jsp" flush="true">
	 <jsp:param name="mainType" value="<%=mainType%>"/>
	 <jsp:param name="otherQuery" value="<%=answer%>" />
	</jsp:include>
<%}%>
</form>
<script language="JavaScript">
$(document).ready(function(){
	$("input[name='search']").keydown(function(event) {
		if (event.which == '13') {
			event.preventDefault();
		}
	});
	$("input[name='search']").autocomplete(
			"smartPolicyQuery.jsp",
		{
				delay:1000,
				cacheLength:0,
				matchContains:0,
				minChars:1,
				autoFill:false,
				maxItemsToShow:10,
				title:"<i18n:message bundleRef='bundleCommon' key='search_content' />",
				width:"220",
				marginLeft:"0",
				selectFisrt:false,
				scroll:false,
				matchCase:true
		});
		var sort_end_line = "<%=sort_end_line%>";
		if(sort_end_line) {
			var delete_line = "#sort_line_" + sort_end_line;
			$(delete_line).html("&nbsp");
		}
});

descarray = new Array(2);
descarray[0] = tipSetPolicy[1];
descarray[1] = tipSetPolicy[0];

function changeCheckbox()
{
	if (document.saveform.tmuse_enabled_view != null) {
		if(document.saveform.enabled_view.checked) {
			document.saveform.tmuse_enabled_view.disabled = false;
		}
		else {
			document.saveform.tmuse_enabled_view.disabled = true;
		}
	}

	EnableSaveButton();
}

function doSubmit()
{
	if(document.saveform.enabled_view.checked)
		document.saveform.enabled.value="yes";
	else
		document.saveform.enabled.value="no";

	if (document.saveform.tmuse_enabled_view != null) {
		if(document.saveform.tmuse_enabled_view.checked)
			document.saveform.tmuse_enabled.value="yes";
		else
			document.saveform.tmuse_enabled.value="no";

		if(document.saveform.enabled.value != document.saveform.oldenabled.value
		|| document.saveform.tmuse_enabled.value != document.saveform.tmuse_oldenabled.value) {

			document.saveform.daemonaction.value = httpreloadplus;
		}
	}
	else {
		if(document.saveform.enabled.value != document.saveform.oldenabled.value) {
			document.saveform.daemonaction.value = httpreloadplus;
		}
	}

	document.saveform.op.value="save";
	setTimeout( "document.saveform.submit()", 100 );
}

function doDeploy()
{
	if(document.saveform.enabled_view.checked)
		document.saveform.enabled.value="yes";
	else
		document.saveform.enabled.value="no";

	if(document.saveform.tmuse_enabled_view.checked)
		document.saveform.tmuse_enabled.value="yes";
	else
		document.saveform.tmuse_enabled.value="no";

	document.saveform.daemonaction.value = httpreloadplus;
	document.saveform.op.value="deploy";

	setTimeout( "document.saveform.submit()", 100 );
}
function doDelete()
{
	selected_entities = false;
	if(typeof(document.saveform.entityid)=='object'){
		if(document.saveform.entityid.length>=2){
			for(i=0;i<document.saveform.entityid.length;i++){
				if(document.saveform.entityid[i].checked==true){
					selected_entities= true;
					break;
				}
			}
		}else{
			if(document.saveform.entityid.checked==true) selected_entities= true;
		}

		if(selected_entities==false){
			alert(i18n_empty_account);
			return;
		}

		if(confirm(i18n_deleteacc_confirm)==false) return;
		document.saveform.op.value="delete";
		setTimeout( "document.saveform.submit()", 100 );
	}
}

function doEnableDisable(policy_id)
{
	document.saveform.op.value="enable_disable";
	document.saveform.op_policy.value=policy_id;
	setTimeout( "document.saveform.submit()", 100 );
}

firstTime = true;
function resetSearchBox(){
	if(firstTime){
		document.saveform.search.value = "";
		firstTime = !firstTime;
	}
	document.saveform.search.style.color = "black";
	document.saveform.search.style.fontStyle = "normal";
}

function resetSearchBox1(){
	if(document.saveform.search.value == ""){
		document.saveform.search.style.color = "#CCCCCC";
		document.saveform.search.style.fontStyle = "italic";
	}
}

</script>

</body>
</html>
