#!/bin/sh

# global var:
#  APP_PATCH_ROOT=/etc/iscan
#  PATCHINFOINI=stargate_patch.ini
#  PATCHMGMINI=${INSTALL_DIR}/patch/config/patch_management.ini
#  PATCH_NUMBER=`F_ini_get $PATCHINFOINI PatchInfo Number`

# will be called before database is shutdown.
F_apply_database_changes()
{
    echo F_apply_database_changes
}

# will be called before database is shutdown.
F_rollback_database_changes()
{
    echo F_rollback_database_changes
}

F_binary_extra_copy()
{
    echo F_binary_extra_copy
}

F_update_extra_ini() {
	  echo "Updating the ini file."

	 #For SEGTT 336728
     IWSS_DATA=/var/iwss
     INTSCAN_CONF=$IWSS_DATA/intscan.ini
      _enable_appd_daemon=` F_ini_get "$INTSCAN_CONF" "app-control" "enable_appd_daemon" `
     if [ "${#_enable_appd_daemon}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "app-control" "enable_appd_daemon" "yes"
     fi
     #end for SEGTT 336728

     #For SEGTT 352510
     _add_disable_receplication_chunked=` F_ini_get "$INTSCAN_CONF" "CCR" "disable_receplication_chunked" `
     if [ "${#_add_disable_receplication_chunked}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "CCR" "disable_receplication_chunked" "1"
     fi
     #end for SEGTT 352510

     #For SEGTT 352640, 356845
     _add_pass_failed_extract_file=` F_ini_get "$INTSCAN_CONF" "Scan-configuration" "failed_extract" `
     if [ "${#_add_pass_failed_extract_file}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "Scan-configuration" "failed_extract" "delete"
     fi
     #end for SEGTT 352640, 356845



     COMMONLOG_CONF=/usr/trend/commonlog/config/CommonLog.ini
     F_ini_add_key  "$COMMONLOG_CONF" "LDAP" "LDAP_group_support" "1"

     #For SEGTT 333456
     _enable_scan_deep=` F_ini_get "$INTSCAN_CONF" "http" "scan_trunk_deep" `
     if [ "${#_enable_scan_deep}" -lt "1" ] ; then
         F_ini_add_key "$INTSCAN_CONF" "http" "scan_trunk_deep" "no"
     fi
     #End for SEGTT 333456

     #Begin For DDI/TMCM SO Integration
     _ddan_enabled=` F_ini_get "$INTSCAN_CONF" "dtas" "ddan_enabled" `
     if [ "${#_ddan_enabled}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "dtas" "ddan_enabled" "0"
     fi

	 _ddi_enabled=` F_ini_get "$INTSCAN_CONF" "dtas" "ddi_enabled" `
     if [ "${#_ddi_enabled}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "dtas" "ddi_enabled" "0"
     fi

	 _TMCM_enabled=` F_ini_get "$INTSCAN_CONF" "dtas" "TMCM_enabled" `
     if [ "${#TMCM_enabled}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "dtas" "TMCM_enabled" "0"
     fi

	 _upload_sample_count_enable=` F_ini_get "$INTSCAN_CONF" "dtas" "upload_sample_count_enable" `
     if [ "${#_upload_sample_count_enable}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "dtas" "upload_sample_count_enable" "0"
     fi

	 _ddi_blacklist_path=` F_ini_get "$INTSCAN_CONF" "dtas" "ddi_blacklist_path" `
     if [ "${#_ddi_blacklist_path}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "dtas" "ddi_blacklist_path" "/var/iwss/ddi_blacklist"
     fi

	 _so_integration_enabled=` F_ini_get "$INTSCAN_CONF" "dtas" "so_integration_enabled" `
     if [ "${#_so_integration_enabled}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "dtas" "so_integration_enabled" "0"
     fi

     DTAS_CONF=$IWSS_DATA/dtas.ini
	 _ddi_ip=` F_ini_get "$DTAS_CONF" "dtas" "ddi_ip" `
     if [ "${#_ddi_ip}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "ddi_ip" " "
     fi

	 _ddi_port=` F_ini_get "$DTAS_CONF" "dtas" "ddi_port" `
	 if [ "${#_ddi_port}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "ddi_port" " "
     fi

	 _tmcm_ip=` F_ini_get "$DTAS_CONF" "dtas" "tmcm_ip" `
	 if [ "${#_tmcm_ip}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "tmcm_ip" " "
     fi

     _tmcm_port=` F_ini_get "$DTAS_CONF" "dtas" "tmcm_port" `
     if [ "${#_tmcm_port}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "tmcm_port" " "
     fi

	 _tmcm_apikey=` F_ini_get "$DTAS_CONF" "dtas" "tmcm_apikey" `
	 if [ "${#_tmcm_apikey}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "tmcm_apikey" " "
     fi

	 _sample_upload_count=` F_ini_get "$DTAS_CONF" "dtas" "sample_upload_count" `
	 if [ "${#_sample_upload_count}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "sample_upload_count" "0"
     fi

	 _upload_count_begine=` F_ini_get "$DTAS_CONF" "dtas" "upload_count_begine" `
	 if [ "${#_upload_count_begine}" -lt "1" ] ; then
         F_ini_add_key  "$DTAS_CONF" "dtas" "upload_count_begine" "0"
     fi

     _ddan_enable=` F_ini_get "$INTSCAN_CONF" "dtas" "dda_enabled" `
     if [ $_ddan_enable -eq 1 ] ; then
         F_ini_set "$INTSCAN_CONF" "dtas" "ddan_enabled" "1"
     fi

     if [ ! -e /var/iwss/query_ddi_blacklist.py ] ; then
         ln -s /usr/iwss/query_ddi_blacklist.py /var/iwss/query_ddi_blacklist.py
     fi
     #End For DDI/TMCM SO Integration

	 #SEGTT#355470
	 _pass_auth_not_in_ldapcache=` F_ini_get "$INTSCAN_CONF" "http" "pass_auth_not_in_ldapcache" `
	 if [ "${#_pass_auth_not_in_ldapcache}" -lt "1" ] ; then
         F_ini_add_key  "$INTSCAN_CONF" "http" "pass_auth_not_in_ldapcache" "no"
     fi
     
     #SEGTT#359323 Modify description of url category
     sed -i "s/Personal Network Storage\/File Download Servers/Sharing Services/g" /usr/iwss/AdminUI/tomcat/webapps/ROOT/WEB-INF/classes/urlfcMapping.properties
     sed -i "s/Newsgroups/Newsgroups\/Forum/g" /usr/iwss/AdminUI/tomcat/webapps/ROOT/WEB-INF/classes/urlfcMapping.properties
     sed -i "s/Illegal/Illegal or Prohibited Content/g" /usr/iwss/AdminUI/tomcat/webapps/ROOT/WEB-INF/classes/urlfcMapping.properties

     sed -i "s/Personal Network Storage\/File Download Servers/Sharing Services/g" /usr/iwss/AdminUI/tomcat/webapps/ROOT/html/i18n_log_dynamic.js
     sed -i "s/Newsgroups/Newsgroups\/Forum/g" /usr/iwss/AdminUI/tomcat/webapps/ROOT/html/i18n_log_dynamic.js
     sed -i "s/Illegal/Illegal or Prohibited Content/g" /usr/iwss/AdminUI/tomcat/webapps/ROOT/html/i18n_log_dynamic.js    
    
}

# will be called after binary copying
F_apply_extra_changes()
{
	echo F_apply_extra_changes

	F_binary_extra_copy
	F_update_extra_ini

	chmod 555 /usr/iwss/S99ISagent
	chmod 555 /usr/iwss/S99ISAuthDaemon
	chmod 555 /usr/iwss/S99ISCommonLog
	chmod 555 /usr/iwss/S99IShaagent
	chmod 555 /usr/iwss/S99ISmaild
	chmod 555 /usr/iwss/S99ISproxy
	chmod 555 /usr/iwss/S99ISsnmpd
	chmod 555 /usr/iwss/S99ISsvcmonitor
	chmod 555 /usr/iwss/S99ISWCCPd
	chmod 555 /usr/iwss/S99ISappd
	chmod 555 /usr/iwss/S99IScanHttpd
	chmod 555 /usr/iwss/S99ISdatabase
	chmod 555 /usr/iwss/S99ISftp
	chmod 555 /usr/iwss/S99ISlogtodb
	chmod 555 /usr/iwss/S99ISMetricMgmtd
	chmod 555 /usr/iwss/S99ISreverseproxy
	chmod 555 /usr/iwss/S99ISsocks5
	chmod 555 /usr/iwss/S99IStmsyslogd
	chmod 555 /usr/iwss/S99ISwmid
	chmod 555 /usr/trend/commonlog/agent/S99ISlogagent
	chmod 555 /usr/iwss/qos/tc_bandwidth_info.sh
	chmod 555 /usr/iwss/AdminUI/deployment_helper.sh
	chmod 555 /usr/iwss/bypassbridge
	chmod 555 /usr/iwss/AdminUI/ui_ctl.sh
	chmod 555 /usr/iwss/iwsvafw.sh
	chmod 555 /opt/trend/imss/script/S99IMSS
	chmod 555 /usr/iwss/rcIwss
	chmod 555 /usr/iwss/AdminUI/cache_helper.sh
	chmod 555 /usr/iwss/AdminUI/app_ctrl_helper.sh
	chmod 555 /usr/iwss/iwsvanetwork.sh
	chmod 555 /usr/iwss/iwsvanetfun.sh
	chmod 555 /usr/iwss/CDT_IWSS30_Linux.sh
	chmod 555 /usr/iwss/AdminUI/ui_get_disk_size.sh

}

# will be called after binary copying
F_rollback_extra_changes()
{
	echo F_rollback_extra_changes

    #rollback TMUSE engine for SEG 333247
    PATCHMGMINI=/etc/iscan/patch/config/patch_management.ini
    _AppliedPatches=`F_ini_get ${PATCHMGMINI} PatchManagement AppliedPatches`
    if [ "${#_AppliedPatches}" -gt "1"   ] ; then
       echo " need not rollback libtmuseng.so.1.0.1013 since it is NOT introduced by current hotfix or patch."
    else
       echo " it need rollback libtmuseng"
      /bin/su iscan -c "/bin/rm -f /usr/iwss/lib/libtmuseng.so /usr/iwss/lib/libtmuseng.so.1 /usr/iwss/lib/libtmuseng.so.1.0"
      /bin/su iscan -c "/bin/ln -s libtmuseng.so.1.0.1011 /usr/iwss/lib/libtmuseng.so.1.0 "
      /bin/su iscan -c "/bin/ln -s libtmuseng.so.1.0.1011 /usr/iwss/lib/libtmuseng.so.1   "
      /bin/su iscan -c "/bin/ln -s libtmuseng.so.1.0.1011 /usr/iwss/lib/libtmuseng.so     "
      rm -f   /usr/iwss/lib/libtmuseng.so.1.0.1013
    fi


}
