#!/bin/sh

TMP_SECTION=TmpAppliedFileRecord
APPLIED_RECORD_SECTION=AppliedFileRecord
BACKUP_APPLIED_RECORD_SECTION=BackupAppliedFileRecord
BACKUP_TAR=Backup.tgz

#This contains the files for smart rollback
SMART_BACKUP_TAR=SmartBackup.tgz

#
# handle special file: for example, tmsnmpd.conf can not be replaced directly
# Usage: F_special_file_handler backup/apply/rollback/stop_service/start_service backup_dir
#

F_special_file_handler()
{
	#
	#supported action: backup/apply/rollback/stop_service/start_service
	#
	if [ "$1" == "" ];then
		echo "F_special_file_handler: param error: $0 backup/apply/rollback/stop_service/start_service backup_dir "
		return -1
	else
		__action=$1
	fi

	if [ "$2" == "" ] ;then
		if [ "$1" == "backup" ] || [ "$1" == "rollback" ];then
			echo "F_special_file_handler: param error: $0 backup/apply/rollback/stop_service/start_service backup_dir "
			return -1
		fi
	else
		__backup_dir=$2
	fi

	__backup_special_dir="$__backup_dir/___iwsva_special"

	if [ $__action == "backup" ] || [ $__action == "apply" ];then
		#
		echo
	fi

	case $__action in
		"backup")
			#
			echo "F_special_file_handler: action: $__action"
			;;
		"apply")
			#
			echo "F_special_file_handler: action: $__action"
			;;
		"rollback")
			#
			echo "F_special_file_handler: action: $__action"
			;;
		"stop_service")
			#
			echo "F_special_file_handler: action: $__action"
			;;
		"start_service")
			#
			echo "F_special_file_handler: action: $__action"
			;;
		*)
			echo "F_special_file_handler: unsupported action: $__action"
			return -1
			;;
	esac
	return 0
}

F_stop_daemons()
{
	#herb_todo: BCS each time we update hotfix, we should update iwssd, we should restart iwssd
	#. Except for IWSS related service, you should still stop additional service here as necessary.
	#ex:
	#for s in svcmonitor MetricMgmtd logtodb canHttpd ftp proxy urld database maild agent; do
	#	/usr/iwss/S99IS$s stop
	#done
	#/etc/init.d/sshd stop
	/usr/iwss/rcIwss stop
	F_special_file_handler "stop_service"
	return 0
}

F_start_daemons()
{
	_restartSystem=`F_ini_get $PATCHINFOINI PatchInfo RestartSystem`
	if [ "$_restartSystem" = "1" ] ; then
		echo "Rebooting the system."
		reboot
		return 0
	elif [ "$_restartSystem" = "0" ] ; then
	  echo "Currently, no service need restart"
	fi

	/usr/iwss/rcIwss start
	F_special_file_handler "start_service"
}

# backup a list of files to a dir
# $1 install root dir
# $2 backup dir
F_rollback()
{
	echo "Rollback the files from backup dir $2 ..."
	_index=0
	_install_root=$1
	_backup_dir=$2

	if [ -f "$_backup_dir/$BACKUP_TAR" ] ; then
		echo "Rollback from $BACKUP_TAR"
		tar zxvf "$_backup_dir/$BACKUP_TAR" -C /
	else
		echo "No rollback because no $BACKUP_TAR."
	fi

	if [ -f "$_backup_dir/$SMART_BACKUP_TAR" ] ; then
		echo "Rollback from $SMART_BACKUP_TAR"
		tar zxvf "$_backup_dir/$SMART_BACKUP_TAR" -C /
	else
		echo "No smart rollback because no $SMART_BACKUP_TAR."
	fi

	F_special_file_handler rollback $_backup_dir
	return 0
}

